######################
# ONI TEAM ARENA 1.0 #
######################
# arena_teams.bsl for tctf_ii
######################
func void ArenaSetupTeams(void) {
	arena_players= 1;
	chr_unkillable(char_0, 1); chr_changeteam(char_0, Konoko);
	fork RespawnPlayer(Konoko, char_0, "[y.KONOKO]");
	sleep 100; fork AddEnemyTeam();
	sleep 50; fork AddNeutralTeam();
	sleep 50; fork AddFriendTeam();
}
func void AddFriendTeam(void) {
	AddPlayer(Konoko, TCTF1054, "[y.THUNDER]"); sleep 150;
	AddPlayer(Konoko, TCTF1053, "[y.LIGHTNING]"); sleep 150;
	AddPlayer(Konoko, TCTF1052, "[y.SHOCK]"); sleep 150;
	AddPlayer(Konoko, TCTF1051, "[y.BOLT]"); sleep 150;
	AddPlayer(Konoko, F_r40, "[y.ZAP]"); sleep 150;
	AddPlayer(Konoko, D2_f25, "[b.ELECTROMAGNETIC PULSE]"); sleep 150;
	dmsg("ELECTRICIANS team complete");
}
func void AddEnemyTeam(void) {
	AddPlayer(Syndicate, muro_runner, "[r.RED CHIEF]"); sleep 150;
	AddPlayer(Syndicate, D2_sg24, "[r.THE TANK]"); sleep 150;
	AddPlayer(Syndicate, C1_t13, "[b.The Tank]"); sleep 150;
	AddPlayer(Syndicate, backup_striker2, "[r.NAPLAM]"); sleep 150;
	AddPlayer(Syndicate, ambush_striker_10, "[b.C4]"); sleep 150;
	AddPlayer(Syndicate, aerial_red_3, "[g.Ms. ACID]"); sleep 150;
	AddPlayer(Syndicate, A2_r03, "[b.PRIS]"); sleep 150;
	AddPlayer(Syndicate, aerial_red_2, "[y.RACHEL]"); sleep 150;
	AddPlayer(Syndicate, muro_runner2, "[r.Molotov]"); sleep 150;
	AddPlayer(Syndicate, vat_bot_1, "[r.Rogue Bot 01]"); sleep 150;
	dmsg("[r.P][o.Y][y.R][o.O][r.M][o.A][y.N][o.I][r.A][o.C] team complete");
}
func void AddNeutralTeam(void) {
	AddPlayer(Neutral, ShinShin, "[r.SHINATAMA]"); sleep 150;
	AddPlayer(Neutral, B2_n10, "[y.Citizen Jones]"); sleep 150;
	AddPlayer(Neutral, A4_n07, "[b.Citizen Jane]"); sleep 150;
	dmsg("[r.SHINATAMA'S] team complete");
}
################################# CALLED AT EVERY FRAG
func ArenaAwareness {
	ai2_makeaware(TCTF1054, muro_runner)
	ai2_makeaware(TCTF1053, muro_runner)
	ai2_makeaware(TCTF1052, muro_runner)
	ai2_makeaware(TCTF1051, muro_runner)
	ai2_makeaware(F_r40, muro_runner)
	ai2_makeaware(D2_f25, muro_runner)

	ai2_makeaware(muro_runner, char_0)
	ai2_makeaware(D2_sg24, char_0)
	ai2_makeaware(C1_t13, char_0)
	ai2_makeaware(backup_striker2, char_0)
	ai2_makeaware(ambush_striker_10, char_0)
	ai2_makeaware(aerial_red_3, char_0)
	ai2_makeaware(A2_r03, char_0)
	ai2_makeaware(aerial_red_2, char_0)
	ai2_makeaware(muro_runner2, char_0)
	ai2_makeaware(vat_bot_1, char_0)

	ai2_makeaware(new_1, muro_runner)
	ai2_makeaware(C_N74, muro_runner)
	ai2_makeaware(C_N55, muro_runner)
	ai2_makeaware(ShinShin, char_0)
	ai2_makeaware(B2_n10, char_0)
	ai2_makeaware(A4_n07, char_0)
}
################################### USED FOR BOT SHAPESHIFTING
################ PLAYERS APPEAR IN THE ORDER THEY WERE SPAWNED
func void ArenaMenuName(void) {
	if(arena_spawn_id eq  0)
		{arena_menu_name= char_0; arena_menu_nick= "[y.KONOKO]";}
	if(arena_spawn_id eq  1)
		{arena_menu_name= ShinShin; arena_menu_nick= "[r.SHINATAMA]";}
	if(arena_spawn_id eq  2)
		{arena_menu_name= muro_runner; arena_menu_nick= "[r.RED CHIEF]";}
	if(arena_spawn_id eq  3)
		{arena_menu_name= TCTF1054; arena_menu_nick= "[y.THUNDER]";}
	if(arena_spawn_id eq  4)
		{arena_menu_name= D2_sg24; arena_menu_nick= "[r.THE TANK]";}
	if(arena_spawn_id eq  5)
		{arena_menu_name= B2_n10; arena_menu_nick= "[y.Citizen Jones]";}
	if(arena_spawn_id eq  6)
		{arena_menu_name= TCTF1053; arena_menu_nick= "[y.LIGHTNING]";}
	if(arena_spawn_id eq  7)
		{arena_menu_name= C1_t13; arena_menu_nick= "[b.The Tank]";}
	if(arena_spawn_id eq  8)
		{arena_menu_name= A4_n07; arena_menu_nick= "[b.Citizen Jane]";}
	if(arena_spawn_id eq  9)
		{arena_menu_name= TCTF1052; arena_menu_nick= "[y.SHOCK]";}
	if(arena_spawn_id eq 10)
		{arena_menu_name= backup_striker2; arena_menu_nick= "[r.NAPLAM]";}
	if(arena_spawn_id eq 11)
		{arena_menu_name= TCTF1051; arena_menu_nick= "[y.BOLT]";}
	if(arena_spawn_id eq 12)
		{arena_menu_name= ambush_striker_10; arena_menu_nick= "[b.C4]";}
	if(arena_spawn_id eq 13)
		{arena_menu_name= F_r40; arena_menu_nick= "[y.ZAP]";}
	if(arena_spawn_id eq 14)
		{arena_menu_name= aerial_red_3; arena_menu_nick= "[g.Ms. ACID]";}
	if(arena_spawn_id eq 15)
		{arena_menu_name= D2_f25; arena_menu_nick= "[b.ELECTROMAGNETIC PULSE]";}
	if(arena_spawn_id eq 16)
		{arena_menu_name= A2_r03; arena_menu_nick= "[b.PRIS]";}
	if(arena_spawn_id eq 17)
		{arena_menu_name= aerial_red_2; arena_menu_nick= "[y.RACHEL]";}
	if(arena_spawn_id eq 18)
		{arena_menu_name= muro_runner2; arena_menu_nick= "[r.Molotov]";}
	if(arena_spawn_id eq 19)
		{arena_menu_name= vat_bot_1; arena_menu_nick= "[r.Rogue Bot 01]";}
}
