######################
# ONI TEAM ARENA 1.0 #
######################
# arena_teams.bsl for tctf_ii
######################
func void ArenaSetupTeams(void) {
	arena_players= 1;
	chr_unkillable(Konoko, 1); chr_changeteam(Konoko, Konoko);
	fork RespawnPlayer(Konoko, Konoko, "[y.KONOKO]");
	sleep 100; fork AddEnemyTeam();
	sleep 50; fork AddNeutralTeam();
	sleep 50; fork AddFriendTeam();
}
func void AddFriendTeam(void) {
	AddPlayer(Konoko, LabHall_BOL_1, "[y.LEO D.C.]"); sleep 150;
	AddPlayer(Konoko, Start_TCL_Alarm_1, "[b.BLUESMAN]"); sleep 150;
	AddPlayer(Konoko, Final_Thug_1, "[g.Mr. Pitiful]"); sleep 150;
	AddPlayer(Konoko, IntroTCTF02, "[g.Kill Dummy]"); sleep 150;
	AddPlayer(Konoko, Start_Lite_1, "Copguy"); sleep 150;
	AddPlayer(Konoko, OutroTCTF2, "[o.Silver Sheep]"); sleep 150;
	dmsg("[r.FREEDOM FIGHTERS] team complete");
}
func void AddEnemyTeam(void) {
	AddPlayer(Syndicate, Hall_TCS_33, "[o.SILVER BULLET]"); sleep 150;
	AddPlayer(Syndicate, Sec_BOS_1, "[b.DARK ONE]"); sleep 150;
	AddPlayer(Syndicate, Sec_BOS_2, "[g.SVOGTHIR]"); sleep 150;
	AddPlayer(Syndicate, IntroTCTF01, "Black Sheep"); sleep 150;
	AddPlayer(Syndicate, OutroTCTF1, "[b.DESTRUCTION]"); sleep 150;
	AddPlayer(Syndicate, CS_ScanOps01, "[r.ANGER]"); sleep 150;
	AddPlayer(Syndicate, ScanOps01, "[b.SHADOW]"); sleep 150;
	AddPlayer(Syndicate, Pod2_BOS_1, "[o.INSANITY]"); sleep 150;
	AddPlayer(Syndicate, Pod3_BOS_1, "[r.MINDEATER]"); sleep 150;
	AddPlayer(Syndicate, OutroTCTF3, "[g.DEATHCREEP]"); sleep 150;
	dmsg("[b.ENSLAVERS] team complete");
}
func void AddNeutralTeam(void) {
	AddPlayer(Neutral, Pod1_Scientist_1, "[r.Scientist Smith]"); sleep 150;
	AddPlayer(Neutral, Pod2_Sci_1, "[y.Scientist Jones]"); sleep 150;
	AddPlayer(Neutral, Lab2_Sci_1, "[b.Scientist Jane]"); sleep 150;
	dmsg("[g.CITIZEN] team complete");
}
################################# CALLED AT EVERY FRAG
func ArenaAwareness {
	ai2_makeaware(LabHall_BOL_1, Hall_TCS_33)
	ai2_makeaware(Start_TCL_Alarm_1, Hall_TCS_33)
	ai2_makeaware(Final_Thug_1, Hall_TCS_33)
	ai2_makeaware(IntroTCTF02, Hall_TCS_33)
	ai2_makeaware(Start_Lite_1, Hall_TCS_33)
	ai2_makeaware(OutroTCTF2, Hall_TCS_33)

	ai2_makeaware(Hall_TCS_33, Konoko)
	ai2_makeaware(Sec_BOS_1, Konoko)
	ai2_makeaware(Sec_BOS_2, Konoko)
	ai2_makeaware(IntroTCTF01, Konoko)
	ai2_makeaware(OutroTCTF1, Konoko)
	ai2_makeaware(CS_ScanOps01, Konoko)
	ai2_makeaware(ScanOps01, Konoko)
	ai2_makeaware(Pod2_BOS_1, Konoko)
	ai2_makeaware(Pod3_BOS_1, Konoko)
	ai2_makeaware(OutroTCTF3, Konoko)

	ai2_makeaware(Pod1_Scientist_1, Hall_TCS_33)
	ai2_makeaware(Pod2_Sci_1, Hall_TCS_33)
	ai2_makeaware(Lab2_Sci_1, Hall_TCS_33)
	ai2_makeaware(Pod1_Scientist_1, Konoko)
	ai2_makeaware(Pod2_Sci_1, Konoko)
	ai2_makeaware(Lab2_Sci_1, Konoko)
}
################################### USED FOR BOT SHAPESHIFTING
################ PLAYERS APPEAR IN THE ORDER THEY WERE SPAWNED
func void ArenaMenuName(void) {
	if(arena_spawn_id eq  0)
		{arena_menu_name= Konoko; arena_menu_nick= "[y.KONOKO]";}
	if(arena_spawn_id eq  1)
		{arena_menu_name= Hall_TCS_33; arena_menu_nick= "[o.SILVER BULLET]";}
	if(arena_spawn_id eq  2)
		{arena_menu_name= Pod1_Scientist_1; arena_menu_nick= "[r.Scientist Smith]";}
	if(arena_spawn_id eq  3)
		{arena_menu_name= LabHall_BOL_1; arena_menu_nick= "[y.LEO D.C.]";}
	if(arena_spawn_id eq  4)
		{arena_menu_name= Sec_BOS_1; arena_menu_nick= "[b.DARK ONE]";}
	if(arena_spawn_id eq  5)
		{arena_menu_name= Pod2_Sci_1; arena_menu_nick= "[y.Scientist Jones]";}
	if(arena_spawn_id eq  6)
		{arena_menu_name= Start_TCL_Alarm_1; arena_menu_nick= "[b.BLUESMAN]";}
	if(arena_spawn_id eq  7)
		{arena_menu_name= Sec_BOS_2; arena_menu_nick= "[g.SVOGTHIR]";}
	if(arena_spawn_id eq  8)
		{arena_menu_name= Lab2_Sci_1; arena_menu_nick= "[b.Scientist Jane]";}
	if(arena_spawn_id eq  9)
		{arena_menu_name= Final_Thug_1; arena_menu_nick= "[g.Mr. Pitiful]";}
	if(arena_spawn_id eq 10)
		{arena_menu_name= IntroTCTF01; arena_menu_nick= "Black Sheep";}
	if(arena_spawn_id eq 11)
		{arena_menu_name= IntroTCTF02; arena_menu_nick= "[g.Kill Dummy]";}
	if(arena_spawn_id eq 12)
		{arena_menu_name= OutroTCTF1; arena_menu_nick= "[b.DESTRUCTION]";}
	if(arena_spawn_id eq 13)
		{arena_menu_name= Start_Lite_1; arena_menu_nick= "Copguy";}
	if(arena_spawn_id eq 14)
		{arena_menu_name= CS_ScanOps01; arena_menu_nick= "[r.ANGER]";}
	if(arena_spawn_id eq 15)
		{arena_menu_name= OutroTCTF2; arena_menu_nick= "[o.Silver Sheep]";}
	if(arena_spawn_id eq 16)
		{arena_menu_name= ScanOps01; arena_menu_nick= "[b.SHADOW]";}
	if(arena_spawn_id eq 17)
		{arena_menu_name= Pod2_BOS_1; arena_menu_nick= "[o.INSANITY]";}
	if(arena_spawn_id eq 18)
		{arena_menu_name= Pod3_BOS_1; arena_menu_nick= "[r.MINDEATER]";}
	if(arena_spawn_id eq 19)
		{arena_menu_name= OutroTCTF3; arena_menu_nick= "[g.DEATHCREEP]";}
}