#############################
#     ONI TEAM ARENA 1.1    #
#   SYNDICATE MTN. COMPOUND #
#############################
var int arena_air_quality= 0;
var int arena_air_quality_custom= 0;
func ArenaSetupLevel {
	arena_air_quality_custom= 0; arena_air_quality= 0;
	gs_farclipplane_set(10000); gs_show_corpses= 0;

	arena_area= 0; door_ignore_locks= 0;
	door_unlock 20
	door_unlock 22
	door_unlock 21
	door_unlock 43
	door_unlock 23
	door_unlock 40
	door_unlock 36
	door_unlock 39
	door_unlock 35
	door_unlock 27
	door_unlock 24
	door_unlock 25
	door_unlock 28
	door_unlock 26
	door_unlock 41
	door_unlock 37
	door_unlock 42
	
	particle dishpulse do start
	particle sturm_ambient start
	particle purple2_locklight01 do start
	particle purple3_locklight01 do start
	particle F_light_locklight01 do start
	particle purple_locklight01 do start
	ArenaResetLevel
}
func ArenaResetLevel {
	if(!arena_air_quality_custom) {
		arena_air_quality= 0;
		if(arena_area eq 0) arena_air_quality= 2;
		if(arena_area eq 1) arena_air_quality= 1;
		if(arena_area eq 2) arena_air_quality= 3;
	}
	if(arena_air_quality eq 0) {
		gl_fog_red= 0; gl_fog_green= 0; gl_fog_blue= 0;
		gl_fog_start= .995;
	}
	if(arena_air_quality eq 1) {
		gl_fog_red= .2; gl_fog_green= 0; gl_fog_blue= .2;
		gl_fog_start= .95;
	}
	if(arena_air_quality eq 2) {
		gl_fog_red= .1; gl_fog_green= .1; gl_fog_blue= .1;
		gl_fog_start= .8;
	}
	if(arena_air_quality eq 3) {
		gl_fog_red= .3; gl_fog_green= .1; gl_fog_blue= 0;
		gl_fog_start= .7;
	}
}
#func void fire_damage(string ai_name) {	
#	chr_poison(ai_name, 5, 3, 30);
#}
func ArenaAirQualityNext {
	arena_air_quality_custom= 1;
	arena_air_quality= arena_air_quality + 1;
	if(arena_air_quality > 3) arena_air_quality= 0;
	ArenaResetLevel();
}
func ArenaAirQualityInfo {
	if(arena_air_quality eq 0) dmsg "CLEAN AIR HAPPY"
	if(arena_air_quality eq 1) dmsg "PURPLE HAZE"
	if(arena_air_quality eq 2) dmsg "HEAVY SMOG"
	if(arena_air_quality eq 3) dmsg "CATACLYSM"
}
func void snow1_start(string ai_name)
{
	dprint snow1_start
	particle snow1 start
}
func void snow1_stop(string ai_name)
{
	dprint snow1_stop
	particle snow1 stop
}
func void snow2_start(string ai_name)
{
	dprint snow2_start
	particle snow2 start
}
func void snow2_stop(string ai_name)
{
	dprint snow2_stop
	particle snow2 stop
}
func void snow3_start(string ai_name)
{
	dprint snow3_start
	particle snow3 start
}
func void snow3_stop(string ai_name)
{
	dprint snow3_stop
	particle snow3 stop
}

#peak particles form the mountain top
func void peak_start(string ai_name)
{
	dprint peak_start
	particle peak start
}
func void peak_stop(string ai_name)
{
	dprint peak_stop
	particle peak stop
}