########################
#  ONI TEAM ARENA 1.2  #
#      HEXAGON         #
########################
var int arena_misc= 1;
var int arena_bomber= 1;
#var string arena_bomber_name= mad_bomber_2;
######################
func void ArenaSetupTeams(void) {
	arena_players= 1; arena_misc= 0;
	chr_unkillable(char_0, 1); chr_changeteam(char_0, Konoko);
	fork RespawnPlayer(0, Konoko, char_0, "[y.KONOKO]");
	if(arena_misc) chr_super(char_0, 1);
	sleep 100; fork AddFriendTeam();
	sleep 50; fork AddEnemyTeam();
#	sleep 50; fork AddNeutralTeam();
}
func void AddFriendTeam(void) {
	AddPlayer(Konoko, karen, "[b.Karen]"); sleep 150;
	AddPlayer(Konoko, blackops1, "[y.Blackops]"); sleep 150;
	AddPlayer(Konoko, griffin, "[r.Griffin]"); sleep 150;
	AddPlayer(Konoko, blackopslite1, "[g.BlackOpsLite]"); sleep 150;
	dmsg("[g.TCTF] team complete");
}
func void AddEnemyTeam(void) {
	AddPlayer(Syndicate, BoothMuro01, "[r.Muro]");
	if(arena_misc) chr_super(BoothMuro01, 1);
	sleep 150;
	AddPlayer(Syndicate, elite1, "[o.Elite]"); sleep 150;
	AddPlayer(Syndicate, evilkonoko, "[g.Evil Konoko]"); sleep 150;
	AddPlayer(Syndicate, superninja, "[y.Mukade]"); sleep 150;
	AddPlayer(Syndicate, tanker1, "[b.Tanker"); sleep 150;
	AddPlayer(Syndicate, red3, "[y.Red]"); sleep 150;
	dmsg("[r.Syndicate] team complete");
}
func void AddNeutralTeam(void) {
	AddPlayer(Neutral, karen0, "[r.Jack] (just Jack)"); sleep 150;
	dmsg("[b.CLUELESS] team complete");
}
################################# MARS & VENUS
func ArenaMiscNext {
	arena_misc= arena_misc + 1; if(arena_misc > 1) arena_misc= 0;
	if(arena_misc) {
		chr_inv_reset(char_0); chr_inv_reset(BoothMuro01);
		chr_givepowerup(char_0, invis, -1);
		chr_givepowerup(BoothMuro01, invis, -1);
		chr_super(char_0, 1); chr_super(BoothMuro01, 1);
	}
	if(!arena_misc) {
		chr_inv_reset(char_0); chr_inv_reset(BoothMuro01);
		chr_super(char_0, 0); chr_super(BoothMuro01, 0);
	}
}
func ArenaMiscInfo {
	if(!arena_misc) dmsg "NOTHING SPECIAL"
	else dmsg "[r.MARS] & [b.VENUS]"
}
################################# CALLED AT EVERY FRAG
func ArenaAwareness {
	if(arena_misc) {
		chr_inv_reset(char_0); chr_inv_reset(BoothMuro01);
		sleep 1; chr_givepowerup(char_0, invis, -1);
		chr_givepowerup(BoothMuro01, invis, -1);
	}
	ai2_makeaware(karen, BoothMuro01)
	ai2_makeaware(blackops1, BoothMuro01)
	ai2_makeaware(griffin, BoothMuro01)
	ai2_makeaware(blackopslite1,  BoothMuro01)
	ai2_makeaware(LoadingBay_Thug_1, BoothMuro01)

	ai2_makeaware(BoothMuro01, char_0)
	ai2_makeaware(elite1, char_0)
	ai2_makeaware(evilkonoko, char_0)
	ai2_makeaware(superninja, char_0)
	ai2_makeaware(tanker1, char_0)
	ai2_makeaware(red3, char_0)
	
}
func ArenaAwareness0 {
	ai2_forget();
	if(arena_misc) {
		chr_inv_reset(char_0); chr_inv_reset(BoothMuro01);
		sleep 1; chr_givepowerup(char_0, invis, -1);
		chr_givepowerup(BoothMuro01, invis, -1);
	}
	AntiOni(karen);
	AntiOni(blackops1);
	AntiOni(griffin);
	AntiOni(blackopslite1);
	AntiOni(BoothMuro01);
	AntiOni(elite1);
	AntiOni(evilkonoko);
	AntiOni(superninja);
	AntiOni(tanker1);
	AntiOni(red3);
	
}
func AntiOni(string ai_name) {
	if(!chr_is_player(ai_name)) {
		chr_changeteam(ai_name, Syndicate);
		ai2_attack(ai_name, oni_name);
	}
}
################################### USED FOR BOT SHAPESHIFTING
################ PLAYERS APPEAR IN THE ORDER THEY WERE SPAWNED
func void ArenaMenuName(void) {
	if(arena_spawn_id eq  0)
		{arena_menu_name= char_0; arena_menu_nick= "[y.KONOKO] (GARDENER)";}
	if(arena_spawn_id eq  1)
		{arena_menu_name= karen; arena_menu_nick= "[b.Karen] (GARDENER)";}
	if(arena_spawn_id eq  2)
		{arena_menu_name= BoothMuro01; arena_menu_nick= "[r.Muro] (PYROMANIAC)";}
	if(arena_spawn_id eq  3)
		{arena_menu_name= karen0; arena_menu_nick= "[r.Jack] (just Jack)";}
	if(arena_spawn_id eq  4)
		{arena_menu_name= blackops1; arena_menu_nick= "[y.Tulip] AKA [y.Drew] (GARDENER)";}
	if(arena_spawn_id eq  5)
		{arena_menu_name= elite1; arena_menu_nick= "[o.Matchbox] (PYROMANIAC)";}
	if(arena_spawn_id eq  6)
		{arena_menu_name= griffin; arena_menu_nick= "[r.Rose] AKA [r.Cameron] (GARDENER)";}
	if(arena_spawn_id eq  7)
		{arena_menu_name= evilkonoko; arena_menu_nick= "[g.Primus] (PYROMANIAC)";}
	if(arena_spawn_id eq  8)
		{arena_menu_name= blackopslite1; arena_menu_nick= "[g.SLEEVES] (GARDENER)";}
	if(arena_spawn_id eq  9)
		{arena_menu_name= superninja; arena_menu_nick= "[y.Zippo] (PYROMANIAC)";}
	if(arena_spawn_id eq 10)
		{arena_menu_name= LoadingBay_Thug_1; arena_menu_nick= "[y.DANDELION] (GARDENER)";}
	if(arena_spawn_id eq 11)
		{arena_menu_name= tanker1; arena_menu_nick= "[b.Sparky] (PYROMANIAC)";}
	if(arena_spawn_id eq 12)
		{arena_menu_name= finalam_striker_1; arena_menu_nick= "[y.Napalm] (PYROMANIAC)";}
	if(arena_spawn_id eq 13)
		{arena_menu_name= finalam_striker_2; arena_menu_nick= "[b.AfterBurner] (PYROMANIAC)";}
	if(arena_spawn_id eq 14)
		{arena_menu_name= red3; arena_menu_nick= "[y.BOMB A] (PYROMANIAC)";}
	if(arena_spawn_id eq 15)
		{arena_menu_name= Intro_Comguy_1; arena_menu_nick= "[r.Molotov] (PYROMANIAC)";}
}
