#
# tctf_cutscene.bsl
# TCTF Regional HQ MOD 3.0
# by gmsly

func void
Cut01(
  void)
{
  fade_out 0 0 0 0
  cm_interpolate IntroCam01 0
  sleep 8
  begin_cutscene
  sleep 1
  sound_ambient_start cs_tctf8_01
  fork Soundcue
  env_show 99 0 
  sleep 40
  #hides motorcycle gunk
  env_show 110 0
  env_show 111 0
  env_show 112 0
  #hides  van gunk
  env_show 444 0
  env_show  101 0
  env_show  103 0
  env_show  104 0
  env_show  105 0
  env_show  106 0
  env_show  107 0
  env_show  108 0 
  #hides  curtain wall
  #start cutscene 
  #fade_in 120
  cm_anim both IntroCam01 
  #cycle  and konoko  animate         
  chr_envanim 0 IntroKonBox01     
  chr_animate 0 KONOKOcycle_ride 560
  obj_create 10 12
  obj_create 1 8    
  env_anim  10  12
  fade_in 120
  #sound_ambient_start cs_tctf8_01
  #fork Soundcue
  #Konoko looking at TCTF
  chr_envanim_block 0 IntroKonBox02
  cm_anim both IntroCam02
  chr_animate 0 KONOKOlev8_IntroKon01
  #show helicopters circling
  cm_anim_block both IntroCam03
  obj_create 601 606
  obj_create 701 706
  env_anim 601 606
  env_anim 701 706
  #sleep 
  #sound_ambient_play cs_tctf8_02
  #Van animate
  cm_anim_block both IntroCam04
  env_anim 1 8
  #sleep 20
  particle object_Blackvan_FB_VanHeadlight do start
  #Vancrash
  cm_anim_block both IntroCam05
  #sound_ambient_start cs_tctf8_03
  env_setanim 1 Blackvan_FB01
  env_setanim 3 Blackvan_LR01
  env_setanim 4 Blackvan_TB01
  env_setanim 5 Blackvan_W01
  env_setanim 6 Blackvan_WB01
  env_setanim 7 Blackvan_doors0201
  env_setanim 8 Blackvan_doors0301
  sleep 287
  #turn off unbroken curtain wall
  env_show 98 0
  env_show 398 0
  particle LobbyWall do explode
  #turn on broken curtain wall
  env_show 99 1
  #camera shows lobby doors closing and lights flashing
  cm_interpolate_block IntroLobbyCam00 0
  particle LobbyAlarm create
  #hide object  van   
  obj_kill 1 8
  #show gunk  van   
  env_show  101 1       
  env_show  103 1
  env_show  104 1
  env_show  105 1
  env_show  106 1
  env_show  107 1
  env_show  108 1
  env_show 444 1
  #Strikers run into Lobby space
  ai2_spawn IntroStriker01
  ai2_spawn IntroStriker02
  playback IntroStriker01 IntroStrikerLobby
  cm_interpolate_block IntroLobbyCam01 220
  env_show 97 0
  sleep 50
  obj_create 321 325
  env_anim 321 322
  playback IntroStriker02 IntroStrikerLobby
  sleep 190
  #Show alarms flashing and blast doors closing
  cm_interpolate_block IntroDoorCam02 0
  cutscene_sync mark 
  sound_ambient_start cs_tctf8_03
  env_anim 323 325
  sleep 200
  #Konoko sees doors closing
  chr_delete IntroStriker01
  chr_delete IntroStriker02
  cm_anim_block both IntroCam06
  chr_envanim 0 IntroKonBox03 norotation
  chr_animate 0 KONOKOlev8_IntroKon03
  env_setanim 10 motorcycle03
  env_setanim 11 hubs03
  env_setanim 12 hubs_rear03
  env_anim 323 325
  #Konoko rides towards closing doors
  chr_envanim_block 0 IntroKonBox04
  chr_animate 0 KONOKOcycle_ride 246
  env_setanim 10 motorcycle04
  env_setanim 11 hubs04
  env_setanim 12 hubs_rear04
  cm_anim both IntroCam07
  #Konoko slides under the doors
  chr_envanim_block 0 IntroKonBox05 norotation
  chr_animate 0 KONOKOlev8_IntroKon05
  env_setanim 10 motorcycle05
  env_setanim 11 hubs05
  env_setanim 12 hubs_rear05
  cm_anim both IntroCam08
  #Konoko game start
  cm_wait
  playback 0 IntroKonoko
  cinematic_start(KONintense, 180,180,15, 1, 15, false)
  sound_dialog_play c07_22_01konoko
  cm_reset
  sleep 1
  #hide motorcycle object
  obj_kill 10 12
  #kill helicopter objects
  obj_kill 601 606
  obj_kill 701 706
  #hide door objects
  obj_kill 321 325
  #show gunk motorcycle
  env_show 110 1
  env_show 111 1
  env_show 112 1
  #show door gunk
  env_show 321 1
  env_show 322 1
  env_show 323 1
  env_show 324 1
  env_show 325 1
  env_shade 321 325 .3 .3 .3
  #gameplay settings      
  end_cutscene
  sound_dialog_play_block pause
  music_intro
  sleep 60
  cinematic_stop(KONintense, 15, 15)
  ai2_spawn lobby_striker_01
  ai2_spawn lobby_striker_02
  ai2_spawn lobby_striker_03
  s1
  sleep 120
  particle LobbyAlarm kill
}

func void
Soundcue(void)
{
  sleep 1146
  sound_ambient_start cs_tctf8_02
  cutscene_sync mark 

}

func void
Attack(void)
{
  if (dreamc eq 0)
  {
  begin_cutscene
  particle Attack do start
  fade_out 0 0 0 30
  ai2_spawn AttackCivil01
  ai2_spawn AttackCivil02
  ai2_spawn AttackStriker01
  ai2_spawn AttackStriker02
  ai2_setmovementmode AttackStriker01 run
  ai2_setmovementmode AttackStriker02 run
  chr_create 1054 start
  playback AttackCivil01 AttackGeneric01
  playback AttackCivil02 AttackCop01
  playback AttackStriker01 AttackStriker01
  playback AttackStriker02 AttackStriker02
  playback 1054 AttackComguy01
  #sleep 30
  chr_animate AttackCivil01 KONPANcrouch_idle1 1000
  fade_in 30
  #sleep 1
  chr_animate 1054 COMGUYtalk_radio 1660
  cm_interpolate AttackCam01 0
  #sleep 60
  cm_interpolate AttackCam02 400
  sleep 300
  cinematic_start(COMGUYtalking, 180,180, 19, 7, 20, false)
  sound_dialog_play c07_23_01synhench1
  sound_dialog_play_block pause
  cinematic_stop (COMGUYtalking, 19, 30)
  #sleep 10
  end_cutscene
  fade_out 0 0 0 30
  #sleep 30
  cm_reset
  fade_in 30
  #kill characters 1050-1054
  chr_delete AttackCivil01
  chr_delete AttackCivil02
  chr_delete AttackStriker01
  chr_delete AttackStriker02
  chr_delete 1054
  particle Attack do stop
  music_stop
  sleep 200
  music_attack

  # CB: after 10 seconds, play shinatama dialog "they're attacking the command center"
  sleep 600
  sound_dialog_play c00_01_105shinatama
  sound_dialog_play_block
  }
}

func void
sp3Attack(void)
{
  ai2_spawn AttackCivil01
  ai2_spawn AttackCivil02
  ai2_spawn AttackStriker01
  ai2_spawn AttackStriker02
  chr_changeteam AttackCivil01 Syndicate
  chr_changeteam AttackCivil02 Syndicate
  chr_set_health AttackCivil01 280
  chr_set_health AttackCivil02 280
  ai2_setmovementmode AttackStriker01 run
  ai2_setmovementmode AttackStriker02 run
  #playback AttackCivil01 AttackGeneric01
  #playback AttackCivil02 AttackCop01
  #playback AttackStriker01 AttackStriker01
  #playback AttackStriker02 AttackStriker02
  playback 1054 AttackComguy01
}



func void
Kidnap(
  void)
{
  bossway = 9
  particle Kidnap do start
  begin_cutscene
  fade_out 0 0 0 30
  sleep 30
  
  #Shinatama caught up in destruction
  chr_create 1101 start
  chr_envanim 1101 KidnapShinBox02
  chr_animate 1101 SHINATsit_idle 3000

  #create the strikers
  chr_create 1103 start
  chr_create 1104 start
  playback 1103 KidnapStriker01
  playback 1104 KidnapStriker02

  #run the camera
  dprint run_the_camera
  cm_interpolate KidnapCam01 0
  cm_interpolate_block KidnapCam02 300
  fade_in 30
  #sleep 360

  #Shinatama looks up to see SubBoss1
  #dprint shinatama_looks_up
  #chr_envanim 1101 KidnapShinBox02
  #chr_animate 1101 SHINATsit_idle 610

  #cm_anim both KidnapCam03
  #cm_interpolate KidnapCam03 0
  #cm_interpolate_block KidnapHelpCam02 300
  cinematic_start(SHINhelpme, 180,180, 15, 1, 20, false)
  sound_dialog_play c07_24_02shinatama

  #create barabus as passsive
  dprint create_barabus
  ai2_spawn barabus
  chr_boss_shield barabus
  ai2_passive barabus 1
  chr_lock_active barabus
  playback barabus KidnapSubBoss01

  dprint sound_dialog_pause
  sound_dialog_play_block pause
  cinematic_stop (SHINhelpme, 19, 30)

  #SubBoss grabs Shinatama
  dprint barabus_grabs_shinatama
  chr_envanim 1101 KidnapShinBox01 norotation
  chr_animate 1101 SHINATlev8_Kidnap01 -1
  chr_envanim barabus KidnapStrBox01 norotation
  chr_animate barabus STRIKElev8_Kidnap01 -1
  cutscene_sync mark
  sound_ambient_start c09_32_09shin_kidnap
  cinematic_start(BOSS01menacing, 180,180, 20, 9, 20, false)
  sound_dialog_play c07_24_01barabas
  cm_anim both KidnapCam04
  sleep 60
  particle KidnapSpark do start
  sleep 5
  particle KidnapSpark do stop
  sleep 20
  cinematic_stop (BOSS01menacing, 19, 30)
  fade_out 0 0 0 30
  chr_delete 1101
  chr_delete 1103
  chr_delete 1104
  sleep 30
  chr_delete barabus
  chr_delete ShinShin
  chr_delete Griffin
  chr_delete OutroNinja
  cm_reset
  fade_in 30
  end_cutscene
  particle Kidnap do stop
}


func void
Elevator(
  void)
{
  begin_cutscene
  #hide gunk and show elevator objects
  env_show 501 0
  env_show 502 0
  env_show 503 0
  env_show 504 0
  obj_create 781 781
  obj_create 501 504
  obj_force_draw 781 781
  obj_force_draw 501 504
  #KONOKO cuts the cables
  chr_invincible 0 1
  chr_nocollision 0 1
  cm_anim both ElevatorCam01
  chr_envanim 0 ElevatorKonBox01 norotation
  chr_animate 0 KONOKOlev8_Elevator01
  env_anim 781 781
  env_anim 501 504
  sleep f40
  cutscene_sync mark
  sound_ambient_start c10_00_10_torch
  sleep 100
  particle ElevatorSpark do start
  sound_ambient_start c09_32_09shin_kidnap
  sleep 85
  particle ElevatorSpark do stop
  cutscene_sync mark
  sound_ambient_start c10_01_29_elevator
  sleep 45
  particle ElevatorSpark2 do start
  sound_ambient_start c09_32_09shin_kidnap
  sleep 70
  particle ElevatorSpark2 do stop
  #Elevator falls and KONOKO rises
  chr_envanim_block 0 ElevatorKonBox02 norotation
  obj_kill 781 781
  chr_animate 0 KONOKOlev8_Elevator02
  env_setanim 501 Elevator_fall
  env_setanim 502 Elevator_brace_fall
  env_setanim 503 Elevator_cable01_fall
  env_setanim 504 Elevator_cable02_fall
  cm_anim both ElevatorCam02
  sleep 60
  particle ElevatorDust do explode
  sleep 5
  particle ElevatorDust do explode
  #KONOKO stops at top
  chr_envanim_block 0 ElevatorKonBox03 norotation
  chr_animate 0 KONOKOlev8_Elevator03
  env_setanim 503 Elevator_cable01_stop
  cm_anim both ElevatorCam03
  #KONOKOleaps out of shaft
  ai2_reset
  chr_envanim_block 0 ElevatorKonBox04 norotation
  chr_animate 0 KONOKOlev8_Elevator04
  cm_anim both ElevatorCam04
  #hide objects and show gunk
  obj_kill 501 504
  env_show 601 1
  env_show 602 1
  cm_wait
  playback 0 ElevatorEndSet
  sv3
  cm_reset
  chr_invincible 0 0
  chr_nocollision 0 0
  end_cutscene
  sleep 5
}


func void
helicopter(
  void)
{
  obj_create 901 906
  particle EndDust create
}

func void helicopter_sound_start(void)
{
  sound_ambient_start c08_heli 1.0
}

func void helicopter_sound_stop(void)
{
  sleep 680
  sound_ambient_volume c08_heli 0.0 12
  sleep 600
  sound_ambient_stop c08_heli
}

func void helicopter_fly_away(void)
{
  fork helicopter_sound_stop

  #helicopter
  chr_create 1019 start
  chr_create 1020 start
  chr_create 1021 start           
  chr_envanim 1019 HeliOutroShinBox01           
  chr_envanim 1020 HeliOutroStrBox01            
  chr_envanim 1021 HeliOutroStrBox02            
  chr_animate 1019 SHINATstand_heli 1000
  chr_animate 1020 STRIKEstand_heli 1000        
  chr_animate 1021 STRIKEcrouch_idle 1000
  env_anim 901 906
}

func void
HeliOutroRight(
  void)
{
  cutscene_sync mark
  helicopter_sound_start
  ai2_takecontrol 1
  ai2_passive sh_s12b 1
  ai2_passive sh_s12 1
  ai2_passive sh_s12c 1
  ai2_movetoflag 0 1900
  begin_cutscene
  chr_delete sh_s12b
  chr_delete sh_s12
  chr_delete sh_s12c
  ai2_kill
  sleep 10
  helicopter_fly_away
  cm_interpolate HeliOutroRight 200
  sleep 200
  cm_anim both HeliOutroCam012
  sleep 100
  ai2_takecontrol 0
  input 0
  playback 0 HeliOutroKonoko02
  cinematic_start(KONtalking, 180,180, 16, 3, 15, true)
  sound_dialog_play c07_25_01konoko
  sound_dialog_play_block pause
  fork HeliOutro
}


func void
HeliOutroMid(
  void)
{
  cutscene_sync mark
  helicopter_sound_start
  ai2_takecontrol 1
  ai2_passive sh_s12b 1
  ai2_passive sh_s12c 1
  ai2_passive sh_s12 1
  ai2_movetoflag 0 1900
  begin_cutscene
  chr_delete sh_s12c
  chr_delete sh_s12b
  chr_delete sh_s12
  ai2_kill
  sleep 10
  helicopter_fly_away
  cm_interpolate HeliOutroMid 100
  sleep 100
  cm_interpolate HeliOutroCam01 100
  cm_anim_block both HeliOutroCam01
  sleep 200
  ai2_takecontrol 0
  input 0
  playback 0 HeliOutroKonoko02
  cinematic_start(KONtalking, 180,180, 16, 3, 15, true)
  sound_dialog_play c07_25_01konoko
  sound_dialog_play_block pause
  fork HeliOutro
}

func void
HeliOutroMidLt(
  void)
{
  cutscene_sync mark
  helicopter_sound_start
  ai2_takecontrol 1
  ai2_passive sh_s12c 1
  ai2_passive sh_s12b 1
  ai2_passive sh_s12 1
  ai2_movetoflag 0 1900
  begin_cutscene
  chr_delete sh_s12c
  chr_delete sh_s12b
  chr_delete sh_s12
  ai2_kill
  sleep 10
  helicopter_fly_away
  cm_interpolate HeliOutroMidLt 100
  sleep 100
  cm_interpolate HeliOutroCam01 100
  cm_anim_block both HeliOutroCam01
  #patrol Konoko to flag #1010
  sleep 200
  ai2_takecontrol 0
  input 0
  playback 0 HeliOutroKonoko02
  cinematic_start(KONtalking, 180,180, 16, 3, 15, true)
  sound_dialog_play c07_25_01konoko
  sound_dialog_play_block pause
  fork HeliOutro
}

func void
HeliOutroLeft(
  void)
{
  cutscene_sync mark
  helicopter_sound_start
  ai2_takecontrol 1
  ai2_passive sh_s12c 1
  ai2_passive sh_s12b 1
  ai2_passive sh_s12 1
  ai2_movetoflag 0 1900
  begin_cutscene
  chr_delete sh_s12c
  chr_delete sh_s12b
  chr_delete sh_s12
  ai2_kill
  sleep 10
  helicopter_fly_away
  cm_interpolate HeliOutroLeft 200
  sleep 200
  cm_anim both HeliOutroCam012
  sleep 200
  ai2_takecontrol 0
  input 0
  playback 0 HeliOutroKonoko02
  cinematic_start(KONtalking, 180,180, 20, 9, 15, true)
  sound_dialog_play c07_25_01konoko
  sound_dialog_play_block pause
  fork HeliOutro
}


func void
HeliOutro(
void)
{
  particle EndDust kill
  target_set(1,0.0)
  #Subboss shows up behind konoko
  cm_interpolate_block HeliOutroCam02 0
  chr_delete 1019
  chr_delete 1020
  chr_delete 1021
  playback 0 HeliOutroKonoko01
  ai2_spawn barabus
  chr_boss_shield barabus
  playback barabus HeliOutroBoss01
  sleep 40
  chr_animate 0 KONCOMstartle_bk2
  cinematic_stop (KONtalking, 20, 40)
  cinematic_start(KONintense, 180,180, 20, 9, 40, false)
  sound_dialog_play c07_25_02konoko
  sound_dialog_play_block pause
  #subboss taunts Konoko
  cm_interpolate HeliOutroCam03 0
  sleep 30
  cinematic_start(BOSS1talking, 180,180,19, 7, 25, false)
  sound_dialog_play c07_25_03barabas
  sound_dialog_play_block pause
  #"KONOKO, let's get it on!!!!!"
  cinematic_stop (BOSS1talking, 19, 40)
  #camera of Konoko's face
  cm_interpolate HeliCamKonFace 60
  sound_dialog_play c07_25_04konoko
  sound_dialog_play_block pause
  sleep 30
  cinematic_stop (KONintense, 19, 30)
  #resume gameplay
  cm_reset
  letterbox 0
  input 1
  chr_neutral 1010 0
  obj_kill 901 906
  ai2_takecontrol 0
  end_cutscene
  music_battle
  s4
  level_end
}


func void
lv6final(
void)
{
  music_stop
  begin_cutscene
  sleep 120
  sound_dialog_play c07_26a_01konokofx
  chr_animate 0 KONOKOpowerup
  sleep 240
  cinematic_start (KONtalking, 180, 180, 19, 7, 20, false)
  sound_dialog_play c07_26_01konoko
  sound_dialog_play_block
  cinematic_stop (KONtalking, 19, 20)
  fade_out 0 0 0 120
  sleep 120
  win
}

func void
BarabasNorth(string barabas)
{
  if (balive eq 1)
  {
  cutscene_sync mark
  sound_ambient_start c11_10_14bar_jet
  playback barabus BarabasNorth
  ai2_barabbas_retrievegun barabus
  sleep 60
  chr_envanim barabus BarabasNorthBox norotation
  chr_animate barabus BARABnorth
  sleep 105
  #particle BarabasNorth do start
  }
}



func void
BarabasSouth(string barabas)
{
  if (balive eq 1)
  {
  cutscene_sync mark
  sound_ambient_start c11_10_14bar_jet
  playback barabus BarabasSouth
  ai2_barabbas_retrievegun barabus
  sleep 60
  chr_envanim barabus BarabasSouthBox norotation
  chr_animate barabus BARABsouth
  sleep 105
  #particle BarabasSouth do start
  }
}


func void
BarabasEast(string barabas)
{
  if (balive eq 1)
  {
  cutscene_sync mark
  sound_ambient_start c11_10_14bar_jet
  playback barabus BarabasEast
  ai2_barabbas_retrievegun barabus
  sleep 60
  chr_envanim barabus BarabasEastBox norotation
  chr_animate barabus BARABeast
  sleep 105
  #particle BarabasEast do start
  }
}



func void
BarabasWest(string barabas)
{
  if (balive eq 1)
  {
  cutscene_sync mark
  sound_ambient_start c11_10_14bar_jet
  playback barabus BarabasWest
  ai2_barabbas_retrievegun barabus
  sleep 60
  chr_envanim barabus BarabasWestBox norotation
  chr_animate barabus BARABwest
  sleep 105
  #particle BarabasWest do start
  }

}

###############################
# SavePoint three     #
###############################

func void
spcs301(
void)
{
  if (dreamc eq 0)
  {
  dreamw = 9
  ai2_spawn mad_bomber_1
  chr_changeteam mad_bomber_1 Syndicate
  chr_teleport mad_bomber_1 359
  ai2_spawn mad_bomber_2
  chr_teleport mad_bomber_2 349
  ai2_spawn tarmac_tanker_2
  chr_teleport tarmac_tanker_2 101
  ai2_spawn compound_bomber_1
  chr_teleport compound_bomber_1 100
  ai2_spawn hangar1f_enemy_2
  chr_teleport hangar1f_enemy_2 366
  chr_facetoflag hangar1f_enemy_2 31
  sleep 15
  #chr_teleport 0 1117
  chr_givepowerup 0 invis 1
  #sound_dialog_play c17_99_19madbomb
  sound_dialog_play c18_72_18madbomb
  #ai2_kill mad_bomber_1
  #sleep 40
  ai2_kill mad_bomber_2
  #sleep 40
  ai2_kill tarmac_tanker_2
  #sleep 40
  ai2_kill compound_bomber_1
  #sleep 40
  #ai2_kill hangar1f_enemy_2
  #ai2_reset
  dprint tsh_55
  ai2_spawn sh_tank1
  #chr_giveweapon sh_tank1 w3_phr
  chr_givepowerup sh_tank1 cell 6
  ai2_spawn sh_red1
  #chr_giveweapon sh_red1 w3_phr
  chr_givepowerup sh_red1 cell 6
  ai2_spawn sh_s3
  chr_givepowerup sh_s3 ammo 8
  #chr_giveweapon sh_s3 w3_phr
  #chr_teleport sh_s3 344
  ai2_spawn sh_s4
  chr_giveweapon sh_s4 w3_phr
  ai2_spawn sh_s4b
  #ai2_spawn vat_bot_1
  #chr_changeteam vat_bot_1 TCTF
  #chr_teleport vat_bot_1 346
  #chr_facetoflag vat_bot_1 31
  #chr_set_health vat_bot_1 150
  ai2_spawn hostage_thug_2
  #chr_changeteam hostage_thug_2 TCTF
  ai2_noncombatant hostage_thug_2 1
  chr_teleport hostage_thug_2 342
  chr_facetoflag hostage_thug_2 31
  chr_set_health hostage_thug_2 200
  set_objective_5
  #sleep 120
  #ai2_attack sh_s3 char_0
  sleep 200
  fork music_stop
  sound_music_start mus_lz
  #chr_givepowerup 0 invis
  }
}

func void
spcs302(
void)
{
  if (dreamc eq 0)
  {
  #ai2_spawn sh_s1
  ai2_spawn GrifElite02
  chr_teleport GrifElite02 352
  #ai2_spawn sh_s2
  ai2_spawn E1_c40
  chr_teleport E1_c40 373
  chr_facetoflag E1_c40 0
  #ai2_spawn sh_s6
  ai2_spawn E1_c33
  chr_teleport E1_c33 363
  chr_facetoflag E1_c33 21
  #ai2_spawn mad_bomber_1
  #chr_teleport mad_bomber_1 351
  #chr_changeteam mad_bomber_1 Syndicate
  ai2_spawn l4_f2
  chr_changeteam l4_f2 TCTF
  chr_teleport l4_f2 351
  chr_facetoflag l4_f2 31
  chr_set_health l4_f2 500
  ai2_attack GrifElite02 l4_f2
  ai2_spawn B_C33
  ai2_noncombatant B_C33 1
  chr_teleport B_C33 374
  chr_set_health B_C33 500
  ai2_attack E1_c40 B_C33
  }
  if (dreamc eq 1)
  {
    if (Onisf eq 0)
    {
      ai2_spawn evilkonoko
      chr_teleport evilkonoko 345
      chr_facetoflag evilkonoko 21
      ai2_spawn B_C34
      chr_changeteam B_C34 Syndicate
      chr_teleport B_C34 364
      ai2_spawn B_C33
      chr_changeteam B_C33 Syndicate
      chr_teleport B_C33 365
      #ai2_spawn D_C1
      #chr_changeteam D_C1 Syndicate
      #chr_teleport D_C1 366
      chr_animate evilkonoko KONOKOpowerup
      chr_set_health evilkonoko 500
      fork spcs507
      fork spcs513
    }
    if (Onisf eq 9)
    {
      ai2_spawn evilkonoko
      chr_teleport evilkonoko 345
      chr_facetoflag evilkonoko 21
      ai2_spawn B_C34
      chr_changeteam B_C34 Syndicate
      chr_teleport B_C34 364
      ai2_spawn B_C33
      chr_changeteam B_C33 Syndicate
      chr_teleport B_C33 365
      #ai2_spawn D_C1
      #chr_changeteam D_C1 Syndicate
      #chr_teleport D_C1 366
      chr_animate evilkonoko KONOKOpowerup
      chr_set_health evilkonoko 500
      fork spcs507
    }
  }
}

func void
spcs303(
void)
{
  if (dreamc eq 0)
  {
    ai2_spawn sh_com1
    chr_giveweapon sh_com1 w2_sap
    chr_givepowerup sh_com1 ammo 6
    ai2_spawn sh_tank2
    chr_giveweapon sh_tank2 w6_vdg
    ai2_spawn sh_s9
    chr_teleport sh_s9 385
    chr_facetoflag sh_s9 31
    chr_givepowerup sh_s9 ammo 6
    ai2_spawn mad_bomber_1
    chr_changeteam mad_bomber_1 Syndicate
    chr_teleport mad_bomber_1 389
    chr_facetoflag mad_bomber_1 0
    ai2_spawn Ls_44
    chr_teleport Ls_44 377
    chr_facetoflag Ls_44 31
    ai2_spawn l4_f3
    chr_changeteam l4_f3 TCTF
    #chr_givepowerup l4_f3 shield
    chr_teleport l4_f3 376
    #ai2_attack l4_f3 Ls_44
    chr_set_health l4_f3 300
    ai2_spawn l4_f1
    chr_changeteam l4_f1 TCTF
    chr_teleport l4_f1 382
    chr_facetoflag l4_f1 0
    #ai2_attack l4_f1 Ls_44
    chr_set_health l4_f1 300
    ai2_spawn NinjaZip
    chr_teleport NinjaZip 393
    chr_facetoflag NinjaZip 12
    sp3trap = 1
    fork checkdeadsp3
    fork sp3door01
  }
}

func void
spcs304(
void)
{
  dmsg "[b.konoko:] Again.."
  dmsg "[b.--New objective--] Kill the Repairer"
  chr_animate 0 KONOKOpowerup
  trigvolume_enable tv_58t 0
  door_lock 41
  chr_delete lobby_victim
  trigvolume_enable trigger_volume_80 0
  #music_kidnap
  restore_game
  weapon_spawn w10_sni 7024
  weapon_spawn w8_mbo 7023
  chr_givepowerup 0 invis 1
  ai2_spawn a_t99
  chr_changeteam a_t99 Syndicate
  #chr_givepowerup a_t99 shield 10
  #chr_giveweapon a_t99 w3_phr
  #chr_givepowerup a_t99 cell 6
  chr_teleport a_t99 7000
  chr_set_health a_t99 100
  ai2_spawn garage_striker_09
  chr_changeteam garage_striker_09 TCTF
  #chr_givepowerup garage_striker_09 shield 1
  chr_teleport garage_striker_09 7016
  chr_facetoflag garage_striker_09 31
  sleep 250
  ai2_attack garage_striker_09 a_t99
  #sound_dialog_play c01_01_03kerr
}

func void
spcs305(
void)
{
  ai2_spawn a_t03
  chr_changeteam a_t03 Syndicate
  chr_set_health a_t03 100
  ai2_passive a_t03 1
  playback a_t03 atrium_run
  sleep 7
  ai2_spawn a_t06
  chr_changeteam a_t06 Syndicate
  sleep 7
  ai2_spawn a_s02
  chr_changeteam a_s02 TCTF
  sleep 7
  ai2_spawn a_s03
  chr_changeteam a_s03 TCTF
  sleep 7
  ai2_spawn a_red1
  chr_changeteam a_red1 TCTF
  chr_giveweapon a_red1 w1_tap
  ai2_passive a_t03 0
  chr_set_health a_t05 900
  chr_set_health a_t06 900
  chr_set_health a_s02 900
  chr_set_health a_s03 900
  ai2_spawn A_Sbo16
  chr_changeteam A_Sbo16 Syndicate
  chr_teleport A_Sbo16 337
  ai2_spawn B_Lbo27
  chr_changeteam B_Lbo27 Syndicate
  chr_teleport B_Lbo27 332
  chr_facetoflag B_Lbo27 0
  #ai2_spawn D2_f25
  #chr_changeteam D2_f25 Syndicate
  #chr_teleport D2_f25 7000
  #chr_facetoflag D2_f25 0
  sleep 7
  ai2_spawn C2_t19
  chr_changeteam C2_t19 TCTF
  chr_teleport C2_t19 1113
  #checkdead_1
}

func void
spcs306(
void)
{
  ai2_spawn a_t05
  chr_changeteam a_t05 Syndicate
  ai2_dopath a_s03 patrol_7043
  ai2_setjobstate a_s03
  ai2_dopath a_s02 patrol_7030
  ai2_setjobstate a_s02
  ai2_dopath a_t06 patrol_7034
  ai2_setjobstate a_t06
  ai2_dopath a_t05 patrol_7042
  ai2_setjobstate a_t05
  chr_set_health a_t05 160
  chr_set_health a_t06 160
  chr_set_health a_s02 80
  chr_set_health a_s03 80
  ai2_spawn C_C46
  chr_changeteam C_C46 Syndicate
  chr_teleport C_C46 339
  chr_givepowerup C_C46 ammo 90
  sleep 2000
  dprint no_more_tctf
  counter = 100
}

func void
spcs307(
void)
{
  ai2_spawn a_v3
  chr_changeteam a_v3 Syndicate
  ai2_spawn a_s05
  chr_changeteam a_s05 TCTF
  ai2_spawn a_s07
  chr_changeteam a_s07 TCTF
}

func void
spcs308(
void)
{
  ai2_spawn Train_TD_3
  chr_changeteam Train_TD_3 Syndicate
  chr_teleport Train_TD_3 55
  ai2_noncombatant Train_TD_3 1
  chr_set_health Train_TD_3 200
  chr_wait_health Train_TD_3 0
  ai2_spawn LSI
  chr_changeteam LSI Syndicate
  chr_givepowerup LSI shield
  chr_teleport LSI 7023
  chr_set_health LSI 250
  chr_invincible LSI 0
  ai2_spawn D_S83
  chr_changeteam D_S83 Syndicate
  chr_teleport D_S83 336
  chr_facetoflag D_S83 21
  chr_givepowerup D_S83 cell 6
  ai2_spawn D_S101
  chr_changeteam D_S101 Syndicate
  chr_teleport D_S101 338
  chr_facetoflag D_S101 21
  chr_givepowerup D_S101 ammo 30
  ai2_spawn C_C47
  chr_changeteam C_C47 Syndicate
  chr_teleport C_C47 7040
  chr_givepowerup C_C47 ammo 6
  ai2_spawn flOUTSIDE_E_sniper_2
  chr_changeteam flOUTSIDE_E_sniper_2 Syndicate
  chr_givepowerup flOUTSIDE_E_sniper_2 shield 1
  #chr_giveweapon flOUTSIDE_E_sniper_2 w9_scr
  chr_teleport flOUTSIDE_E_sniper_2 7021
  chr_givepowerup flOUTSIDE_E_sniper_2 cell 6
  #sound_music_start mus_space01
  #chr_wait_health LSI 25
  #sound_music_stop mus_space01
  chr_wait_health LSI 0
  sleep 220
  chr_teleport 0 393
  ai2_kill
  dmsg "[b.Griffin:] What do you think?"
  sleep 90
  sound_dialog_play c12_46_02konoko
  sound_dialog_play_block pause
  sleep 50
  sound_dialog_play c01_02_05griffin
  sound_dialog_play_block pause
  sleep 50
  sound_dialog_play c01_02_04konoko
  sound_dialog_play_block pause
}

###############################
# SavePoint five    #
###############################

func void
spcs501(
void)
{
  ai2_spawn barabus
  chr_changeteam barabus TCTF
  chr_teleport barabus 1900
  ai2_spawn sh_s6
  chr_changeteam sh_s6 TCTF
  chr_teleport sh_s6 1900
  ai2_spawn sh_red2
  chr_changeteam sh_red2 TCTF
  chr_teleport sh_red2 1900
  ai2_spawn Muro
  chr_changeteam Muro TCTF
  chr_teleport Muro 1900
  chr_set_health Muro 700
  ai2_spawn OutroNinja
  chr_changeteam OutroNinja TCTF
  chr_teleport OutroNinja 1900
  ai2_spawn A_Sbo16
  chr_changeteam A_Sbo16 Syndicate
  chr_teleport A_Sbo16 58
  ai2_attack A_Sbo16 barabus
  ai2_spawn B_Lbo27
  chr_changeteam B_Lbo27 Syndicate
  chr_teleport B_Lbo27 58
  ai2_attack B_Lbo27 barabus
  dmsg "[b.--New objective--] Kidnap"
  ai2_spawn C_Sbo52
  chr_changeteam C_Sbo52 Syndicate
  chr_teleport C_Sbo52 397
  ai2_spawn C_Lbo53
  chr_changeteam C_Lbo53 Syndicate
  chr_teleport C_Lbo53 65
  fork sp5follow01
  fork buaway01
  fork sp5door01
  fork spcs505
  sound_music_start mus_asian
  fork helicopter_sound_stop
  fork checkdeadsp5_1
}

func void
sp5follow01(
void)
{
  if (bossway eq 0)
  {
    #ai2_followme Muro
    ai2_followme OutroNinja
    sleep 200
    #ai2_setmovementmode Muro run
    ai2_setmovementmode OutroNinja run
    fork sp5follow01
  }
  if (bossway eq 1)
  {
    #ai2_followme Muro
    ai2_followme OutroNinja
    sleep 200
    #ai2_setmovementmode Muro run
    ai2_setmovementmode OutroNinja run
    fork sp5follow01
  }
    if (bossway eq 2)
  {
    #ai2_followme Muro
    ai2_followme NinjaZip
    sleep 200
    #ai2_setmovementmode Muro run
    ai2_setmovementmode NinjaZip run
    fork sp5follow01
  }
  if (bossway eq 4)
  {
    #ai2_followme Muro
    ai2_followme NinjaZip
    sleep 200
    #ai2_setmovementmode Muro run
    ai2_setmovementmode NinjaZip run
    fork sp5follow01
  }
    if (bossway eq 9)
  {
    #ai2_followme Muro
    ai2_followme NinjaZip
    sleep 200
    #ai2_setmovementmode Muro run
    ai2_setmovementmode NinjaZip run
    fork sp5follow01
  }
}

func void
sp5follow02(
void)
{
   XXX
}

func void
sp5Swit(
void)
{
  if (bossway ne 4)
  {
  ai2_movetoflag hostage_thug_1 350
  ai2_movetoflag hostage_thug_2 346
  ai2_movetoflag hostage_thug_3 344
  ai2_setmovementmode hostage_thug_1 walk
  ai2_setmovementmode hostage_thug_2 walk
  ai2_setmovementmode hostage_thug_3 walk
  sleep 500
  fork sp5Swit
  }
  if (bossway eq 4)
  {
  ai2_movetoflag hostage_thug_1 392
  ai2_movetoflag hostage_thug_2 65
  ai2_movetoflag hostage_thug_3 392
  ai2_setmovementmode hostage_thug_1 walk
  ai2_setmovementmode hostage_thug_2 walk
  ai2_setmovementmode hostage_thug_3 walk
  sleep 500
  fork sp5Swit
  }
}

func void
buaway01(
void)
{
  if (bossway eq 0)
  {
    ai2_movetoflag barabus 7038
    ai2_movetoflag sh_s6 7038
    ai2_movetoflag sh_red2 7038
    ai2_movetoflag Muro 7038
    ai2_setmovementmode sh_s6 run
    ai2_setmovementmode sh_red2 run
    ai2_setmovementmode Muro run
    sleep 300
    fork buaway01
  }
}

func void
buaway02(
void)
{
  if (bossway eq 1)
  {
    ai2_movetoflag barabus 362
    ai2_movetoflag sh_s6 359
    ai2_movetoflag sh_red2 359
    ai2_movetoflag Muro 358
    ai2_setmovementmode sh_s6 run
    ai2_setmovementmode sh_red2 run
    ai2_setmovementmode Muro run
    sleep 300
    fork buaway02
  }
}

func void
buaway03(
void)
{
  if (bossway eq 2)
  {
    ai2_movetoflag barabus 348
    ai2_movetoflag sh_s6 87
    ai2_movetoflag sh_red2 387
    ai2_movetoflag Muro 343
    ai2_setmovementmode sh_s6 run
    ai2_setmovementmode sh_red2 run
    sleep 300
    fork buaway03
  }
  if (bossway eq 9)
  {
    ai2_movetoflag barabus 348
    ai2_movetoflag sh_s6 87
    ai2_movetoflag sh_red2 387
    ai2_movetoflag Muro 343
    ai2_setmovementmode sh_s6 run
    ai2_setmovementmode sh_red2 run
    sleep 300
    fork buaway03
  }
  if (bossway eq 4)
  {
    ai2_movetoflag barabus 1119
    ai2_movetoflag sh_s6 87
    ai2_movetoflag sh_red2 387
    ai2_movetoflag Muro 65
    ai2_setmovementmode sh_s6 run
    ai2_setmovementmode sh_red2 run
    sleep 300
    fork buaway03
  }
}

func void
sp5door01(
void)
{
  door_unlock 70
  particle roof_doors_locklight01 do start
  door_unlock 65
  door_unlock 71
  door_unlock 67
  door_unlock 61
  door_unlock 59
  door_lock 48
  #particle shin_lock_locklight01 do start
  #console_deactivate 3
  ai2_spawn A_S1
  chr_teleport A_S1 7038
  chr_changeteam A_S1 Syndicate
  ai2_spawn Kill_Dummy_1
  chr_teleport Kill_Dummy_1 7038
  chr_changeteam Kill_Dummy_1 Syndicate
  chr_set_health Kill_Dummy_1 381
  chr_wait_health Kill_Dummy_1 100
  #dmsg "[r. Griffin:] ..."
  sleep 160
  music_stop
  sound_dialog_play c17_99_23blackopslt
  chr_givepowerup Kill_Dummy_1 invis
  #sleep 160
  #chr_teleport Griffin 1110
  chr_wait_health Kill_Dummy_1 0
  #sound_music_start mus_asian
  fork music_Oni
  bossway = 1
  sp3trap = 8
  dreamw = 6
  fork buaway02
  door_unlock 58
  particle roof_locklight01 do start
  ai2_spawn B_Lbo77
  chr_changeteam B_Lbo77 Syndicate
  chr_teleport B_Lbo77 392
  chr_givepowerup B_Lbo77 ammo 10
  ai2_spawn D_S101
  chr_changeteam D_S101 Syndicate
  chr_teleport D_S101 391
  ai2_spawn hostage_thug_2
  chr_changeteam hostage_thug_2 Switzerland
  chr_teleport hostage_thug_2 392
  chr_set_health hostage_thug_2 300
  ai2_spawn hostage_thug_3
  chr_changeteam hostage_thug_3 Switzerland
  chr_teleport hostage_thug_3 392
  chr_set_health hostage_thug_2 300
  ai2_spawn D2_f25
  chr_teleport D2_f25 393
  chr_changeteam D2_f25 Syndicate
  chr_wait_health D2_f25 100
  chr_givepowerup D2_f25 invis
  chr_set_health D2_f25 212
  sound_dialog_play c18_70_28blackopsswat
  chr_wait_health D2_f25 1
  ai2_kill D2_f25
  #sound_music_start mus_asianb
  #bossway = 2
  #dmsg "[b. barabus:] Stronger and stronger"
  sleep 200
  sound_dialog_play c08_29_29konoko
  fork sp5Swit
  fork spcs508
  fork bighead_a2
  fork bighead_a3
}

func void
spcs502(
void)
{
  if (sp3trap eq 8)
  {
  ai2_spawn new_2
  chr_changeteam new_2 Syndicate
  chr_teleport new_2 355
  chr_facetoflag new_2 0
  ai2_spawn Griffin
  chr_changeteam Griffin Syndicate
  chr_teleport Griffin 1117
  music_stop
  sp3trap = 9
  sleep 160
  ai2_attack Griffin char_0
  #ai2_spawn vat_bot_1
  #chr_teleport vat_bot_1 371
  #ai2_spawn vat_bot_2
  #chr_teleport vat_bot_2 370
  #ai2_spawn vat_bot_3
  #chr_teleport vat_bot_3 372
  #ai2_spawn vat_bot_4
  #chr_teleport vat_bot_4 361
  #ai2_spawn vat_bot_5
  #chr_teleport vat_bot_5 369
  #sleep 300
  #ai2_attack vat_bot_1 char_0
  #ai2_attack vat_bot_2 char_0
  #ai2_attack vat_bot_3 char_0
  #ai2_attack vat_bot_4 char_0
  #ai2_attack vat_bot_5 char_0
  chr_wait_health Griffin 70
  Onisf = 9
  Kidnap
  #ai2_passive barabus 0
  #sp3trap = 9
  fork buaway03
  bossway = 2
  #fork spcs503
  fork spcs504
  }
}

func void
spcs503(
void)
{
  sleep 520
  dmsg "[b.TCTF Regional HQ MOD 3.0]"
  dmsg "[b. Thank to:] EdT  Gumby "
  sleep 660
  dmsg "[b. Thank to:] Cooolmelody  onifan "
  sleep 660
  dmsg "[b. Videos help:] Remixes  Xloo "
  sleep 660
  dmsg "[b. Game supply:] Ping "
  sleep 660
  dmsg "[b. Made by:] gmsly"
  sleep 660
  dmsg "[b. Barabus:] fighting !" 
}

func void
spcs504(
void)
{
  door_unlock 48
  particle shin_lock_locklight01 do start
  ai2_spawn barabus
  chr_changeteam barabus TCTF
  chr_teleport barabus 359
  fork buaway03
  ai2_spawn C_C46
  chr_changeteam C_C46 Syndicate
  chr_teleport C_C46 353
  ai2_spawn C_C47
  chr_changeteam C_C47 Syndicate
  chr_teleport C_C47 353
  ai2_spawn fl1_target_1
  chr_changeteam fl1_target_1 Syndicate
  chr_teleport fl1_target_1 354
  ai2_spawn NinjaZip
  chr_changeteam NinjaZip TCTF
  chr_teleport NinjaZip 369
  fork spcs506
}

func void
spcs505(
void)
{
  ai2_spawn flROOF_sniper_1
  chr_changeteam flROOF_sniper_1 Syndicate
  chr_teleport flROOF_sniper_1 64
  #ai2_attack flROOF_sniper_1 char_0
  sleep 50
  ai2_spawn flOUTSIDE_A_sniper_1
  chr_changeteam flOUTSIDE_A_sniper_1 Syndicate
  chr_teleport flOUTSIDE_A_sniper_1 66
  ai2_spawn flOUTSIDE_B_sniper_1
  #ai2_attack flOUTSIDE_A_sniper_1 char_0
  sleep 50
  chr_changeteam flOUTSIDE_B_sniper_1 Syndicate
  chr_teleport flOUTSIDE_B_sniper_1 7007
  #ai2_attack flOUTSIDE_B_sniper_1 char_0
  sleep 50
  ai2_spawn flOUTSIDE_C_sniper_1
  chr_changeteam flOUTSIDE_C_sniper_1 Syndicate
  chr_teleport flOUTSIDE_C_sniper_1 7035
  #ai2_attack flOUTSIDE_C_sniper_1 char_0
  sleep 50
  #ai2_spawn flOUTSIDE_D_sniper_1
  #chr_changeteam flOUTSIDE_D_sniper_1 Syndicate
  #chr_teleport flOUTSIDE_D_sniper_1 7036
  #ai2_attack flOUTSIDE_D_sniper_1 char_0
  sleep 50
  ai2_spawn flOUTSIDE_E_sniper_1
  chr_changeteam flOUTSIDE_E_sniper_1 Syndicate
  chr_teleport flOUTSIDE_E_sniper_1 7039
  #ai2_attack flOUTSIDE_E_sniper_1 char_0
}

func void
spcs506(
void)
{
  ai2_spawn B_Sbo35
  chr_changeteam B_Sbo35 Syndicate
  chr_teleport B_Sbo35 383
  chr_giveweapon B_Sbo35 w13_muro
  ai2_spawn B_Sbo38
  chr_changeteam B_Sbo38 Syndicate
  chr_teleport B_Sbo38 382
  chr_giveweapon B_Sbo38 w13_muro
  ai2_spawn B_Lbo39
  chr_changeteam B_Lbo39 Syndicate
  chr_teleport B_Lbo39 384
  chr_giveweapon B_Lbo39 w13_muro
  ai2_spawn B_S43
  chr_changeteam B_S43 Syndicate
  chr_teleport B_S43 381
  chr_giveweapon B_S43 w13_muro
  chr_unstoppable B_Sbo35 1
  chr_unstoppable B_Sbo38 1
  chr_unstoppable B_Lbo39 1
  chr_unstoppable B_S43 1
  chr_givepowerup B_Sbo35 shield
  chr_givepowerup B_Sbo38 shield
  chr_givepowerup B_Lbo39 shield
  chr_givepowerup B_S43 shield
  fork spga501
}

func void
spga501(
void)
{
  ai2_movetoflag B_Sbo35 347
  ai2_movetoflag B_Sbo38 85
  ai2_movetoflag B_Lbo39 342
  ai2_movetoflag B_S43 368
  #ai2_movetoflag vat_bot_1 347
  #ai2_movetoflag vat_bot_2 85
  #ai2_movetoflag vat_bot_3 342
  #ai2_movetoflag vat_bot_4 368
  #ai2_movetoflag vat_bot_5 87
  ai2_setmovementmode B_Sbo35 walk
  ai2_setmovementmode B_Sbo38 walk
  ai2_setmovementmode B_Lbo39 walk
  ai2_setmovementmode B_S43 walk
  #ai2_setmovementmode vat_bot_1 run
  #ai2_setmovementmode vat_bot_2 run
  #ai2_setmovementmode vat_bot_3 run
  #ai2_setmovementmode vat_bot_4 run
  #ai2_setmovementmode vat_bot_5 run
  sleep 300
  fork spga501
}

func void
spcs507(
void)
{
  chr_wait_health evilkonoko 0
  ai2_spawn mad_bomber_2
  chr_teleport mad_bomber_2 349
  ai2_spawn tarmac_tanker_2
  chr_teleport tarmac_tanker_2 101
  ai2_spawn compound_bomber_1
  chr_teleport compound_bomber_1 100
  ai2_spawn mad_bomber_1
  chr_teleport mad_bomber_1 368
  ai2_spawn hangar1f_enemy_2
  chr_teleport hangar1f_enemy_2 85
  sleep 15
  chr_givepowerup 0 invis 1
  sound_dialog_play c17_99_19madbomb
  ai2_kill mad_bomber_2
  ai2_kill tarmac_tanker_2
  ai2_kill compound_bomber_1
  ai2_kill mad_bomber_1
  ai2_kill hangar1f_enemy_2
  sleep 40
  spcs509
}

func void
spcs508(
void)
{
  chr_wait_health ShinShin 0
  if (Onisf eq 0)
  {
    dmsg "[r. Mission fail]"
    #lose
    sleep 200
    sound_dialog_play c17_99_27mutantmuro
    ai2_spawn muro_dummy
    chr_changeteam muro_dummy TCTF
    chr_teleport muro_dummy 1900
    fork spcs519
  }
  if (Onisf eq 9)
  {
    #dmsg "[b. Mission complete]"
  }
}

func void
spcs509(
void)
{
  ai2_spawn sh_s1
  chr_changeteam sh_s1 TCTF
  ai2_spawn sh_s2
  chr_changeteam sh_s2 TCTF
  ai2_spawn sh_s3
  chr_changeteam sh_s3 TCTF
  chr_giveweapon sh_s3 w14_sbg2
  ai2_spawn sh_s6
  chr_changeteam sh_s6 TCTF
  ai2_spawn l4_f2
  chr_changeteam l4_f2 Syndicate
  chr_teleport l4_f2 351
  chr_facetoflag l4_f2 31
  chr_set_health l4_f2 800
  ai2_spawn l4_t2
  chr_changeteam l4_t2 Syndicate
  ai2_noncombatant l4_t2 1
  chr_teleport l4_t2 374
  chr_set_health l4_t2 800
  bossway = 4
  sp3trap = 10
  Onimus = 1
}

func void
spcs510(
void)
{
  ai2_spawn sh_com1
  chr_changeteam sh_com1 TCTF
  ai2_spawn sh_tank2
  chr_changeteam sh_tank2 TCTF
  ai2_spawn sh_s9
  chr_changeteam sh_s9 TCTF
  ai2_spawn l4_f1
  chr_changeteam l4_f1 Syndicate
  chr_teleport l4_f1 382
  chr_facetoflag l4_f1 0
  #ai2_attack l4_f1 Ls_44
  chr_set_health l4_f1 400
  ai2_spawn C_Sbo56
  chr_changeteam C_Sbo56 Syndicate
  chr_teleport C_Sbo56 1119
  ai2_spawn D_Sbo71
  chr_changeteam D_Sbo71 Syndicate
  chr_teleport D_Sbo71 399
  ai2_spawn D_Sbo72
  chr_changeteam D_Sbo72 Syndicate
  chr_teleport D_Sbo72 7007
  ai2_spawn D_Lbo81
  chr_changeteam D_Lbo81 Syndicate
  chr_teleport D_Lbo81 400
  ai2_spawn D_Lbo85
  chr_changeteam D_Lbo85 Syndicate
  chr_teleport D_Lbo85 397
  sp3trap = sp3trap + 1
  chr_wait_health C_Sbo56 0
  chr_wait_health D_Sbo71 0
  chr_wait_health D_Sbo72 0
  chr_wait_health D_Lbo81 0
  chr_wait_health D_Lbo85 0
  dreamc = 2
  spcs511
}

func void
spcs511(
void)
{
  chr_teleport 0 0
  ai2_reset
  ai2_kill
  chr_animate 0 KONOKOpowerup
  dreamw = 0
  sjc = 0
  sja = 0
  sjb = 0
  #door_lock 6
  #door_lock 9
  door_lock 10
  door_unlock 20
  door_unlock 24
  console_deactivate 1
  console_deactivate 2
  #ai2_shownames = 1
  ai2_spawn D2_f25
  chr_changeteam D2_f25 Syndicate
  chr_teleport D2_f25 1105
  ai2_noncombatant D2_f25 1
  chr_givepowerup D2_f25 shield
  #chr_boss_shield D2_f25
  ai2_spawn B_Lbo39
  chr_changeteam B_Lbo39 Konoko
  chr_teleport B_Lbo39 0
  chr_giveweapon B_Lbo39 w3_phr
  chr_givepowerup B_Lbo39 cell 6
  ai2_spawn B_Lbo27
  chr_changeteam B_Lbo27 Konoko
  chr_teleport B_Lbo27 0
  chr_giveweapon B_Lbo27 w3_phr
  chr_givepowerup B_Lbo27 cell 6
  ai2_spawn flROOF_sniper_1
  chr_teleport flROOF_sniper_1 0
  chr_changeteam flROOF_sniper_1 Konoko
  ai2_spawn flOUTSIDE_A_sniper_1
  chr_teleport flOUTSIDE_A_sniper_1 401
  chr_changeteam flOUTSIDE_A_sniper_1 Konoko
  ai2_spawn flOUTSIDE_B_sniper_1
  chr_teleport flOUTSIDE_B_sniper_1 401
  chr_changeteam flOUTSIDE_B_sniper_1 Konoko
  ai2_spawn flOUTSIDE_C_sniper_1
  chr_teleport flOUTSIDE_C_sniper_1 404
  chr_changeteam flOUTSIDE_C_sniper_1 Konoko
  ai2_spawn flOUTSIDE_E_sniper_1
  chr_teleport flOUTSIDE_E_sniper_1 404
  chr_changeteam flOUTSIDE_E_sniper_1 Konoko
  dmsg "[b.--New objective--]Upstairs"
  ai2_spawn AttackStriker01
  ai2_inactive AttackStriker01
  chr_giveweapon AttackStriker01 w3_phr
  chr_changeteam AttackStriker01 Syndicate
  chr_teleport AttackStriker01 15
  chr_facetoflag AttackStriker01 21
  chr_set_health AttackStriker01 300
  chr_givepowerup AttackStriker01 cell 6
  ai2_spawn B_Lbo26
  chr_teleport B_Lbo26 1
  chr_givepowerup B_Lbo26 cell 6
  chr_unstoppable B_Lbo39 1
  chr_unstoppable B_Lbo27 1
  chr_unstoppable flROOF_sniper_1 1
  chr_unstoppable flOUTSIDE_A_sniper_1 1
  chr_unstoppable flOUTSIDE_B_sniper_1 1
  chr_unstoppable flOUTSIDE_C_sniper_1 1
  chr_unstoppable flOUTSIDE_E_sniper_1 1
  ai2_attack AttackStriker01 B_Lbo26
  fork spcs512
  fork spcs514
  chr_wait_health AttackStriker01 0
  fork sp1_B_Lbo26
}

func void
spcs512(
void)
{
  if (dreamc eq 2)
  {
    #ai2_followme muro_dummy
    ai2_followme B_Lbo39
    ai2_followme B_Lbo27
    ai2_movetoflag flROOF_sniper_1 81
    ai2_movetoflag flOUTSIDE_A_sniper_1 42
    ai2_movetoflag flOUTSIDE_B_sniper_1 41
    ai2_movetoflag flOUTSIDE_C_sniper_1 402
    ai2_movetoflag flOUTSIDE_E_sniper_1 403
    #ai2_setmovementmode muro_dummy creep
    ai2_setmovementmode B_Lbo39 creep
    ai2_setmovementmode B_Lbo27 creep
    ai2_setmovementmode flROOF_sniper_1 creep
    ai2_setmovementmode flOUTSIDE_A_sniper_1 creep
    ai2_setmovementmode flOUTSIDE_B_sniper_1 creep
    ai2_setmovementmode flOUTSIDE_C_sniper_1 creep
    ai2_setmovementmode flOUTSIDE_E_sniper_1 creep
    sleep 200
    fork spcs512
  }
  if (dreamc eq 3)
  {
    #ai2_followme muro_dummy
    ai2_followme B_Lbo39
    ai2_followme B_Lbo27
    ai2_movetoflag flROOF_sniper_1 1
    ai2_movetoflag flOUTSIDE_A_sniper_1 15
    ai2_movetoflag flOUTSIDE_B_sniper_1 1
    ai2_movetoflag flOUTSIDE_C_sniper_1 15
    ai2_movetoflag flOUTSIDE_E_sniper_1 14
    ai2_movetoflag A_S1 1
    ai2_movetoflag A_S2 15
    ai2_movetoflag new_2 14
    ai2_movetoflag D_S83 307
    ai2_movetoflag D2_f25 15
    #ai2_setmovementmode muro_dummy run
    ai2_setmovementmode B_Lbo39 run
    ai2_setmovementmode B_Lbo27 run
    ai2_setmovementmode flROOF_sniper_1 run
    ai2_setmovementmode flOUTSIDE_A_sniper_1 run
    ai2_setmovementmode flOUTSIDE_B_sniper_1 run
    ai2_setmovementmode flOUTSIDE_C_sniper_1 run
    ai2_setmovementmode flOUTSIDE_E_sniper_1 run
    ai2_setmovementmode A_S1 run
    ai2_setmovementmode A_S2 run
    ai2_setmovementmode new_2 run
    ai2_setmovementmode D_S83 run
    ai2_setmovementmode D2_f25 run
    sleep 200
    fork spcs512
  }
  if (dreamc eq 4)
  {
    #ai2_followme muro_dummy
    ai2_followme B_Lbo39
    ai2_followme B_Lbo27
    ai2_movetoflag flROOF_sniper_1 21
    ai2_movetoflag flOUTSIDE_A_sniper_1 31
    ai2_movetoflag flOUTSIDE_B_sniper_1 32
    ai2_movetoflag flOUTSIDE_C_sniper_1 11
    ai2_movetoflag flOUTSIDE_E_sniper_1 79
    ai2_movetoflag A_S1 78
    ai2_movetoflag A_S2 7047
    ai2_movetoflag new_2 7046
    ai2_movetoflag D_S83 307
    ai2_movetoflag D2_f25 15
    #ai2_setmovementmode muro_dummy run
    ai2_setmovementmode B_Lbo39 run
    ai2_setmovementmode B_Lbo27 run
    ai2_setmovementmode flROOF_sniper_1 run
    ai2_setmovementmode flOUTSIDE_A_sniper_1 run
    ai2_setmovementmode flOUTSIDE_B_sniper_1 run
    ai2_setmovementmode flOUTSIDE_C_sniper_1 run
    ai2_setmovementmode flOUTSIDE_E_sniper_1 run
    ai2_setmovementmode A_S1 run
    ai2_setmovementmode A_S2 run
    ai2_setmovementmode new_2 run
    ai2_setmovementmode D_S83 run
    ai2_setmovementmode D2_f25 run
    sleep 200
    fork spcs512
  }
}

func void
spcs513(
void)
{
  chr_wait_health evilkonoko 200
  chr_set_health evilkonoko 600
}

func void
spcs514(
void)
{
  chr_wait_health D2_f25 1
  chr_set_health D2_f25 400
  chr_changeteam D2_f25 TCTF
  chr_givepowerup D2_f25 shield
  fork spcs515
  #chr_wait_health D2_f25 1
  #chr_set_health D2_f25 300
  #chr_changeteam D2_f25 Syndicate
  #chr_givepowerup D2_f25 shield
  #chr_wait_health D2_f25 1
  #chr_set_health D2_f25 300
  #chr_changeteam D2_f25 Konoko
  #chr_givepowerup D2_f25 shield
  chr_wait_health D2_f25 100
  chr_givepowerup D2_f25 invis
  chr_set_health D2_f25 212
  chr_wait_health D2_f25 1
  ai2_kill D2_f25
}

func void
spcs515(
void)
{
  sound_dialog_play c18_70_28blackopsswat
  ai2_spawn sh_s1
  chr_teleport sh_s1 1
  #chr_giveweapon sh_s1 w3_phr
  chr_givepowerup sh_s1 cell 6
  ai2_spawn sh_s2
  chr_teleport sh_s2 1
  #chr_giveweapon sh_s2 w3_phr
  chr_givepowerup sh_s2 cell 6
  ai2_spawn sh_s4
  chr_teleport sh_s4 1
  #chr_giveweapon sh_s4 w3_phr
  chr_givepowerup sh_s4 cell 6
  ai2_spawn sh_s5
  chr_teleport sh_s5 1
  #chr_giveweapon sh_s5 w3_phr
  chr_givepowerup sh_s5 cell 6
  ai2_spawn sh_s6
  chr_teleport sh_s6 1
  #chr_giveweapon sh_s6 w3_phr
  chr_givepowerup sh_s6 cell 6
  spcsAttack501
  #Onimus = 0
  music_stop
  #fork music_Oni
  
  sleep 600
  
  ai2_spawn sh_s7
  chr_teleport sh_s7 1
  #chr_giveweapon sh_s7 w3_phr
  chr_givepowerup sh_s7 cell 6
  ai2_spawn sh_red2
  chr_teleport sh_red2 1
  #chr_giveweapon sh_red2 w3_phr
  chr_givepowerup sh_red2 cell 6
  ai2_spawn sh_com1
  chr_teleport sh_com1 1
  #chr_giveweapon sh_com1 w3_phr
  chr_givepowerup sh_com1 ammo 16
  ai2_spawn sh_tank2
  chr_teleport sh_tank2 1
  #chr_giveweapon sh_tank2 w3_phr
  chr_givepowerup sh_tank2 cell 6
  ai2_spawn AttackStriker01
  chr_changeteam AttackStriker01 Syndicate
  chr_teleport AttackStriker01 1
  #chr_giveweapon AttackStriker01 w3_phr
  chr_givepowerup AttackStriker01 ammo 16
  spcsAttack502
  
  sleep 900
  
  ai2_spawn AttackStriker02
  chr_changeteam AttackStriker02 Syndicate
  chr_teleport AttackStriker02 1
  #chr_giveweapon AttackStriker02 w3_phr
  chr_givepowerup AttackStriker02 cell 6
  ai2_spawn mbo_sniper
  chr_teleport mbo_sniper 1
  chr_giveweapon mbo_sniper w2_sap
  chr_givepowerup mbo_sniper ammo 6
  chr_givepowerup mbo_sniper shield
  ai2_spawn sh_s9
  chr_teleport sh_s9 1
  #chr_giveweapon sh_s9 w3_phr
  chr_givepowerup sh_s9 ammo 6
  ai2_spawn sh_s8
  chr_teleport sh_s8 1
  #chr_giveweapon sh_s8 w3_phr
  chr_givepowerup sh_s8 cell 6
  ai2_spawn sh_s12
  chr_teleport sh_s12 1
  #chr_giveweapon sh_s12 w3_phr
  chr_givepowerup sh_s12 cell 6
  chr_givepowerup sh_s12 shield
  spcsAttack503
  
  sleep 1000
  chr_wait_health sh_s12 0
  chr_wait_health mbo_sniper 0
  ai2_spawn mad_bomber_1
  chr_changeteam mad_bomber_1 Syndicate
  chr_teleport mad_bomber_1 1
  chr_giveweapon mad_bomber_1 w3_phr
  chr_givepowerup mad_bomber_1 cell 6
  ai2_spawn mad_bomber_2
  chr_teleport mad_bomber_2 1
  chr_giveweapon mad_bomber_2 w3_phr
  chr_givepowerup mad_bomber_2 cell 6
  ai2_spawn tarmac_tanker_2
  chr_teleport tarmac_tanker_2 1
  chr_giveweapon tarmac_tanker_2 w3_phr
  chr_givepowerup tarmac_tanker_2 cell 6
  ai2_spawn compound_bomber_1
  chr_teleport compound_bomber_1 1
  chr_giveweapon compound_bomber_1 w3_phr
  chr_givepowerup compound_bomber_1 cell 6
  ai2_spawn hangar1f_enemy_2
  chr_teleport hangar1f_enemy_2 1
  chr_giveweapon hangar1f_enemy_2 w3_phr
  chr_givepowerup hangar1f_enemy_2 cell 6
  spcsAttack504
  
  chr_wait_health mad_bomber_1 0
  chr_wait_health mad_bomber_2 0
  chr_wait_health tarmac_tanker_2 0
  chr_wait_health compound_bomber_1 0
  chr_wait_health hangar1f_enemy_2 0
  
  #sound_music_start mus_asian
  ai2_spawn A_N1
  chr_teleport A_N1 1
  chr_giveweapon A_N1 w3_phr
  chr_givepowerup A_N1 cell 6
  ai2_spawn D_N25
  chr_teleport D_N25 1
  chr_giveweapon D_N25 w3_phr
  chr_givepowerup D_N25 cell 6
  ai2_spawn A_N7
  chr_teleport A_N7 1
  #chr_giveweapon A_N7 w3_phr
  chr_givepowerup A_N7 cell 6
  ai2_spawn A_N8
  chr_teleport A_N8 1
  #chr_giveweapon A_N8 w3_phr
  chr_givepowerup A_N8 cell 6
  ai2_spawn E_N29
  chr_teleport E_N29 1
  chr_giveweapon E_N29 w3_phr
  chr_givepowerup E_N29 cell 6
  dreamc = 3
  ai2_spawn A_S1
  chr_changeteam A_S1 Konoko
  chr_teleport A_S1 7014
  ai2_spawn A_S2
  chr_changeteam A_S2 Konoko
  chr_teleport A_S2 7014
  ai2_spawn new_2
  chr_changeteam new_2 Konoko
  chr_teleport new_2 7014
  ai2_spawn D_S83
  chr_changeteam D_S83 Konoko
  chr_teleport D_S83 7014
  ai2_spawn D2_f25
  chr_changeteam D2_f25 Konoko
  chr_teleport D2_f25 7014
  ai2_noncombatant D2_f25 0
  chr_giveweapon D2_f25 w3_phr
  spcsAttack505
  
  chr_wait_health A_N8 0
  chr_wait_health E_N29 0
  chr_wait_health D_N25 0
  
  door_unlock 10
  #chr_unstoppable B_Lbo39 0
  #chr_unstoppable B_Lbo27 0
  #chr_unstoppable flROOF_sniper_1 0
  #chr_unstoppable flOUTSIDE_A_sniper_1 0
  #chr_unstoppable flOUTSIDE_B_sniper_1 0
  #chr_unstoppable flOUTSIDE_C_sniper_1 0
  #chr_unstoppable flOUTSIDE_E_sniper_1 0
  sleep 500
  fork spcs516
  sound_dialog_play c18_69_08red
  ai2_spawn A2_r03
  chr_teleport A2_r03 32
  chr_giveweapon A2_r03 w14_sbg2
  chr_givepowerup A2_r03 cell 6
  ai2_spawn E1_c40
  chr_teleport E1_c40 32
  chr_giveweapon E1_c40 w14_sbg2
  chr_givepowerup E1_c40 cell 6
  ai2_spawn red_guard_1
  chr_teleport red_guard_1 32
  #chr_giveweapon red_guard_1 w14_sbg2
  chr_givepowerup red_guard_1 cell 6
  ai2_spawn E1_c33
  chr_teleport E1_c33 32
  chr_giveweapon E1_c33 w14_sbg2
  chr_givepowerup E1_c33 cell 6
  #ai2_spawn pipe_guard_2
  #chr_teleport pipe_guard_2 1
  #chr_giveweapon pipe_guard_2 w14_sbg2
  #chr_givepowerup pipe_guard_2 cell 6
  spcsAttack506
  sleep 1000
  
  dreamc = 4
  ai2_spawn D_E83
  chr_teleport D_E83 32
  chr_giveweapon D_E83 w14_sbg2
  chr_givepowerup D_E83 cell 6
  ai2_spawn GrifElite02
  chr_teleport GrifElite02 32
  chr_giveweapon GrifElite02 w14_sbg2
  chr_givepowerup GrifElite02 cell 6
  ai2_spawn F_Nr87
  chr_teleport F_Nr87 32
  chr_giveweapon F_Nr87 w14_sbg2
  chr_givepowerup F_Nr87 cell 6
  ai2_spawn F_R61
  chr_teleport F_R61 32
  chr_giveweapon F_R61 w14_sbg2
  chr_givepowerup F_R61 cell 6
  ai2_spawn GrifElite03
  chr_teleport GrifElite03 32
  chr_giveweapon GrifElite03 w14_sbg2
  chr_givepowerup GrifElite03 cell 6
  spcsAttack507
  
  sleep 1000
  
  ai2_spawn B2_sb09
  chr_teleport B2_sb09 32
  ai2_spawn C2_t19
  chr_teleport C2_t19 32
  ai2_spawn D2_sg24
  chr_teleport D2_sg24 32
  ai2_spawn E_N14a
  chr_teleport E_N14a 32
  ai2_spawn E_N14
  chr_teleport E_N14 32
  spcsAttack508
  #dmsg "MOD is End !" 
  
  
  chr_wait_health A_S1 0
  chr_wait_health A_S2 0
  chr_wait_health new_2 0
  
  ai2_spawn B_C34
  chr_teleport B_C34 7014
  ai2_spawn B_Sbo35
  chr_teleport B_Sbo35 7014
  ai2_spawn D_Lbo81
  chr_teleport D_Lbo81 7014
  ai2_spawn B_C33
  chr_teleport B_C33 7014
  ai2_spawn B_Sbo38
  chr_teleport B_Sbo38 7014
  ai2_spawn D_Lbo85
  chr_teleport D_Lbo85 7014
  spcsAttack509
  
  chr_wait_health B_Sbo35 0
  chr_wait_health B_Sbo38 0
  
  ai2_spawn Griffin
  chr_teleport Griffin 7014
  chr_giveweapon Griffin w3_phr
  chr_givepowerup Griffin cell 10
  ai2_spawn D_Sbo71
  chr_teleport D_Sbo71 7014
  chr_giveweapon D_Sbo71 w14_sbg2
  chr_givepowerup D_Sbo71 ammo 10
  ai2_spawn D_Sbo72
  chr_teleport D_Sbo72 7014
  chr_giveweapon D_Sbo72 w14_sbg2
  chr_givepowerup D_Sbo72 ammo 10
}

func void
spcs516(
void)
{
  sound_music_start mus_amasian
  ai2_spawn evilkonoko
  chr_teleport evilkonoko 32
  chr_set_health evilkonoko 600
  chr_wait_health evilkonoko 80
  sound_music_stop mus_amasian
  sound_dialog_play c17_99_25barabas
  sound_music_start mus_asian
  ai2_spawn barabus
  chr_teleport barabus 32
  chr_wait_health barabus 80
  sound_dialog_play c17_99_24superninja
  ai2_spawn NinjaZip
  chr_teleport NinjaZip 32
  chr_boss_shield NinjaZip
  #chr_wait_health NinjaZip 80
  sound_music_stop mus_asian
  chr_wait_health NinjaZip 1
  ai2_kill NinjaZip
  sound_music_start mus_ot
  sound_dialog_play c17_99_26muro
  ai2_spawn Muro
  chr_teleport Muro 32
  chr_boss_shield Muro
  chr_set_health Muro 700
  ai2_spawn D_R31
  chr_teleport D_R31 32
  chr_giveweapon D_R31 w1_tap
  ai2_spawn D_R33
  chr_teleport D_R33 32
  chr_giveweapon D_R33 w1_tap
  chr_wait_health Muro 80
  sound_dialog_play c17_99_27mutantmuro
  ai2_spawn muro_dummy
  chr_teleport muro_dummy 32
  #fork spcs503
  chr_wait_health muro_dummy 120
  sound_music_stop mus_ot
  sleep 200
  sound_music_start mus_xtr2
  chr_wait_health muro_dummy 0
  sound_music_stop mus_xtr2
  sound_dialog_play c09_33_03griffin
  cinematic_start(BOSS1talking, 128, 128, 16, 3, 10, true)
  dmsg "[b. Barabus:] Good job.Objective Complete !"
  sleep 220
  dmsg "[b. Barabus:] MOD is End !" 
  sleep 220
  dmsg "[b. Barabus:] keep fighting !" 
  sleep 220
  cinematic_stop (BOSS1talking, 128, 128, 16, 3, 10, true)
  dmsg "[b.-Game will save after five seconds-]"
  dmsg "[b.-5-]"
  sleep 180
  dmsg "[b.-4-]"
  sleep 180
  dmsg "[b.-3-]"
  sleep 180
  dmsg "[b.-2-]"
  sleep 180
  dmsg "[b.-1-]"
  s6
}

func void
spcs517(
void)
{
  #goto 1448 842 151
  balive = 0
  sp3trap = 0
  dreamc = 1
  goto 288 908 -43
  chr_facetoflag 0 21
  ai2_reset
  ai2_kill
  chr_animate 0 KONOKOpowerup
  chr_set_health 0 400
  dmsg "[b.konoko:] Sniper.."
  chr_debug_characters= 1
  spcs505
  chr_teleport flROOF_sniper_1 400
  chr_teleport flOUTSIDE_A_sniper_1 66
  chr_teleport flOUTSIDE_B_sniper_1 397
  chr_teleport flOUTSIDE_C_sniper_1 58
  chr_teleport flOUTSIDE_E_sniper_1 359
}

func void
spcs518(
void)
{
  #goto 1448 1842 151
  balive = 0
  sp3trap = 0
  dreamc = 1
  goto 229 3908 -128
  chr_invincible 0 1
  chr_facetoflag 0 21
  ai2_reset
  ai2_kill
  chr_animate 0 KONOKOpowerup
  chr_set_health 0 900
  dmsg "[b.konoko:] Sniper.."
  chr_debug_characters= 1
  spcs505
  chr_teleport flROOF_sniper_1 400
  chr_teleport flOUTSIDE_A_sniper_1 66
  chr_teleport flOUTSIDE_B_sniper_1 397
  chr_teleport flOUTSIDE_C_sniper_1 58
  chr_teleport flOUTSIDE_E_sniper_1 359
  fork spcs518
  sleep 530
  sound_dialog_play c05_53_27_crash
  chr_invincible 0 0
}

func void
spcs519(
void)
{
  
  ai2_followme muro_dummy
  sleep 200
  ai2_setmovementmode muro_dummy run
  fork spcs519
}

func void
spcs599(
void)
{
  goto 1448 842 151
  chr_facetoflag 0 21
  ai2_spawn barabus
  chr_changeteam barabus TCTF
  chr_teleport barabus 344
  ai2_spawn NinjaZip
  chr_changeteam NinjaZip TCTF
  chr_teleport NinjaZip 344
  chr_teleport 0 0
  chr_facetoflag 0 0
  chr_animate 0 KONOKOpowerup
  ai2_reset
  ai2_kill
  #chr_teleport 0 400
  #chr_facetoflag 0 31
  #dmsg "[r. Konoko]"
  #chr_animate 0 KONOKOpowerup
  #ai2_reset
  #ai2_kill
  #my_save_point=5;
  #dprint restore5
  #set_objective_5
  #restore_game
  #spcs509
}

func void
spcsAttack501(
void)
{
  ai2_movetoflag sh_s1 81
  ai2_movetoflag sh_s2 42
  ai2_movetoflag sh_s4 41
  ai2_movetoflag sh_s5 402
  ai2_movetoflag sh_s6 403
  sleep 200
  ai2_setmovementmode sh_s1 run
  ai2_setmovementmode sh_s2 run
  ai2_setmovementmode sh_s4 run
  ai2_setmovementmode sh_s5 run
  ai2_setmovementmode sh_s6 run
  fork spcsAttack501
}

func void
spcsAttack502(
void)
{
  ai2_movetoflag sh_s7 81
  ai2_movetoflag sh_red2 82
  ai2_movetoflag sh_com1 41
  ai2_movetoflag sh_tank2 321
  ai2_movetoflag AttackStriker01 322
  sleep 200
  ai2_setmovementmode sh_s7 run
  ai2_setmovementmode sh_red2 run
  ai2_setmovementmode sh_com1 run
  ai2_setmovementmode sh_tank2 run
  ai2_setmovementmode AttackStriker01 run
  fork spcsAttack502
}

func void
spcsAttack503(
void)
{
  ai2_movetoflag mbo_sniper 81
  ai2_movetoflag sh_s9 42
  ai2_movetoflag sh_s8 41
  ai2_movetoflag sh_s12 402
  ai2_movetoflag AttackStriker02 403
  sleep 200
  ai2_setmovementmode mbo_sniper run
  ai2_setmovementmode sh_s9 run
  ai2_setmovementmode sh_s8 run
  ai2_setmovementmode sh_s12 run
  ai2_setmovementmode AttackStriker02 run
  fork spcsAttack503
}

func void
spcsAttack504(
void)
{
  ai2_movetoflag mad_bomber_1 81
  ai2_movetoflag mad_bomber_2 42
  ai2_movetoflag tarmac_tanker_2 41
  ai2_movetoflag compound_bomber_1 321
  ai2_movetoflag hangar1f_enemy_2 403
  sleep 200
  ai2_setmovementmode mad_bomber_1 run_noaim
  ai2_setmovementmode mad_bomber_2 run_noaim
  ai2_setmovementmode tarmac_tanker_2 run_noaim
  ai2_setmovementmode compound_bomber_1 run_noaim
  ai2_setmovementmode hangar1f_enemy_2 run_noaim
  fork spcsAttack504
}

func void
spcsAttack505(
void)
{
  ai2_movetoflag A_N1 81
  ai2_movetoflag D_N25 42
  ai2_movetoflag A_N7 41
  ai2_movetoflag A_N8 402
  ai2_movetoflag E_N29 403
  sleep 200
  ai2_setmovementmode A_N1 run
  ai2_setmovementmode D_N25 run
  ai2_setmovementmode A_N7 run
  ai2_setmovementmode A_N8 run
  ai2_setmovementmode E_N29 run
  fork spcsAttack505
}

func void
spcsAttack506(
void)
{
  ai2_movetoflag A2_r03 84
  ai2_movetoflag E1_c40 7008
  ai2_movetoflag red_guard_1 83
  ai2_movetoflag E1_c33 82
  ai2_movetoflag muro_dummy 14
  ai2_movetoflag Muro 14
  ai2_movetoflag NinjaZip 14
  ai2_movetoflag barabus 14
  ai2_movetoflag evilkonoko 14
  ai2_movetoflag D_R33 1
  ai2_movetoflag D_R31 15
  sleep 200
  ai2_setmovementmode A2_r03 run
  ai2_setmovementmode E1_c40 run
  ai2_setmovementmode red_guard_1 run
  ai2_setmovementmode E1_c33 run
  ai2_setmovementmode muro_dummy run
  ai2_setmovementmode Muro run
  ai2_setmovementmode NinjaZip run
  ai2_setmovementmode barabus run
  ai2_setmovementmode evilkonoko run
  ai2_setmovementmode D_R33 run
  ai2_setmovementmode D_R31 run
  fork spcsAttack506
}

func void
spcsAttack507(
void)
{
  ai2_movetoflag D_E83 320
  ai2_movetoflag GrifElite02 504
  ai2_movetoflag F_Nr87 318
  ai2_movetoflag F_R61 501
  ai2_movetoflag GrifElite03 1105
  sleep 200
  ai2_setmovementmode D_E83 run
  ai2_setmovementmode GrifElite02 run
  ai2_setmovementmode F_Nr87 run
  ai2_setmovementmode F_R61 run
  ai2_setmovementmode GrifElite03 run
  fork spcsAttack507
}

func void
spcsAttack508(
void)
{
  ai2_movetoflag B2_sb09 320
  ai2_movetoflag C2_t19 504
  ai2_movetoflag D2_sg24 318
  ai2_movetoflag E_N14a 501
  ai2_movetoflag E_N14 1105
  sleep 200
  ai2_setmovementmode B2_sb09 run
  ai2_setmovementmode C2_t19 run
  ai2_setmovementmode D2_sg24 run
  ai2_setmovementmode E_N14a run
  ai2_setmovementmode E_N14 run
  fork spcsAttack508
}

func void
spcsAttack509(
void)
{
  ai2_movetoflag B_C34 13
  ai2_movetoflag B_Sbo35 16
  ai2_movetoflag D_Lbo81 28
  ai2_movetoflag B_C33 25
  ai2_movetoflag B_Sbo38 0
  ai2_movetoflag D_Lbo85 11
  ai2_movetoflag Griffin 0
  ai2_movetoflag D_Sbo71 401
  ai2_movetoflag D_Sbo72 404
  sleep 200
  ai2_setmovementmode B_C34 run
  ai2_setmovementmode B_Sbo35 run
  ai2_setmovementmode D_Lbo81 run
  ai2_setmovementmode B_C33 run
  ai2_setmovementmode B_Sbo38 run
  ai2_setmovementmode D_Lbo85 run
  ai2_setmovementmode Griffin run
  ai2_setmovementmode D_Sbo71 run
  ai2_setmovementmode D_Sbo72 run
  fork spcsAttack509
}

###############################
# Big Head counter     #
###############################

func void bighead_a1(string ai_name)
{
  chr_wait_health hostage_thug_1 0
  bighead_counter = bighead_counter + 1
  if (bighead_counter eq 3)
    {
    big_head
    }
}

func void bighead_a2(string ai_name)
{
  chr_wait_health hostage_thug_2 0
  bighead_counter = bighead_counter + 1
  if (bighead_counter eq 3)
    {
    big_head
    }
}

func void bighead_a3(string ai_name)
{
  chr_wait_health hostage_thug_3 0
  bighead_counter = bighead_counter + 1
  if (bighead_counter eq 3)
    {
    big_head
    }
}

# Big Head
func void big_head(string ai_name)
{
  if (dreamc eq 1)
  {
    chr_big_head = 1
    fork spcs503
    timer_start 120 small_head
  }
}

func void small_head(string ai_name)
{
  chr_big_head = 0
}