#
# tctf_spawn_syndicate.bsl
#
# SCRIPTS TO SPAWN SYNDICATE UNITS
# TCTF Regional HQ MOD 3.0
# by gmsly

var int my_save_point=0;
var int striker_count=0;
var int music_counter = 0;
var int counter = 0;
var int elev_count=0;
var int shut_down_t103;
var int count_follow;
var int sja = 0;
var int sjb = 0;
var int sjc = 0;
var int sjd = 0;
var int sje = 0;
var int cat2nd = 0;
var int sp1_sp2 = 0;
var int dreamw = 0;
var int dreamc = 0;
var int sp2_sp3 = 0;
var int sp3trap = 0;
var int balive = 1;
var int bossway = 0;
var int Onimus = 0;
var int Onisly = 0;
var int Onisf = 0;
var int bighead_counter = 0;

# music #

func void music_intro(void)
{
  sound_music_start mus_asian
}

func void levelbegin(void)
{
  sleep 80
  sound_dialog_play c00_01_11shinatama
  sound_dialog_play_block pause
  sleep 30
  sound_dialog_play c00_01_34shinatama
  sound_dialog_play_block pause
  sleep 30
  sound_dialog_play c00_01_16shinatama
  sound_dialog_play_block pause
}

func void music_intro_stop(void)
{
  sound_music_stop mus_asianb
}

func void music_attack(void)
{
  #sound_music_start mus_ot 0
  #sound_music_volume mus_ot 0.75 3.0
  sound_music_start mus_chase
  #this music stopped in floor4_lock script
}

func void music_kidnap(void)
{
  dprint kidnapmusic
  sound_music_start mus_om01 0.0
  sound_music_volume mus_om01 0.75 3.0
# this music stopped in ta2_54 script
}

func void music_battle(void)
{
  sound_music_start mus_asianb 0
  sound_music_volume mus_asianb 2
# this music stopped in final script
}

func void music_Oni(void)
{
  if (Onimus eq 0)
  {
    sleep 250
    sound_music_start mus_main02
    sleep 3600
    sound_music_stop mus_main02
    sleep 550
    sound_music_start mus_chase
    sleep 5600
    sound_music_stop mus_chase
    sleep 550
    sound_music_start mus_lz
    sleep 5600
    sound_music_stop mus_lz
    sleep 550
    sound_music_start mus_space01
    sleep 5600
    sound_music_stop mus_space01
    sleep 550
    fork music_Oni
  }
}

func void music_stop(void)
{
  dprint STOP_THE_MUSIC
  sound_music_stop mus_asian
  sound_music_stop mus_asianb
  sound_music_stop mus_chase
  sound_music_stop mus_lz
  sound_music_stop mus_ot
  sound_music_stop mus_om01
  sound_music_stop mus_space01
  sound_music_stop atm_low_perc1
  sound_music_stop mus_main02
# sound_music_stop mus_asianb
}


###############################
# start and objectives    #
###############################
func void start(string ai_name)
{
  dprint start

  trig_deactivate 1
  trig_deactivate 2
  trig_deactivate 3
  trig_deactivate 4
  trig_deactivate 5
  trig_deactivate 6
  trig_deactivate 7
  trig_deactivate 8
  trig_deactivate 9
  trig_deactivate 10
  trig_deactivate 60
  trig_deactivate 61
  trig_deactivate 62
  trig_deactivate 63
  trig_deactivate 64
  trig_deactivate 65
  trig_deactivate 70
  trig_deactivate 71
  trig_deactivate 72
  trig_deactivate 73
  trig_deactivate 74
  trig_deactivate 75
  trig_deactivate 302
  trig_deactivate 303
  trig_deactivate 100
  trig_deactivate 101
  trig_deactivate 500
  trig_deactivate 501
  trig_deactivate 502
  trig_deactivate 503
  trig_deactivate 400
  trig_deactivate 510
  trig_deactivate 511
  trig_deactivate 512
  trig_deactivate 520
  trig_deactivate 521
  trig_deactivate 522
  trig_deactivate 310
  trig_deactivate 320
  trig_deactivate 98
  trig_deactivate 99
  trigvolume_enable trigger_volume_81 0
  trigvolume_enable z_40t 0
  trigvolume_enable zz_40t 0
  trigvolume_enable zzz_40t 0
  trigvolume_enable zzzz_40t 0
  trigvolume_enable tv_61t 0

  if (save_point eq 0)
  {
    my_save_point=0;
    set_objective_1
    particle security_locklight01 do start
    particle smoke start
  }

  if (save_point eq 1)
  {
    my_save_point=1;
    dprint restore1
    set_objective_1
    particle smoke start
    particle security_locklight01 do start
    env_show 398 0
    #
    #turn off unbroken curtain wall
    env_show 98 0
    #
    #turn on broken curtain wall
    env_show 99 1
    #show gunk van
    env_show 101 1
    env_show 103 1
    env_show 104 1
    env_show 105 1
    env_show 106 1
    env_show 107 1
    env_show 108 1
    env_show 444 1
    env_show 97 0
    #show gunk motorcycle
    env_show 110 1
    env_show 111 1
    env_show 112 1
    #show door gunk
    env_show 321 1
    env_show 322 1
    env_show 323 1
    env_show 324 1
    env_show 325 1
    env_shade 321 325 .3 .3 .3
    music_intro
    restore_game
    sleep 7
    #sound_dialog_play c07_22_01konoko
    particle LobbyWall do explode
    fork sp1
    chr_givepowerup 0 ammo 1
    chr_giveweapon 0 w1_tap
    powerup_spawn shield 320
    powerup_spawn shield 325
    powerup_spawn hypo 327
    powerup_spawn hypo 326
    #sound_dialog_play c00_01_27shinatama
    #sound_music_start mus_pursuit
    #dmsg "[b.--TCTF Regional HQ MOD 3.0--]"
    #sleep 60
    #dmsg "[y.-gmsly@hotmail.com-]"
    sleep 470
    sound_music_stop mus_asian
  }

  if (save_point eq 2)
    {
    my_save_point=2;
    dprint restore2
    set_objective_3
    trigvolume_enable tv_58t 0
    door_lock 41
    chr_delete lobby_victim
    trigvolume_enable trigger_volume_80 0
    music_kidnap
    restore_game
    chr_giveweapon 0 w1_tap
    #fork npcreset
    #sound_music_start mus_ambgrv1
    ai2_spawn a_t99
    chr_givepowerup a_t99 shield 10
    #chr_giveweapon a_t99 w3_phr
    #chr_givepowerup a_t99 cell 6
    chr_teleport a_t99 7016
    chr_set_health a_t99 300
    ai2_spawn garage_striker_05
    chr_givepowerup garage_striker_05 shield 1
    chr_teleport garage_striker_05 7000
    gl_fog_start=.985
    #gl_fog_blue=.100
    #gl_fog_red=.100
    #gl_fog_green=.100 
    #gl_fog_end=99
    #fork sp2
    #fork stairattrack_2
    }

  if (save_point eq 3)
  {
    my_save_point=3;
    dprint restore3
    trigvolume_enable t86 0
    set_objective_5
    trigvolume_enable tsh_55t 0
    #Hide elevator gunk
    env_show 501 0
    env_show 502 0
    env_show 503 0
    env_show 504 0
    #Show new elevator gunk
    env_show 601 1
    env_show 602 1
    fork tsh_55
    restore_game
    trigvolume_enable tv_58t 0
  }

  if (save_point eq 4)
    {
    my_save_point=4;
    dprint restore4
    set_objective_5
    trigvolume_enable tsh_60t 0
    trigvolume_enable tr_66t 0
    trigvolume_enable tr_67t 0
    trigvolume_enable tr_65t 0
    trigvolume_enable tr_64t 0
    ai2_spawn barabus
    chr_boss_shield barabus
    target_set(1,0.0)
    restore_game
    fork level_end
    }
    
    if (save_point eq 5)
    {
    my_save_point=5;
    dprint restore5
    set_objective_5
    restore_game
    balive = 0
    sp3trap = 0
    dreamc = 1
    helicopter
    helicopter_sound_start
    chr_teleport 0 1900
    spcs501
    ai2_spawn ShinShin
    chr_teleport ShinShin 357
    #ai2_allpassive ShinShin 0
    #ai2_shownames = 1
    }
    
    if (save_point eq 6)
    {
    my_save_point=6;
    dprint restore6
    set_objective_1
    restore_game
    #ai2_shownames = 1
    dreamc = 2
    spcs511
    #spcs517
    }
}

func void striker_spawn(string ai_name)
{
  dprint striker_spawn
  striker_count =  striker_count + 1
}

func void striker_die(string ai_name)
{
  dprint striker_die
  striker_count =  striker_count - 1
}

#########################
# trigger volumes #
#########################

func void RandGen(void) {
    rand_cell= rand_cell + 1; if(rand_cell > rand_cell_max) rand_cell= 0;
}

func void gmsly197(void)
{
  if (dreamw eq 0)
  {
    XXX
  }
  if (dreamw eq 1)
  {
    XXX
  }
}

func void gmsly198(void)
{
  if (sja eq 1)
  {
    XXX
  }
  if (sja eq 2)
  {
    XXX
  }
}

func void gmsly199(void)
{
  if (sjb eq 1)
  {
    XXX
  }
  if (sjb eq 2)
  {
    XXX
  }
}

func void gmsly200(void)
{
  if (sja eq 1)
  {
    if (sjb eq 1)
    {
      XXX
    }
    if (sjb eq 2)
    {
      XXX
    }
  }
  if (sja eq 2)
  {
    if (sjb eq 1)
    {
      XXX
    }
    if (sjb eq 2)
    {
      XXX
    }
  }
}

func void sp1(void)
{
  fork tworoad_1
  fork tworoad_2
  #sja = 1
  #sjb = 1
  #ai2_spawn AttackStriker02
  #ai2_inactive AttackStriker02
  #chr_changeteam AttackStriker02 RogueKonoko
  #chr_teleport AttackStriker02 15
  #chr_facetoflag AttackStriker02 21
  ai2_spawn AttackStriker01
  ai2_inactive AttackStriker01
  chr_giveweapon AttackStriker01 w3_phr
  chr_changeteam AttackStriker01 Syndicate
  #chr_changeteam AttackStriker01 SecurityGuard
  chr_teleport AttackStriker01 15
  chr_facetoflag AttackStriker01 21
  ai2_spawn B_Lbo26
  chr_teleport B_Lbo26 1
  #chr_facetoflag B_Lbo26 0
  sleep 80
  sound_dialog_play c18_69_04striker
  sleep 110
  sound_dialog_play c18_69_24tctflite
  chr_wait_health AttackStriker01 0
  fork levelbegin
  fork sp1_B_Lbo26
  #chr_changeteam B_Lbo26 RogueKonoko
  #cinematic_start (TCTFtalking, 128, 128, 20, 9, 10, true)
  #dmsg "[b.TCTF lite:] Barabus? We have met barabus in first floor, the request support!..."
  #sleep 250
  #cinematic_start(BOSS1talking, 128, 128, 16, 3, 10, true)
  #dmsg "[r. Barabus:] Attack! attack! for ours wages !"  
  #sleep 100  
  #cinematic_start (TCTFtalking, 128, 128, 18, 6, 10, true)
  #dmsg "[b.TCTF lite:] The second floor!, ...Here enemy were too many!..."
  #sleep 200
  #cinematic_stop (BOSS1talking, 128, 128, 16, 3, 10, true)
  #sleep 200  
  #cinematic_start (TCTFtalking, 128, 128, 16, 3, 10, true)
  #dmsg "[b.TCTF lite:] ...I thought I had to resign!!Only if you give me today the double wages !"
  #sleep 150
  #cinematic_stop (TCTFtalking, 128, 128, 18, 6, 10, true)
  #sleep 150
  #cinematic_stop (TCTFtalking, 128, 128, 20, 9, 10, true)
  #cinematic_start (KONtalking, 128, 128, 19, 7, 20, false)
  #sleep 200
  #cinematic_stop (TCTFtalking, 128, 128, 16, 3, 10, true)
  #dmsg "[l. Konoko:] What?Hey guys wait me..." 
  #sleep 200
  #cinematic_stop (KONtalking, 128, 128, 19, 7, 20, false)
}

func void sp1_B_Lbo26(void)
{
  if (dreamc eq 0)
  {
    ai2_followme B_Lbo26
    sleep 200
    ai2_setmovementmode B_Lbo26 run
    fork sp1_B_Lbo26
  }
  if (dreamc eq 2)
  {
    ai2_followme B_Lbo26
    sleep 200
    ai2_setmovementmode B_Lbo26 creep
    fork sp1_B_Lbo26
  }
  if (dreamc eq 3)
  {
    ai2_followme B_Lbo26
    sleep 200
    ai2_setmovementmode B_Lbo26 run
    fork sp1_B_Lbo26
  }
  if (dreamc eq 4)
  {
    ai2_followme B_Lbo26
    sleep 200
    ai2_setmovementmode B_Lbo26 run
    fork sp1_B_Lbo26
  }
}

func void catchyoulater(void)
{
  cinematic_start (BOSS1talking, 128, 128, 16, 3, 10, true)
  dmsg "[r. Barabus:] Catch you later! Sexy girl"
  sleep 150
  cinematic_stop (BOSS1talking, 128, 128, 16, 3, 10, true)
  dmsg "[b. konoko:] ..."
  sound_dialog_play c17_99_28konoko
  sleep 100
  sound_dialog_play c00_01_05shinatama
  sound_dialog_play_block pause
  sleep 30
  sound_dialog_play c00_01_09shinatama
  sound_dialog_play_block pause
}

func void bosschat(void)
{
  cinematic_start (KONtalking, 180, 180, 15, 1, 20, false)
  dmsg "[r. konoko:] ...when will you get off work?Baby"
  sleep 80
  cinematic_start (BOSS1talking, 128, 128, 16, 3, 10, true)
  dmsg "[r. Barabus:] Oh time is up...Work time ends too late in Syndicate."
  cinematic_stop (KONtalking, 180, 180, 15, 1, 20, false)
  sleep 100
  cinematic_stop (BOSS1talking, 128, 128, 16, 3, 10, true)
}

func void sp2(void)
{
  chr_teleport 0 1
  dreamw = 1
  dmsg "[b.--New objective--] Unlock the security door"
  chr_animate 0 KONOKOpowerup
  powerup_spawn hypo 324
  #powerup_spawn hypo 325
  powerup_spawn hypo 72
  powerup_spawn hypo 327
  #cinematic_start (KONtalking, 180, 180, 15, 1, 20, false)
  #dmsg "[r. konoko:] ...Work time ends too late in Syndicate."
  #cinematic_start (BOSS1talking, 128, 128, 16, 3, 10, true)
  #dmsg "[r. Barabus:] ...Work time ends too late in Syndicate."
    #my_save_point=1;
    #dprint restore1
    particle smoke start
    particle security_locklight01 do start
    env_show 398 0
    #
    #turn off unbroken curtain wall
    env_show 98 0
    #
    #turn on broken curtain wall
    env_show 99 1
    #show gunk van
    env_show 101 1
    env_show 103 1
    env_show 104 1
    env_show 105 1
    env_show 106 1
    env_show 107 1
    env_show 108 1
    env_show 444 1
    env_show 97 0
    #show gunk motorcycle
    env_show 110 1
    env_show 111 1
    env_show 112 1
    #show door gunk
    env_show 321 1
    env_show 322 1
    env_show 323 1
    env_show 324 1
    env_show 325 1
    env_shade 321 325 .3 .3 .3
    #ai2_spawn lobby_striker_03
    #chr_changeteam lobby_striker_03 TCTF
    #chr_givepowerup lobby_striker_03 cell 6
    #ai2_spawn lobby_striker_03 force
    #ai2_spawn lobby_striker_03 force
    #music_intro
    restore_game
    sleep 7
    #sound_dialog_play c07_22_01konoko
    particle LobbyWall do explode
    #sound_dialog_play c00_01_27shinatama
    #chr_facetoflag 0 0
    #cinematic_start (KONtalking, 180, 180, 19, 7, 20, false)
    #ai2_takecontrol 1
    #ai2_movetoflag 0 0
    #ai2_inactive 0
    #cinematic_start (KONtalking, 180, 180, 15, 1, 20, false)
    #chr_teleport 0 7013
    #chr_teleport 0 1
    #chr_health 0 1
    #chr_full_health 0
    #chr_set_health 0 300
    #sound_music_start mus_pursuit
    #dmsg "[b.--TCTF Regional HQ MOD 3.0--]"
    #sleep 60
    #dmsg "[b.-gmsly@hotmail.com-]"
    #ai2_spawn a_s06
    #chr_teleport a_s06 0
    #ai2_movetoflag a_s06 1
    #ai2_setjobstate a_s06
    gl_fog_start=.975
    gl_fog_blue=.100
    gl_fog_red=.100
    gl_fog_green=.100 
    #gl_fog_end=99
    chr_teleport 0 316
    door_unlock 41
    fork dreamboss
    fork dreamchat01
}

func void spthree(void)
{
  dreamw = 6
  spcs304
}

func void dreamboss(void)
{
  #chr_changeteam 0 Syndicate
  door_lock 4
  door_lock 7
  ai2_spawn A_Sbo16
  chr_changeteam A_Sbo16 Syndicate
  chr_giveweapon A_Sbo16 w1_tap
  chr_teleport A_Sbo16 23
  chr_facetoflag A_Sbo16 31
  chr_set_health A_Sbo16 150
  ai2_spawn B_Lbo27
  chr_changeteam B_Lbo27 Syndicate
  chr_giveweapon B_Lbo27 w1_tap
  chr_teleport B_Lbo27 317
  chr_facetoflag B_Lbo27 31
  chr_set_health B_Lbo27 150
  ai2_spawn B_Sbo35
  chr_changeteam B_Sbo35 Syndicate
  chr_giveweapon B_Sbo35 w1_tap
  chr_teleport B_Sbo35 31
  chr_facetoflag B_Sbo35 31
  chr_set_health B_Sbo35 150
  ai2_spawn GrifElite02
  chr_changeteam GrifElite02 TCTF
  chr_teleport GrifElite02 32
  chr_facetoflag GrifElite02 0
  #ai2_movetoflag barabus 406
  ai2_spawn D_E83
  chr_changeteam D_E83 TCTF
  chr_teleport D_E83 32
  chr_facetoflag D_E83 0
  ai2_spawn B_Lbo26
  chr_changeteam B_Lbo26 Syndicate
  chr_giveweapon B_Lbo26 w6_vdg
  chr_teleport B_Lbo26 11
  chr_facetoflag B_Lbo26 31
  chr_set_health B_Lbo26 150
  sound_dialog_play c18_70_28blackopsswat
  chr_wait_health A_Sbo16 0
  fork followa
}

func followa
{
  ai2_followme GrifElite02
  ai2_followme D_E83
  ai2_followme l_s02
  ai2_followme l_s03
  ai2_followme F_Nr87
  ai2_followme l_c10
  sleep 200
  ai2_setmovementmode GrifElite02 run
  ai2_setmovementmode D_E83 run
  ai2_setmovementmode l_s02 run
  ai2_setmovementmode l_s03 run
  ai2_setmovementmode F_Nr87 run
  ai2_setmovementmode l_c10 run
  fork followa
}

func followb
{
  ai2_followme Kill_Dummy_1
  sleep 200
  ai2_setmovementmode Kill_Dummy_1 run
  fork followb
}

func dreamchat01
{
  cinematic_start (KONdeepthought, 128, 128, 19, 7, 20, false)
  dmsg "[b.konoko:] TCTF HQ MOD 3.0"
  sleep 150
  cinematic_start (BOPSface, 128, 128, 16, 3, 20, true)
  dmsg "[r.TCTF swat:] By gmsly"
  sleep 250
  cinematic_stop (KONdeepthought, 19, 20)
  sleep 100
  cinematic_stop (BOPSface, 16, 19)
  
}

func dreamchat02
{
  cinematic_start (BOSS1talking, 128, 128, 16, 3, 10, true)
  dmsg "[b.barabus:] Stronger and stronger!"
  sound_dialog_play c17_99_25barabas
  sleep 200
  cinematic_stop (BOSS1talking, 128, 128, 16, 3, 10, true)
}

func dreamchat03
{
  ###
}

func void escape_1(void)
{
  chr_wait_health Griffin 90
  chr_givepowerup Griffin invis
  dmsg "[r.Griffin:] it's a bad idea"
  sound_dialog_play c14_52_03griffin
  ai2_spawn flOUTSIDE_B_sniper_1
  chr_changeteam flOUTSIDE_B_sniper_1 Syndicate
  chr_giveweapon flOUTSIDE_B_sniper_1 w1_tap
  chr_teleport flOUTSIDE_B_sniper_1 1105
  #chr_facetoflag flOUTSIDE_B_sniper_1 0
  chr_set_health Griffin 200
  sleep 120
  chr_teleport Griffin 1118
  chr_facetoflag Griffin 21
  chr_giveweapon Griffin w3_phr
}

func void checkdead_1(void)
{
  chr_wait_health D2_f25 100
  chr_givepowerup D2_f25 invis
  chr_set_health D2_f25 212
  chr_wait_health D2_f25 1
  ai2_kill D2_f25
}

func void checkdeadsp3(void)
{
  chr_wait_health NinjaZip 490
  sound_music_stop mus_lz
  chr_wait_health NinjaZip 50
  chr_givepowerup NinjaZip invis
  dmsg "[r. Mukade:] Ha ha ha..."
  sound_dialog_play c17_99_24superninja
  fork sp3door02
  #chr_animate WindowNinjaRun NINCOMteleport_out
  sleep 160
  chr_teleport NinjaZip 1110
  ai2_kill
  fork spthree
  chr_teleport 0 331
  sp3trap = 6
  chr_set_health NinjaZip 500
  chr_wait_health NinjaZip 1
  ai2_kill NinjaZip
  chr_delete sh_tank1
  chr_delete sh_red1
  chr_delete sh_s3
  chr_delete sh_s4
  chr_delete sh_s4b
  chr_delete hangar1f_enemy_2
  chr_delete garage_striker_05
  chr_delete garage_striker_07
  chr_delete A_N1
  chr_delete GrifElite02
  chr_delete E1_c40
  chr_delete E1_c33
  chr_delete sh_com1
  chr_delete sh_tank2
  chr_delete sh_s9
  chr_delete mad_bomber_1
  chr_delete Ls_44
  
}

func void checkdeadsp4(void)
{
  chr_wait_health OutroNinja 10
  chr_givepowerup OutroNinja invis
  sleep 140
  chr_teleport OutroNinja 1110
}

func void checkdeadsp5_1(void)
{
  chr_wait_health OutroNinja 1
  ai2_kill OutroNinja
}

func void gorooftop(void)
{
  chr_teleport barabus 66
}

func void tworoad_1(void)
{
  ai2_spawn sh_s5
  chr_set_health sh_s5 25
  chr_teleport sh_s5 17
  chr_changeteam sh_s5 RogueKonoko
  ai2_spawn sh_s7
  chr_set_health sh_s7 32
  chr_teleport sh_s7 17
  fork roadone
  fork roadtwo
}

func void roadone(void)
{
  chr_wait_health sh_s5 0
  chr_teleport sh_s7 66
  #dmsg "[y.-road 1-]"
  sja = 1 
}

func void roadtwo(void)
{
  chr_wait_health sh_s7 0
  chr_teleport sh_s5 66
  chr_changeteam sh_s5 Syndicate
  #dmsg "[y.-road 2-]"
  sja = 2
}

func void tworoad_2(void)
{
  ai2_spawn sh_s4b
  chr_teleport sh_s4b 301
  ai2_spawn l4_s67
  chr_changeteam l4_s67 RogueKonoko
  chr_teleport l4_s67 301
  chr_set_health sh_s4b 25
  chr_set_health l4_s67 25
  fork roadthree
  fork roadfour
}

func void roadthree(void)
{
  chr_wait_health sh_s4b 0
  chr_teleport l4_s67 66
  chr_changeteam l4_s67 Syndicate
  #dmsg "[y.-road 3-]"
  sjb = 1
}

func void roadfour(void)
{
  chr_wait_health l4_s67 0
  chr_teleport sh_s4b 66
  #dmsg "[y.-road 4-]"
  sjb = 2
}

func void trapkonoko(void)
{
  chr_wait_health 0 170
  sleep 160
  ai2_spawn AttackCivil01
  chr_giveweapon AttackCivil01 w3_phr
  chr_givepowerup AttackCivil01 cell 6
  chr_set_health AttackCivil01 400
  chr_teleport AttackCivil01 21
  chr_facetoflag AttackCivil02 21
  ai2_spawn AttackCivil02
  chr_giveweapon AttackCivil02 w3_phr
  chr_givepowerup AttackCivil02 cell 6
  chr_set_health AttackCivil02 400
  chr_teleport AttackCivil02 11
  chr_facetoflag AttackCivil02 31
  fork trapkonoko2
}

func void trapkonoko2(void)
{
  ai2_followme AttackCivil01
  ai2_followme AttackCivil02
  sleep 200
  ai2_setmovementmode AttackCivil01 run
  ai2_setmovementmode AttackCivil02 run
  fork trapkonoko2
}

func void musstop(void)
{
  sleep 1800
  music_stop
}

func void npcreset(void)
{
  if (sp1_sp2 eq 0)
  {
    ai2_reset
    ai2_kill
    sp1_sp2 = 1
  }
  
}

func void sp3door01(void)
{
  door_close 58
  door_jam 58
  particle roof_locklight01 do stop
}

func void sp3door02(void)
{
  door_open 58
  door_unjam 58
  particle roof_locklight01 do start
}

func void sp3sg01(void)
{
  dmsg "[r. Mukade:] Bye."
  chr_animate WindowNinjaRun NINCOMteleport_out
  
}

func void level_end(void)
{
  fork sp4tctf
  fork music_stop
  sound_music_start mus_asian
  chr_wait_health barabus 25
  sound_music_stop mus_asian
  chr_wait_health barabus 0
  balive = 0
  dmsg "[r. Mukade:] Ha ha ha"
  sound_dialog_play c17_99_24superninja
  sound_music_start mus_pursuit
  ai2_spawn OutroNinja
  chr_boss_shield OutroNinja
  chr_teleport OutroNinja 1900
  ai2_attack OutroNinja char_0
  chr_wait_health OutroNinja 150
  sound_music_stop mus_pursuit
  chr_wait_health OutroNinja 90
  chr_givepowerup OutroNinja invis
  #sound_dialog_play c17_99_24superninja
  sleep 160
  chr_teleport OutroNinja 1110
  ai2_kill OutroNinja
  dmsg "[r. Muro:] Maybe I should step try"
  sound_dialog_play c17_99_26muro
  sound_dialog_play_block pause
  sound_dialog_play c14_54_05konoko
  sound_dialog_play_block pause
  sound_dialog_play c13_65_24konoko
  sound_dialog_play_block pause
  sound_music_start mus_ot
  ai2_spawn Muro
  chr_boss_shield Muro
  chr_teleport Muro 1900
  ai2_attack Muro char_0
  chr_wait_health Muro 150
  sound_music_stop mus_ot
  sleep 40
  sound_music_start mus_xtr2
  chr_wait_health Muro 100
  chr_givepowerup Muro invis
  sleep 160
  chr_teleport Muro 1110
  dmsg "[r. Muro:] Maybe I should step escape.."
  sound_dialog_play c14_54_07konoko
  sleep 180
  sleep 180
  #dmsg "[b.--TCTF Regional HQ MOD 3.0--]"
  sleep 180
  dmsg "[b.-5-]"
  sleep 180
  dmsg "[b.-4-]"
  sleep 180
  dmsg "[b.-3-]"
  s5
  sleep 180
  dmsg "[b.-2-]"
  sleep 180
  lv6final
}

func void sp4tctf(void)
{
  door_unlock 70
  particle roof_doors_locklight01 do start
  door_unlock 65
  door_unlock 71
  door_unlock 67
  door_unlock 61
  door_unlock 59
  ai2_spawn Griffin
  chr_teleport Griffin 557
  ai2_spawn Kill_Dummy_1
  chr_teleport Kill_Dummy_1 7038
  chr_changeteam Kill_Dummy_1 TCTF
}

func void roadbarabus(void)
{
  ai2_spawn barabus
  chr_giveweapon barabus w12_ba2
  chr_teleport barabus 9998
  chr_wait_health barabus 200
  dmsg "[b.--TCTF Regional HQ MOD 3.0--]"
  dmsg "[b.-gmsly@hotmail.com-]"
  chr_wait_health barabus 150
  chr_givepowerup barabus invis
  sleep 160
  chr_set_health barabus 375
  chr_teleport barabus 58
}

func void gmsly116(void)
{
  XXX
}

func void gmsly117(void)
{
  XXX
}

func void gmsly118(void)
{
  XXX
}

func void gmsly119(void)
{
  XXX
}

func void stairattrack_1(void)
{
  if (sja eq 1)
  {
  #ai2_spawn tanker_stairdoor
  sound_dialog_play c00_01_27shinatama
  #chr_wait_health tanker_stairdoor 10
  ai2_spawn sh_com1
  chr_givepowerup sh_com1 shield 1
  chr_giveweapon sh_com1 w6_vdg
  chr_givepowerup sh_com1 cell 1
  chr_teleport sh_com1 406
  chr_wait_health sh_com1 10
  ai2_spawn tanker_stairdoor
  chr_wait_health tanker_stairdoor 10
  ai2_spawn sh_s6
  chr_giveweapon sh_s6 w3_phr
  chr_givepowerup sh_s6 cell 1
  chr_teleport sh_s6 406
  }
  if (sja eq 2)
  {
  #ai2_spawn tanker_stairdoor
  sound_dialog_play c00_01_27shinatama
  #chr_wait_health tanker_stairdoor 10
  ai2_spawn sh_s6
  chr_giveweapon sh_s6 w3_phr
  chr_givepowerup sh_s6 cell 1
  chr_teleport sh_s6 406
  chr_wait_health sh_s6 10
  ai2_spawn sh_com1
  chr_givepowerup sh_com1 shield 1
  chr_giveweapon sh_com1 w6_vdg
  chr_givepowerup sh_com1 cell 1
  chr_teleport sh_com1 406
  #chr_wait_health sh_com1 10
  ai2_spawn tanker_stairdoor
  
  }
}

func void stairattrack_2(void)
{
  chr_teleport 0 28
  chr_facetoflag 0 12
  chr_teleport GrifElite02 28
  chr_teleport D_E83 13
  chr_teleport l_s02 12
  chr_teleport l_s03 25
  chr_teleport F_Nr87 16
  chr_teleport l_c10 16
  ai2_spawn D_S83
  chr_changeteam D_S83 Syndicate
  chr_teleport D_S83 15
  chr_facetoflag D_S83 31
  chr_givepowerup D_S83 cell 6
  ai2_spawn D2_f25
  chr_changeteam D2_f25 Syndicate
  chr_teleport D2_f25 15
  chr_facetoflag D2_f25 31
  chr_givepowerup D2_f25 cell 6
  #ai2_spawn l4_f3
  #chr_changeteam l4_f3 Neutral
  #chr_teleport l4_f3 1
  #chr_facetoflag l4_f3 31
  ai2_spawn A_S1
  chr_teleport A_S1 1
  ai2_spawn A_S2
  chr_teleport A_S2 15
  ai2_spawn new_2
  chr_teleport new_2 15
  #dmsg "[b.--TCTF Regional HQ MOD 3.0--]"
  dmsg "[b.--New objective--]Upstairs"
  door_lock 1
  door_lock 2
  door_lock 3
  door_lock 6
  door_lock 9
  door_lock 20
  door_lock 40
  fork checkdead_1
}

func void t102(string ai_name)
{
  if (dreamc eq 0)
  {
    ai2_spawn mbo_sniper
    ai2_spawn mbo_target
  }
  if (dreamc eq 1)
  {
    ai2_spawn mbo_sniper
    chr_changeteam mbo_sniper TCTF
    ai2_spawn mbo_target
    chr_changeteam mbo_target TCTF
  }
}

func void t103(string ai_name)
{
  dprint t103
  trigvolume_enable trigger_volume_103 0
  sleep 7
  if(elev_count ne 1)
  {
    if (chr_has_lsi(0))
    {
       if (dreamw eq 2)
       {
         trigvolume_enable trigger_volume_81 1
         objective_set(4)
         particle obj1 create
         target_set(9999, 30.0)
         shut_down_t103 = 1;
       }
    }
  }
  if(shut_down_t103 eq 0)
  {
    sleep 60
    trigvolume_enable trigger_volume_103 1
  }
}

func void spawnL2_4(string ai_name)
{
    if (dreamw eq 0)
  {
    dprint spawnL2_4
    ai2_spawn lobby_striker_04
    chr_givepowerup lobby_striker_04 shield 1
    playback lobby_striker_04 lobbystriker_roll
    trigvolume_enable u_36t 0
  }

}

func void spawnL1_6(string ai_name)
{
    if (sjc eq 0)
  {
    if (sja eq 1)
  {
    if (sjb eq 1)
    {
      dprint spawnL1_6
      ai2_spawn lobby_striker_06
      chr_set_health lobby_striker_06 1
      trigvolume_enable tv_50t 0
      #·һ֧a1b1
      ai2_spawn L2s_01
      chr_teleport L2s_01 66
      door_unlock 22
      door_open 22
      door_jam 22
      #door_lock 26
      #door_lock 31
      #door_lock 29
      ai2_spawn l_t01
      chr_givepowerup l_t01 shield 20
      chr_set_health l_t01 400
      #chr_giveweapon l_t01 w1_tap
      chr_givepowerup l_t01 ammo 6
      chr_givepowerup l_t01 cell 6
      playback l_t01 lobby_backroll
      ai2_spawn a_t01
      chr_teleport a_t01 7046
      chr_givepowerup a_t01 ammo 6
      chr_givepowerup a_t01 cell 6
      chr_set_health a_t01 400
      ai2_spawn AttackCivil01
      chr_set_health AttackCivil01 400
      chr_teleport AttackCivil01 80
      ai2_spawn AttackCivil02
      chr_set_health AttackCivil02 400
      chr_teleport AttackCivil02 556
      sleep 15
      sound_music_stop mus_space01
      sound_music_start atm_low_perc1
      ai2_spawn a2_red1
      chr_teleport a2_red1 70
      chr_set_health a2_red1 200
      #chr_wait_health sh_s12b 10
      ai2_spawn l_s02
      chr_delete l_s02
      #chr_wait_health a2_red1 10
      ai2_spawn l_s03
      chr_delete l_s03
      ai2_spawn sh_s12b
      chr_teleport sh_s12b 80
      #chr_wait_health sh_s12b 10
      ai2_spawn sh_red2
      chr_teleport sh_red2 7047
      chr_wait_health lobby_striker_06 0
      sjd = 1
      dmsg "[r. Barabus:] Stronger and stronger"
      sound_dialog_play c17_99_25barabas
      ai2_spawn barabus
      chr_facetoflag barabus 0
      chr_giveweapon barabus w12_ba2
      chr_teleport barabus 32
      chr_wait_health barabus 300
      sound_music_stop atm_low_perc1
      chr_wait_health barabus 155
      sound_music_start mus_ot
      chr_wait_health barabus 150
      weapon_spawn w5_sbg 72
      chr_givepowerup barabus invis
      #sound_dialog_play c07_22_01konoko
      dmsg "[b.--TCTF Regional HQ MOD 3.0--]"
      dmsg "[b.-gmsly@hotmail.com-]"
      fork catchyoulater
      door_unjam 22
      #door_unlock 26
      #door_unlock 31
      #door_unlock 29
      ai2_spawn mbo_sniper
      chr_teleport mbo_sniper 11
      chr_givepowerup mbo_sniper cell 6
      ai2_spawn lobby_striker_03
      chr_givepowerup lobby_striker_03 cell 15
      #chr_wait_health mbo_sniper 0
      sleep 160
      chr_set_health barabus 375
      chr_teleport barabus 66
      sleep 1840
      ai2_spawn lobby_striker_01
      chr_teleport lobby_striker_01 72
      chr_givepowerup lobby_striker_01 ammo 6
      ai2_spawn lobby_striker_02
      chr_teleport lobby_striker_01 72
      chr_giveweapon lobby_striker_02 w1_tap
      chr_givepowerup lobby_striker_02 ammo 6
      chr_wait_health lobby_striker_03 10
      ai2_spawn lobby_striker_03 force
      ai2_spawn l_c01 force
    }
    if (sjb eq 2)
    {
      dprint spawnL1_6
      ai2_spawn lobby_striker_06
      chr_set_health lobby_striker_06 1
      trigvolume_enable tv_50t 0
      #·һ֧a1b2
      ai2_spawn L2s_01
      chr_teleport L2s_01 66
      door_unlock 22
      door_open 22
      door_jam 22
      #door_lock 26
      #door_lock 31
      #door_lock 29
      ai2_spawn l_t01
      chr_givepowerup l_t01 shield 20
      chr_set_health l_t01 400
      #chr_giveweapon l_t01 w1_tap
      chr_givepowerup l_t01 ammo 6
      chr_givepowerup l_t01 cell 6
      playback l_t01 lobby_backroll
      ai2_spawn a_t01
      chr_teleport a_t01 7046
      chr_givepowerup a_t01 ammo 6
      chr_givepowerup a_t01 cell 6
      chr_set_health a_t01 400
      ai2_spawn AttackCivil01
      chr_set_health AttackCivil01 400
      chr_teleport AttackCivil01 80
      ai2_spawn AttackCivil02
      chr_set_health AttackCivil02 400
      chr_teleport AttackCivil02 556
      sleep 15
      sound_music_stop mus_space01
      sound_music_start atm_low_perc1
      ai2_spawn a2_red1
      chr_teleport a2_red1 70
      chr_set_health a2_red1 200
      #chr_wait_health sh_s12b 10
      ai2_spawn l_s02
      chr_delete l_s02
      #chr_wait_health a2_red1 10
      ai2_spawn l_s03
      chr_delete l_s03
      ai2_spawn sh_s12b
      chr_teleport sh_s12b 80
      #chr_wait_health sh_s12b 10
      ai2_spawn sh_red2
      chr_teleport sh_red2 7047
      chr_wait_health lobby_striker_06 0
      sjd = 1
      ai2_spawn barabus
      chr_giveweapon barabus w12_ba2
      chr_teleport barabus 323
      chr_wait_health barabus 300
      sound_music_stop atm_low_perc1
      chr_wait_health barabus 155
      sound_music_start mus_ot
      chr_wait_health barabus 150
      weapon_spawn w9_scr 72
      chr_givepowerup barabus invis
      #sound_dialog_play c07_22_01konoko
      dmsg "[b.--TCTF Regional HQ MOD 3.0--]"
      dmsg "[b.-gmsly@hotmail.com-]"
      fork catchyoulater
      door_unjam 22
      #door_unlock 26
      #door_unlock 31
      #door_unlock 29
      ai2_spawn mbo_sniper
      chr_facetoflag mbo_sniper 31
      chr_teleport mbo_sniper 11
      chr_giveweapon mbo_sniper w1_tap
      chr_givepowerup mbo_sniper ammo 6
      ai2_spawn lobby_striker_03
      #chr_giveweapon lobby_striker_03 w10_sni
      chr_givepowerup lobby_striker_03 cell 15
      #chr_wait_health mbo_sniper 0
      sleep 160
      chr_set_health barabus 375
      chr_teleport barabus 66
      sleep 1840
      ai2_spawn lobby_striker_01
      chr_teleport lobby_striker_01 72
      chr_givepowerup lobby_striker_01 ammo 6
      ai2_spawn lobby_striker_02
      chr_teleport lobby_striker_01 72
      chr_giveweapon lobby_striker_02 w1_tap
      chr_givepowerup lobby_striker_02 ammo 6
      chr_wait_health lobby_striker_03 10
      ai2_spawn l_c01 force
      ai2_spawn l_c01 force
    }
  }
  if (sja eq 2)
  {
    if (sjb eq 1)
    {
      dprint spawnL1_6
      ai2_spawn lobby_striker_06
      chr_set_health lobby_striker_06 1
      trigvolume_enable tv_50t 0
      #·һ֧a2b1
      ai2_spawn L2s_01
      chr_teleport L2s_01 66
      door_unlock 22
      door_open 22
      door_jam 22
      #door_lock 26
      #door_lock 31
      #door_lock 29
      ai2_spawn l_t01
      chr_givepowerup l_t01 shield 20
      chr_set_health l_t01 400
      #chr_giveweapon l_t01 w1_tap
      chr_givepowerup l_t01 ammo 6
      chr_givepowerup l_t01 cell 6
      playback l_t01 lobby_backroll
      ai2_spawn a_t01
      chr_teleport a_t01 23
      chr_givepowerup a_t01 ammo 6
      chr_givepowerup a_t01 cell 6
      chr_set_health a_t01 400
      ai2_spawn AttackCivil01
      chr_set_health AttackCivil01 400
      chr_teleport AttackCivil01 80
      ai2_spawn AttackCivil02
      chr_set_health AttackCivil02 400
      chr_teleport AttackCivil02 32
      sleep 15
      sound_music_stop mus_space01
      sound_music_start atm_low_perc1
      fork musstop
      ai2_spawn a2_red1
      chr_teleport a2_red1 70
      chr_set_health a2_red1 200
      #chr_wait_health sh_s12b 10
      ai2_spawn l_s02
      #chr_delete l_s02
      #chr_wait_health a2_red1 10
      ai2_spawn l_s03
      #chr_delete l_s03
      ai2_spawn sh_s12b
      chr_teleport sh_s12b 32
      #chr_wait_health sh_s12b 10
      ai2_spawn sh_red2
      chr_teleport sh_red2 111
      ai2_spawn mbo_sniper
      chr_giveweapon mbo_sniper w1_tap
      chr_teleport mbo_sniper 32
      #chr_givepowerup mbo_sniper ammo 6
      #ai2_spawn lobby_striker_03
      #chr_giveweapon lobby_striker_03 w10_sni
      #chr_givepowerup lobby_striker_03 cell 15
    }
    if (sjb eq 2)
    {
      dprint spawnL1_6
      ai2_spawn lobby_striker_06
      chr_set_health lobby_striker_06 1
      trigvolume_enable tv_50t 0
      #·һ֧a2b2
      ai2_spawn L2s_01
      chr_teleport L2s_01 66
      #door_unlock 22
      #door_open 22
      #door_jam 22
      #door_lock 26
      #door_lock 31
      #door_lock 29
      fork trapkonoko
      chr_wait_health lobby_striker_06 0
      sjd = 1
      dmsg "[r. Barabus:] Stronger and stronger"
      sound_dialog_play c17_99_25barabas
      ai2_spawn barabus
      chr_facetoflag barabus 0
      #chr_giveweapon barabus w12_ba2
      chr_teleport barabus 32
      chr_wait_health barabus 300
      sound_music_stop atm_low_perc1
      chr_wait_health barabus 155
      sound_music_start mus_ot
      chr_wait_health barabus 150
      chr_givepowerup barabus invis
      #sound_dialog_play c07_22_01konoko
      door_unjam 22
      #door_unlock 26
      #door_unlock 31
      #door_unlock 29
      sleep 160
      chr_set_health barabus 475
      chr_boss_shield barabus
      chr_wait_health barabus 150
      dmsg "[b.--TCTF Regional HQ MOD 3.0--]"
      dmsg "[b.-gmsly@hotmail.com-]"
      fork catchyoulater
      chr_givepowerup barabus invis
      weapon_spawn w8_mbo 72
      sleep 160
      ai2_spawn mbo_sniper
      chr_teleport mbo_sniper 25
      chr_givepowerup mbo_sniper ammo 6
      ai2_spawn lobby_striker_03
      #chr_giveweapon lobby_striker_03 w10_sni
      chr_givepowerup lobby_striker_03 cell 15
      chr_teleport barabus 66
      #chr_wait_health mbo_sniper 0
      sleep 1840
      ai2_spawn lobby_striker_01
      chr_teleport lobby_striker_01 72
      chr_givepowerup lobby_striker_01 ammo 6
      ai2_spawn lobby_striker_02
      chr_teleport lobby_striker_01 72
      chr_giveweapon lobby_striker_02 w1_tap
      chr_givepowerup lobby_striker_02 ammo 6
      chr_wait_health lobby_striker_03 10
      ai2_spawn lobby_striker_03 force
      ai2_spawn l_c01 force
      ai2_spawn l_c01 force
      ai2_spawn l_t01
      chr_givepowerup l_t01 shield 20
      chr_set_health l_t01 400
      #chr_giveweapon l_t01 w1_tap
      chr_givepowerup l_t01 ammo 6
      chr_givepowerup l_t01 cell 6
      playback l_t01 lobby_backroll
      ai2_spawn a_t01
      chr_teleport a_t01 7046
      chr_givepowerup a_t01 ammo 6
      chr_givepowerup a_t01 cell 6
      chr_set_health a_t01 400
      sleep 15
      sound_music_stop mus_space01
      #sound_music_start atm_low_perc1
      ai2_spawn a2_red1
      chr_teleport a2_red1 70
      chr_set_health a2_red1 200
      #chr_wait_health sh_s12b 10
      ai2_spawn l_s02
      chr_delete l_s02
      #chr_wait_health a2_red1 10
      ai2_spawn l_s03
      chr_delete l_s03
      ai2_spawn sh_s12b
      chr_teleport sh_s12b 80
      #chr_wait_health sh_s12b 10
      ai2_spawn sh_red2
      chr_teleport sh_red2 7047
    }
  }
  }
  if (sjc eq 1)
  {
    dprint spawnL1_6
    ai2_spawn lobby_striker_06
    chr_set_health lobby_striker_06 1
    trigvolume_enable tv_50t 0
  }
  
  

}

func void spawnG2_7(string ai_name)
{
  if (dreamw eq 0)
  {
  dprint spawnG2_7
  ai2_spawn garage_striker_01
  chr_giveweapon garage_striker_01 w1_tap
  chr_givepowerup garage_striker_01 ammo 6
  #ai2_spawn garage_striker_02
  }

}

func void spawnG3_8(string ai_name)
{
  if (dreamw eq 0)
  {
    dprint spawnG3_8
  if (striker_count eq 0)
  {
    ai2_spawn garage_striker_03
    chr_giveweapon garage_striker_03 w2_sap
    chr_givepowerup garage_striker_03 ammo 6
    ai2_makeignoreplayer garage_striker_03 1
    #ai2_spawn garage_striker_04
    #chr_giveweapon garage_striker_04 w1_tap
    #chr_givepowerup garage_striker_04 ammo 1
    #ai2_spawn garage_striker_05
    #chr_giveweapon garage_striker_05 w1_tap
    #chr_givepowerup garage_striker_05 ammo 1
    playback_block garage_striker_03 garage_jump
    ai2_makeignoreplayer garage_striker_03 0
  }
  if (striker_count ne 0)
  {
    ai2_spawn garage_striker_03
    chr_giveweapon garage_striker_03 w1_tap
    chr_givepowerup garage_striker_03 ammo 1
    ai2_makeignoreplayer garage_striker_03 1
    playback_block garage_striker_03 garage_jump
    ai2_makeignoreplayer garage_striker_03 0
  }
  }
}

func void spawnG3_11(string ai_name)
{
  if (dreamw eq 0)
  {
  dprint spawnG3_11
  ai2_spawn garage_striker_07
  chr_giveweapon garage_striker_07 w1_tap
  chr_givepowerup garage_striker_07 ammo 6
  ai2_passive garage_striker_07 1
  #ai2_spawn garage_striker_08
  playback garage_striker_07 garage_taunt
  ai2_passive garage_striker_07 0
  }

}

func void spawnG3_12(string ai_name)
{
  if (dreamw eq 0)
  {
    dprint spawnG3_12

  if (striker_count eq 0)
  {
    ai2_spawn garage_striker_09
    chr_giveweapon garage_striker_09 w2_sap
    chr_givepowerup garage_striker_09 ammo 6
    #ai2_spawn garage_striker_10
  }
  if (striker_count ne 0)
  {
    ai2_spawn garage_striker_09
    chr_giveweapon garage_striker_09 w2_sap
    chr_givepowerup garage_striker_09 ammo 1
  }
  }
}

func void killG2_08(string ai_name)
{
  dprint killG2_08
  trigvolume_enable trigger_volume_G2_08 0

}

func void killG2_10(string ai_name)
{
  dprint killG2_10
  trigvolume_enable trigger_volume_G2_10 0

}

func void killG3_11(string ai_name)
{
  dprint killG3_11
  trigvolume_enable trigger_volume_G3_11 0

}

func void killG3_12(string ai_name)
{
  dprint killG3_12
  trigvolume_enable trigger_volume_G3_12 0

}

func void a_18(string ai_name)
{
  dprint a_18
  trigvolume_enable b_19t 0
  trigvolume_enable c_13t 0

}

func void b_19(string ai_name)
{
  dprint b_19
  ai2_spawn lobby_striker_30
  ai2_spawn lobby_striker_31
  playback lobby_striker_31 lobby_roll2
# ai2_spawn lobby_striker_33
# ai2_spawn lobby_tctf_02
  trigvolume_enable d_20t 0
}

func void c_13(string ai_name)
{
  ###ֱͣ¥·###
  dprint c_13
  ai2_spawn lobby_striker_20
  ai2_spawn lobby_striker_21
  ai2_spawn lobby_fodder01
  chr_givepowerup lobby_fodder01 shield 1
  chr_set_health lobby_fodder01 300
  ai2_spawn lobby_striker_05
  ai2_spawn lobby_striker_01
  chr_givepowerup lobby_striker_01 ammo 6
  chr_teleport lobby_striker_01 330
  ai2_spawn lobby_striker_03
  chr_giveweapon lobby_striker_03 w8_mbo
  chr_givepowerup lobby_striker_03 ammo 15
  trigvolume_enable vv_38t 0
  trigvolume_enable a_18t 0
  music_stop
  #chr_wait_health lobby_striker_21 10
  #door_lock 6
  #door_lock 9
  #sje = 1
}

func void d_20(string ai_name)
{
  if (dreamw eq 0)
  {
    dprint d_20
    ai2_spawn l2_s46
    ai2_spawn l2_s44
    playback_block l2_s44 lobby_roll3
    chr_wait_health l2_s44 10
    ai2_spawn l2_s47
    chr_giveweapon l2_s47 w3_phr
    chr_teleport l2_s47 504
    chr_wait_health l2_s47 10
    ai2_spawn l4_red1
    chr_teleport l4_red1 7011
    chr_wait_health l4_red1 10
  }
  if (dreamw eq 1)
  {
    fork stairattrack_2
  }
  if (dreamw eq 2)
  {
    ###
  }

}

func void e_21(string ai_name)
{
  if (dreamw eq 0)
  {
    dprint e_21
    ai2_spawn lobby_striker_34
    ai2_spawn lobby_victim05
    chr_givepowerup lobby_victim05 shield 1
    ai2_spawn lobby_victim06
    trigvolume_enable l_27t 0
  }
  if (dreamw eq 2)
  {
    dprint e_21
    #ai2_spawn lobby_striker_34
    ai2_spawn D_Lbo81
    chr_changeteam D_Lbo81 Syndicate
    chr_giveweapon D_Lbo81 w2_sap
    chr_teleport D_Lbo81 309
    chr_facetoflag D_Lbo81 12
    ai2_spawn lobby_victim05
    chr_changeteam lobby_victim05 Syndicate
    #chr_givepowerup lobby_victim05 shield 1
    ai2_spawn lobby_victim06
    chr_changeteam lobby_victim06 Syndicate
    trigvolume_enable l_27t 0
  }
}

func void f_22(string ai_name)
{
  if (dreamw eq 0)
  {
    dprint f_22
    ai2_spawn lobby_striker_05
    trigvolume_enable vv_38t 0
    ai2_spawn lobby_striker_20
    ai2_spawn lobby_fodder01
    chr_set_health lobby_fodder01 200
    ai2_spawn lobby_striker_21
  }
  if (dreamw eq 2)
  {
  ###Ӷ¥ֱ¥·###
    dprint vv_38
    #ai2_spawn lobby_striker_05
    #chr_changeteam lobby_striker_05 TCTF
    ai2_spawn lobby_striker_20
    chr_changeteam lobby_striker_20 TCTF
    ai2_spawn lobby_striker_21
    chr_changeteam lobby_striker_21 TCTF
    ai2_spawn lobby_fodder01
    chr_changeteam lobby_fodder01 Syndicate
    chr_set_health lobby_fodder01 200
    ai2_spawn D_Sbo71
    chr_changeteam D_Sbo71 Syndicate
    chr_teleport D_Sbo71 4007
    chr_facetoflag D_Sbo71 31
    ai2_spawn B_Lbo39
    chr_changeteam B_Lbo39 Syndicate
    chr_teleport B_Lbo39 311
    chr_facetoflag B_Lbo39 16
    trigvolume_enable v_37t 0
  }

}

func void g_23(string ai_name)
{
  if (dreamw eq 0)
  {
    dprint g_23
    ai2_spawn L2s_01
    chr_set_health L2s_01 1
    ai2_spawn L2s_02
    ai2_spawn L2s_03
    ai2_spawn L2tctf_01
    chr_set_health L2tctf_01 300
    ai2_spawn L2tctf_02
    chr_set_health L2tctf_02 300
    music_stop
    sound_music_stop atm_low_perc1
    sound_music_start mus_space01
    trigvolume_enable trigger_volume_w_39 0
    ai2_spawn lobby_striker_03
    chr_giveweapon lobby_striker_03 w8_mbo
    chr_givepowerup lobby_striker_03 ammo 15
    ai2_spawn l_c01
    chr_giveweapon l_c01 w3_phr
    chr_givepowerup l_c01 cell 3
    #·߶
    chr_wait_health L2s_01 0
    ai2_spawn lobby_striker_06
    chr_teleport lobby_striker_06 66
    sjc = 1
    if (sja eq 1)
  {
    if (sjb eq 1)
    {
      fork roadbarabus
    }
    if (sjb eq 2)
    {
      fork roadbarabus
    }
  }
  if (sja eq 2)
  {
    if (sjb eq 1)
    {
      fork roadbarabus
    }
    if (sjb eq 2)
    {
      fork roadbarabus
    }
  }
  }
  if (dreamw eq 1)
  {
    dprint g_23
    #ai2_spawn L2s_01
    #chr_changeteam L2s_01 TCTF
    #ai2_spawn L2s_02
    #chr_changeteam L2s_02 TCTF
    ai2_spawn L2s_03
    chr_changeteam L2s_03 TCTF
    ai2_spawn L2tctf_01
    chr_changeteam L2tctf_01 Syndicate
    chr_set_health L2tctf_01 150
    ai2_spawn L2tctf_02
    chr_changeteam L2tctf_02 Syndicate
    chr_set_health L2tctf_02 150
    ai2_spawn D_Lbo85
    chr_givepowerup D_Lbo85 invis
    chr_giveweapon D_Lbo85 w1_tap
    chr_givepowerup D_Lbo85 ammo 6
    chr_changeteam D_Lbo85 Syndicate
    chr_teleport D_Lbo85 4005
    chr_facetoflag D_Lbo85 16
    chr_set_health D_Lbo85 150
    music_stop
    trigvolume_enable trigger_volume_w_39 0
  }

}

func void h_06(string ai_name)
{
  if (dreamw eq 0)
  {
    if (sjd eq 0)
   {
      dprint h_06
      ai2_spawn Ls_15
      ai2_spawn Ltctf_55
      ai2_dopath L2tctf_01 patrol_L2_13
      ai2_dopath L2tctf_02 patrol_L2_13
      chr_givepowerup Ltctf_55 shield
      chr_giveweapon Ltctf_55 w3_phr
      chr_givepowerup Ltctf_55 ammo 6
      chr_givepowerup Ltctf_55 cell 6
      chr_set_health Ltctf_55 300
      ai2_spawn AttackCivil01
      chr_teleport AttackCivil01 84
      chr_set_health AttackCivil01 300
      ai2_spawn mbo_sniper
      chr_giveweapon mbo_sniper w1_tap
      chr_teleport mbo_sniper 84
      ai2_spawn AttackCivil02
      chr_teleport AttackCivil02 322
      chr_givepowerup AttackCivil02 shield 2
      chr_set_health AttackCivil02 300
      ai2_spawn lobby_striker_01
      chr_giveweapon lobby_striker_01 w1_tap
      chr_teleport lobby_striker_01 322
      ai2_spawn lobby_striker_02
      chr_teleport lobby_striker_02 7008
      cat2nd = 1
      chr_wait_health Ls_15 10
    if (sja eq 1)
  {
    if (sjb eq 1)
    {
      #·߶֧a1b1
      ai2_spawn L2s_10
      chr_giveweapon L2s_10 w3_phr
      ai2_spawn l_c01 force
      chr_wait_health L2s_10 10
      ai2_spawn l_s99
      chr_teleport l_s99 7014
      chr_giveweapon l_s99 w6_vdg
      chr_givepowerup l_s99 cell 1
      chr_wait_health l_s99 10
      ai2_spawn l_s98
      chr_teleport l_s98 7018
      chr_giveweapon l_s98 w1_tap
      chr_givepowerup l_s98 ammo 6
      chr_wait_health l_s98 10
      ai2_spawn L2s_10 force
      ai2_spawn Ltctf_55 force
      ai2_spawn Ltctf_55 force
      ai2_spawn lobby_striker_01
      chr_teleport lobby_striker_01 7018
      #chr_wait_health lobby_striker_01 10
      ai2_spawn lobby_striker_02
      chr_teleport lobby_striker_02 7018
      chr_wait_health lobby_striker_02 10
      ai2_spawn garage_striker_02
      chr_teleport garage_striker_02 7014
      chr_teleport s2_t05 4006
      chr_facetoflag s2_t05 31
      chr_wait_health garage_striker_02 10
      ai2_spawn garage_striker_08
      chr_teleport garage_striker_08 7014
      ai2_spawn mbo_sniper
      chr_teleport mbo_sniper 402
      chr_givepowerup mbo_sniper ammo 6
      chr_wait_health garage_striker_08 10
      ai2_spawn garage_striker_10
      chr_giveweapon garage_striker_10 w3_phr
      chr_teleport garage_striker_10 7014
      chr_wait_health garage_striker_10 10
      ai2_spawn garage_striker_04
      chr_teleport garage_striker_04 7014b
      chr_wait_health garage_striker_04 10
      ai2_spawn garage_striker_05
      chr_teleport garage_striker_05 7014
    }
    if (sjb eq 2)
    {
      #·߶֧a1b2
      ai2_spawn L2s_10
      chr_giveweapon L2s_10 w3_phr
      ai2_spawn l_c01 force
      chr_wait_health L2s_10 10
      ai2_spawn l_s99
      chr_teleport l_s99 7014
      chr_giveweapon l_s99 w6_vdg
      chr_givepowerup l_s99 cell 1
      chr_wait_health l_s99 10
      ai2_spawn l_s98
      chr_teleport l_s98 7018
      chr_giveweapon l_s98 w1_tap
      chr_givepowerup l_s98 ammo 6
      chr_wait_health l_s98 10
      ai2_spawn L2s_10 force
      ai2_spawn Ltctf_55 force
      ai2_spawn Ltctf_55 force
      ai2_spawn lobby_striker_01
      chr_teleport lobby_striker_01 7018
      #chr_wait_health lobby_striker_01 10
      ai2_spawn lobby_striker_02
      chr_teleport lobby_striker_02 7018
      chr_wait_health lobby_striker_02 10
      ai2_spawn garage_striker_02
      chr_teleport garage_striker_02 7014
      chr_wait_health garage_striker_02 10
      ai2_spawn garage_striker_08
      chr_teleport garage_striker_08 7014
      ai2_spawn mbo_sniper
      chr_teleport mbo_sniper 402
      chr_givepowerup mbo_sniper ammo 6
      chr_wait_health garage_striker_08 10
      ai2_spawn garage_striker_10
      chr_giveweapon garage_striker_10 w3_phr
      chr_teleport garage_striker_10 7014
      chr_wait_health garage_striker_10 10
      ai2_spawn garage_striker_04
      chr_teleport garage_striker_04 7014b
      chr_wait_health garage_striker_04 10
      ai2_spawn garage_striker_05
      chr_teleport garage_striker_05 7014
    }
  }
  if (sja eq 2)
  {
    if (sjb eq 1)
    {
      #·߶֧a2b1
      ai2_spawn L2s_10
      chr_giveweapon L2s_10 w3_phr
      ai2_spawn l_c01 force
      chr_wait_health L2s_10 10
      ai2_spawn l_s99
      chr_teleport l_s99 7014
      chr_giveweapon l_s99 w6_vdg
      chr_givepowerup l_s99 cell 1
      chr_wait_health l_s99 10
      ai2_spawn l_s98
      chr_teleport l_s98 7018
      chr_giveweapon l_s98 w1_tap
      chr_givepowerup l_s98 ammo 6
      chr_wait_health l_s98 10
      ai2_spawn L2s_10 force
      ai2_spawn Ltctf_55 force
      ai2_spawn Ltctf_55 force
      ai2_spawn lobby_striker_01
      chr_teleport lobby_striker_01 7018
      #chr_wait_health lobby_striker_01 10
      ai2_spawn lobby_striker_02
      chr_teleport lobby_striker_02 7018
      chr_wait_health lobby_striker_02 10
      ai2_spawn garage_striker_02
      chr_teleport garage_striker_02 7014
      chr_wait_health garage_striker_02 10
      ai2_spawn garage_striker_08
      chr_teleport garage_striker_08 7014
      ai2_spawn mbo_sniper
      chr_teleport mbo_sniper 402
      chr_givepowerup mbo_sniper ammo 6
      chr_wait_health garage_striker_08 10
      ai2_spawn garage_striker_10
      chr_giveweapon garage_striker_10 w3_phr
      chr_teleport garage_striker_10 7014
      chr_wait_health garage_striker_10 10
      ai2_spawn garage_striker_04
      chr_teleport garage_striker_04 7014b
      chr_wait_health garage_striker_04 10
      ai2_spawn garage_striker_05
      chr_teleport garage_striker_05 7014
    }
    if (sjb eq 2)
    {
      #·߶֧a2b2
      ai2_spawn L2s_10
      chr_giveweapon L2s_10 w3_phr
      ai2_spawn l_c01 force
      chr_wait_health L2s_10 10
      ai2_spawn l_s99
      chr_teleport l_s99 7014
      chr_giveweapon l_s99 w6_vdg
      chr_givepowerup l_s99 cell 1
      chr_wait_health l_s99 10
      ai2_spawn l_s98
      chr_teleport l_s98 7018
      chr_giveweapon l_s98 w1_tap
      chr_givepowerup l_s98 ammo 6
      chr_wait_health l_s98 10
      ai2_spawn L2s_10 force
      ai2_spawn Ltctf_55 force
      ai2_spawn Ltctf_55 force
      ai2_spawn lobby_striker_01
      chr_teleport lobby_striker_01 7018
      #chr_wait_health lobby_striker_01 10
      ai2_spawn lobby_striker_02
      chr_teleport lobby_striker_02 7018
      chr_wait_health lobby_striker_02 10
      ai2_spawn garage_striker_02
      chr_teleport garage_striker_02 7014
      chr_wait_health garage_striker_02 10
      ai2_spawn garage_striker_08
      chr_teleport garage_striker_08 7014
      ai2_spawn mbo_sniper
      chr_teleport mbo_sniper 402
      chr_givepowerup mbo_sniper ammo 6
      chr_wait_health garage_striker_08 10
      ai2_spawn garage_striker_10
      chr_giveweapon garage_striker_10 w3_phr
      chr_teleport garage_striker_10 7014
      chr_wait_health garage_striker_10 10
      ai2_spawn garage_striker_04
      chr_teleport garage_striker_04 7014b
      chr_wait_health garage_striker_04 10
      ai2_spawn garage_striker_05
      chr_teleport garage_striker_05 7014
    }
  }
  }
  if (sjd eq 1)
  {
    dprint h_06
    ai2_spawn L2s_10
    ai2_spawn Ls_15
    ai2_spawn Ltctf_55
    ai2_dopath L2tctf_01 patrol_L2_13
    ai2_dopath L2tctf_02 patrol_L2_13
  }
  }
  if (dreamw eq 1)
  {
    dprint h_06
    #ai2_spawn L2s_10
    ai2_spawn Ls_15
    chr_changeteam Ls_15 TCTF
    ai2_spawn Ltctf_55
    chr_changeteam Ltctf_55 Syndicate
    ai2_spawn Griffin
    chr_changeteam Griffin Syndicate
    chr_teleport Griffin 7008
    ai2_spawn C_Sbo56
    chr_changeteam C_Sbo56 Syndicate
    chr_teleport C_Sbo56 314
    chr_facetoflag C_Sbo56 16
    #ai2_spawn C_C65
    #chr_changeteam C_C65 Syndicate
    #chr_teleport C_C65 84
    #chr_facetoflag C_C65 16
    ai2_spawn s2_t05
    chr_changeteam s2_t05 Syndicate
    chr_teleport s2_t05 321
    chr_facetoflag s2_t05 12
    ai2_spawn D_S101
    chr_changeteam D_S101 Syndicate
    chr_teleport D_S101 83
    chr_facetoflag D_S101 0
    ai2_spawn flOUTSIDE_C_sniper_1
    chr_changeteam flOUTSIDE_C_sniper_1 Syndicate
    chr_giveweapon flOUTSIDE_C_sniper_1 w1_tap
    chr_teleport flOUTSIDE_C_sniper_1 322
    ai2_spawn C2_t19
    chr_changeteam C2_t19 TCTF
    chr_teleport C2_t19 7003
    chr_set_health C2_t19 50
    chr_facetoflag C2_t19 31
    ai2_spawn l_c01
    chr_changeteam l_c01 TCTF
    chr_giveweapon l_c01 w1_tap
    fork escape_1
    #particle stair_lock_locklight01 do start
    ai2_dopath L2tctf_01 patrol_L2_13
    ai2_dopath L2tctf_02 patrol_L2_13
  }
  

}

func void i_24(string ai_name)
{
  dprint i_24
  trigvolume_enable j_25t 0
  trigvolume_enable h_06t 0

}

func void j_25(string ai_name)
{
  if (dreamw eq 0)
  {
    dprint j_25
  ai2_spawn L2s_11
  }
  if (dreamw eq 1)
  {
    ###Fix Bug###
  }

}

func void k_26(string ai_name)
{
  dprint k_26
  trigvolume_enable l_27t 1

}

func void l_27(string ai_name)
{
  if (dreamw eq 0)
  {
    dprint l_27
    ai2_spawn L3s_40
    ai2_spawn L3s_41
#   ai2_spawn L3s_42
  }
  if (dreamw eq 2)
  {
    dprint l_27
    #ai2_spawn L3s_40
    #chr_changeteam L3s_40 TCTF
    ai2_spawn L3s_41
    chr_changeteam L3s_41 TCTF
#   ai2_spawn L3s_42
  }

}

func void m_28(string ai_name)
{
  if (dreamw eq 0)
  {
    dprint m_28
  ai2_spawn Lv_40
  ai2_spawn Lv_41
  ai2_spawn Lc_43
  chr_set_health Lc_43 300
  chr_givepowerup Lc_43 ammo 3
  ai2_spawn Ls_44
  chr_givepowerup Ls_44 shield 1
  trigvolume_enable s_34t 1
  chr_wait_health Ls_44 10
  ai2_spawn Ls_44 force
  ai2_spawn Lc_43 force
  }

}

func void n_29(string ai_name)
{
  if (dreamw eq 0)
  {
    dprint n_29
  ai2_spawn Lc_50
  chr_set_health Lc_50 300
  ai2_spawn Ls_51
  ai2_spawn Ls_12
  ai2_spawn sh_s12c
  #chr_giveweapon sh_s4b w3_phr
  chr_givepowerup sh_s12c cell 6
  chr_teleport sh_s12c 7004
  chr_wait_health Ls_51 10
  ai2_spawn Ls_51 force
  chr_wait_health sh_s4b 10
  ai2_spawn Lc_50 force
  ai2_spawn Ls_51 force
  }

}

func void o_30(string ai_name)
{
  if (dreamw eq 0)
  {
    dprint o_30
  ai2_spawn Ls_60
  ai2_spawn a_v2
  chr_givepowerup Ls_60 invis
  chr_wait_health Ls_60 10
  ai2_spawn sh_red1
  chr_teleport sh_red1 312
  chr_wait_health sh_red1 10
  ai2_spawn Ls_60 force
  }

}

func void p_31(string ai_name)
{
  dprint p_31
  trigvolume_enable trigger_volume_L2_4 1

}

func void s_34(string ai_name)
{
  dprint s_34
  ai2_spawn Lcom_01

}

func void t_35(string ai_name)
{
  dprint t_35
  trigvolume_enable s_34t 0

}

func void u_36(string ai_name)
{
  if (dreamw eq 0)
  {
    if (cat2nd eq 0)
  {
    dprint u_36
    ai2_spawn cat1_02
    sound_music_stop mus_space01
    chr_giveweapon cat1_02 w3_phr
    #chr_teleport cat1_02 310
    ai2_spawn sh_tank1
    chr_teleport sh_tank1 1105
    ai2_spawn l_c01 force
    trigvolume_enable trigger_volume_L2_4 0
  }
  if (cat2nd eq 1)
  {
    dprint u_36
    ai2_spawn cat1_02
    sound_music_stop mus_space01
    chr_giveweapon cat1_02 w3_phr
    #chr_teleport cat1_02 310
    ai2_spawn sh_tank1
    chr_teleport sh_tank1 1105
    ai2_spawn l_c01 force
    ai2_spawn s2_t05
    chr_givepowerup s2_t05 shield 1
    chr_givepowerup s2_t05 invis
    chr_set_health s2_t05 300
    #chr_giveweapon s2_t05 w1_tap
    chr_teleport s2_t05 82
    trigvolume_enable trigger_volume_L2_4 0
  }
  }
  if (dreamw eq 1)
  {
    dreamw = 2
    ai2_spawn barabus
    chr_changeteam barabus TCTF
    #chr_giveweapon barabus w1_tap
    chr_teleport barabus 32
    chr_boss_shield barabus
    chr_facetoflag barabus 0
    ai2_spawn evilkonoko
    chr_teleport evilkonoko 22
    chr_facetoflag evilkonoko 31
    chr_animate evilkonoko KONOKOpowerup
    chr_set_health evilkonoko 350
    fork dreamchat02
    particle stair_lock_locklight01 do start
    sleep 900
    dmsg "[r. Barabus:] Catch you later! sexy girl"
    chr_givepowerup barabus invis
    sleep 160
    fork gorooftop
    chr_changeteam barabus Syndicate
  }
}

func void v_37(string ai_name)
{ 
  if (dreamw eq 0)
  {
  if (sje eq 0)
  {
    dprint v_37
    ai2_spawn cat1_01
    chr_teleport cat1_01 310
    ai2_spawn a_t02
    chr_givepowerup a_t02 shield
    chr_giveweapon a_t02 w3_phr
    chr_givepowerup a_t02 cell 6
    chr_set_health a_t02 200
    chr_teleport a_t02 301
    ai2_spawn sh_s1
    chr_givepowerup sh_s1 cell 6
    chr_teleport sh_s1 318
    sleep 20
    ai2_spawn sh_s9
    chr_givepowerup sh_s9 ammo 6
    chr_teleport sh_s9 501
    ai2_spawn sh_s4
    chr_giveweapon sh_s4 w3_phr
    chr_givepowerup sh_s4 cell 1
    chr_teleport sh_s4 501
    trigvolume_enable vv_38t 0
  }
  if (sje eq 1)
  {
    dprint v_37
    ai2_spawn cat1_01
    chr_teleport cat1_01 310
    ai2_spawn a_t02
    chr_givepowerup a_t02 shield
    chr_giveweapon a_t02 w3_phr
    chr_givepowerup a_t02 cell 6
    chr_set_health a_t02 200
    chr_teleport a_t02 301
    ai2_spawn sh_s1
    chr_givepowerup sh_s1 cell 6
    chr_teleport sh_s1 318
    sleep 20
    ai2_spawn sh_s9
    chr_givepowerup sh_s9 ammo 6
    chr_teleport sh_s9 501
    ai2_spawn sh_s4
    chr_giveweapon sh_s4 w3_phr
    chr_givepowerup sh_s4 cell 1
    chr_teleport sh_s4 501
    trigvolume_enable vv_38t 0
  }
  }
  if (dreamw eq 2)
  {
    ###
  }

}

func void t98(string ai_name)
{
  if (dreamc eq 0)
  {
    dprint t98
    ai2_spawn a_v4
    ai2_spawn hostage_thug_1
    chr_teleport hostage_thug_1 63
  }
  if (dreamc eq 1)
  {
    dprint t98
    ai2_spawn a_v4
    chr_changeteam a_v4 Syndicate
    ai2_spawn hostage_thug_1
    chr_changeteam hostage_thug_1 Switzerland
    chr_teleport hostage_thug_1 63
    bighead_a1
  }
  
}

func void vv_38(string ai_name)
{
  if (dreamw eq 0)
  {
    dprint vv_38
  ai2_spawn lobby_striker_05
  ai2_spawn lobby_striker_20
  ai2_spawn lobby_striker_21
  ai2_spawn lobby_fodder01
  chr_set_health lobby_fodder01 200
  trigvolume_enable v_37t 0
  }
  if (dreamw eq 2)
  {
  ###һ¥¥·###
    dprint vv_38
  #ai2_spawn lobby_striker_05
  #chr_changeteam lobby_striker_05 TCTF
  ai2_spawn lobby_striker_20
  chr_changeteam lobby_striker_20 TCTF
  ai2_spawn lobby_striker_21
  chr_changeteam lobby_striker_21 TCTF
  ai2_spawn lobby_fodder01
  chr_changeteam lobby_fodder01 Syndicate
  chr_set_health lobby_fodder01 200
  ai2_spawn D_Sbo71
  chr_changeteam D_Sbo71 Syndicate
  chr_teleport D_Sbo71 4007
  chr_facetoflag D_Sbo71 31
  ai2_spawn B_Lbo39
  chr_changeteam B_Lbo39 Syndicate
  chr_teleport B_Lbo39 311
  chr_facetoflag B_Lbo39 16
  trigvolume_enable v_37t 0
  }

}

func void w_39(string ai_name)
{
  if (dreamw eq 0)
  {
    dprint w_39
  ai2_spawn s2_t01
  chr_set_health s2_t01 300
  ai2_spawn s2_t02
  chr_set_health s2_t02 300
  ai2_spawn s2_s01
  ai2_spawn s2_s02
  ai2_spawn s2_s03
# ai2_spawn s2_c01
  ai2_spawn s2_s05
  ai2_spawn s2_t05
  chr_giveweapon s2_t05 w3_phr
  chr_set_health s2_t05 300
  trigvolume_enable g_23t 0
  chr_wait_health s2_s05 10
  ai2_spawn l_s99
  chr_teleport l_s99 7018
  chr_giveweapon l_s99 w6_vdg
  chr_givepowerup l_s99 cell 1
  chr_wait_health l_s99 10
  ai2_spawn l_s98
  chr_teleport l_s98 7018
  chr_giveweapon l_s98 w1_tap
  chr_givepowerup l_s98 ammo 6
  }
  if (dreamw eq 1)
  {
    fork stairattrack_2
  }

}

func void x_05(string ai_name)
{
    if (dreamw eq 0)
  {
    dprint x_05
    ai2_spawn l_c01 force
    ai2_lookatme l_c01
    ai2_passive l_c01 1
    playback l_c01 lobby_runout
    ai2_passive l_c01 0
    trigvolume_enable trigger_volume_L1_6_9 0
  }

}

func void y_32(string ai_name)
{
  if (dreamw eq 0)
  {
  dprint y_32
  ai2_spawn l_t01
  chr_givepowerup l_t01 shield 20
  chr_set_health l_t01 400
  chr_giveweapon l_t01 w1_tap
  chr_givepowerup l_t01 ammo 6
  chr_givepowerup l_t01 cell 6
  playback l_t01 lobby_backroll
  ai2_spawn a_t01
  chr_teleport a_t01 7046
  chr_givepowerup a_t01 ammo 6
  chr_givepowerup a_t01 cell 6
  chr_set_health a_t01 400
  sound_music_stop mus_space01
  door_unlock 22
  ai2_spawn a2_red1
  chr_teleport a2_red1 70
  chr_set_health a2_red1 200
  chr_wait_health sh_s12b 10
  ai2_spawn l_s02
  ai2_spawn l_s03
  chr_wait_health a2_red1 10
  ai2_spawn sh_s12b
  chr_teleport sh_s12b 80
  chr_wait_health sh_s12b 10
  ai2_spawn sh_red2
  chr_teleport sh_red2 7047
  trigvolume_enable tv_47t 0
  }
  if (dreamw eq 1)
  {
  dprint y_32
  ai2_spawn l_t01
  chr_set_health l_t01 300
  chr_changeteam l_t01 Syndicate
  playback l_t01 lobby_backroll
  ai2_spawn B_Sbo38
  chr_changeteam B_Sbo38 Syndicate
  chr_teleport B_Sbo38 7046
  ai2_spawn C_Sbo52
  chr_giveweapon C_Sbo52 w1_tap
  chr_givepowerup C_Sbo52 ammo 6
  chr_changeteam C_Sbo52 Syndicate
  chr_teleport C_Sbo52 7046
  sleep 15
  ai2_spawn l_s02
  chr_changeteam l_s02 TCTF
  ai2_spawn l_s03
  chr_changeteam l_s03 TCTF
  trigvolume_enable tv_47t 0
  }

}

func void unlock_follow(void)
{
  dprint unlockfollow
  count_follow = count_follow + 1;
  if(count_follow eq 2)
  {
    trigvolume_enable z_40t 1
    trigvolume_enable zz_40t 1
    trigvolume_enable zzz_40t 1
    trigvolume_enable zzzz_40t 1
    trigvolume_enable tv_61t 1
  }
}

func void patrolscript2222(void)
{
  dprint lookatplayer
  ai2_lookatchar l_t01 char_0
  ai2_lookatchar l_t23 char_0
}

func void z01(string ai_name)
{
  dprint z01

  ai2_dopath l_t01 l_t01_01
  ai2_setjobstate l_t01

  ai2_dopath l_t23 l_t23_04
  ai2_setjobstate l_t23

}

func void z02(string ai_name)
{
  dprint z02
  ai2_dopath l_t01 l_t01_04
  ai2_setjobstate l_t01

  ai2_dopath l_t23 l_t23_02
  ai2_setjobstate l_t23
}

func void z03(string ai_name)
{
  dprint z03
  ai2_dopath l_t01 l_t01_05
  ai2_setjobstate l_t01

  ai2_dopath l_t23 l_t23_01
  ai2_setjobstate l_t23
}

func void z04(string ai_name)
{
  dprint z04
  ai2_dopath l_t01 l_t01_06
  ai2_setjobstate l_t01

  ai2_dopath l_t23 l_t23_06
  ai2_setjobstate l_t23
}

func void z05(string ai_name)
{
  dprint z05
  ai2_dopath l_t01 l_t01_07
  ai2_setjobstate l_t01

  ai2_dopath l_t23 l_t23_07
  ai2_setjobstate l_t23
}

func void z06(string ai_name)
{
  dprint z06
  ai2_dopath l_t01 l_t01_08
  ai2_setjobstate l_t01

  ai2_dopath l_t23 l_t23_08
  ai2_setjobstate l_t23
}

func void z_40(string ai_name)
{
  dprint z_40
  ai2_followme l_t01
  ai2_lookatme l_t01
  ai2_followme l_t23
  ai2_lookatme l_t23
  ai2_followme s2_t05
  ai2_lookatme s2_t05
  ai2_followme s2_t02
  ai2_lookatme s2_t02
  ai2_followme s2_t01
  ai2_lookatme s2_t01
  ai2_followme L2tctf_02
  ai2_lookatme L2tctf_02
  ai2_followme L2tctf_01
  ai2_lookatme L2tctf_01
  ai2_followme Lc_43
  ai2_lookatme Lc_43

}

func void tv_44(string ai_name)
{
  if (dreamw eq 0)
  {
  dprint tv_44
  ai2_spawn l_c10
  chr_giveweapon l_c10 w3_phr
  ai2_spawn roof_tctf1
  chr_teleport roof_tctf1 323
  ai2_dopath l_t01 l_t01_02
  ai2_setjobstate l_t01

  ai2_dopath l_t23 l_t23_03
  ai2_setjobstate l_t23
  chr_wait_health l_c10 10
    if (sja eq 1)
  {
    if (sjb eq 1)
    {
      ai2_spawn sh_s8
      chr_teleport sh_s8 7046
      chr_giveweapon sh_s8 w1_tap
      cinematic_start(COMGUYtalking, 128,128, 19, 7, 20, false)
      #dmsg "[r. COMGUY:] You have just missed some things"
      sound_dialog_play c01_02_01konoko
      sleep 200
      cinematic_stop (COMGUYtalking, 19, 30)
    }
    if (sjb eq 2)
    {
      ai2_spawn sh_s8
      chr_teleport sh_s8 7046
      chr_giveweapon sh_s8 w1_tap
      cinematic_start(COMGUYtalking, 128,128, 19, 7, 20, false)
      #dmsg "[r. COMGUY:] Shit!"
      sound_dialog_play c01_02_01konoko
      sleep 200
      cinematic_stop (COMGUYtalking, 19, 30)
    }
  }
  if (sja eq 2)
  {
    if (sjb eq 1)
    {
      ai2_spawn sh_s8
      chr_teleport sh_s8 68
      chr_giveweapon sh_s8 w1_tap
      cinematic_start(COMGUYtalking, 128,128, 19, 7, 20, false)
      #dmsg "[r. COMGUY:] Has counted...!"
      sound_dialog_play c18_73_08comguy
      sleep 200
      cinematic_stop (COMGUYtalking, 19, 30)
      sleep 40
      ai2_spawn l_c10 force
      ai2_kill roof_tctf1
      sleep 40
      ai2_spawn l_c10 force
    }
    if (sjb eq 2)
    {
      ai2_spawn sh_s8
      chr_teleport sh_s8 68
      chr_giveweapon sh_s8 w1_tap
      cinematic_start(COMGUYtalking, 128,128, 19, 7, 20, false)
      #dmsg "[r. COMGUY:] Has counted!"
      sound_dialog_play c18_73_08comguy
      sleep 200
      cinematic_stop (COMGUYtalking, 19, 30)
      sleep 40
      ai2_spawn l_c10 force
      ai2_kill roof_tctf1
      sleep 40
      ai2_spawn l_c10 force
    }
  }
  }
  if (dreamw eq 1)
  {
  dprint tv_44
  ai2_spawn l_c10
  chr_givepowerup l_c10 shield 50
  chr_changeteam l_c10 TCTF
  #chr_giveweapon l_c10 w3_phr
  ai2_spawn C_C47
  chr_giveweapon C_C47 w2_sap
  chr_changeteam C_C47 Syndicate
  chr_set_health C_C47 100
  chr_teleport C_C47 323
  chr_facetoflag C_C47 0
  sound_dialog_play c18_73_08comguy
  ai2_dopath l_t01 l_t01_02
  ai2_setjobstate l_t01

  ai2_dopath l_t23 l_t23_03
  ai2_setjobstate l_t23
  }
  
}

func void tv_45(string ai_name)
{
    if (dreamw eq 0)
  {
    dprint tv_45
  #music_stop
  ai2_spawn a_v1
  chr_changeteam a_v1 TCTF
  ai2_spawn l_s22
  ai2_spawn l_s23
  ai2_dopath l_t01 l_t01_03
  ai2_setjobstate l_t01

  ai2_dopath l_t23 l_t23_05
  ai2_setjobstate l_t23
  #sound_music_start mus_amasian
  #sleep 500
  #sound_music_stop mus_amasian
  }
    if (dreamw eq 1)
  {
    ai2_spawn C_Lbo53
    chr_givepowerup C_Lbo53 invis
    chr_changeteam C_Lbo53 Syndicate
    chr_teleport C_Lbo53 325
    chr_facetoflag C_Lbo53 12
    ai2_spawn F_Nr87
    chr_givepowerup F_Nr87 invis
    chr_givepowerup F_Nr87 shield 
    chr_changeteam F_Nr87 TCTF
    chr_teleport F_Nr87 327
    chr_facetoflag F_Nr87 12
    ai2_spawn a_v1
    chr_changeteam a_v1 Syndicate
  }

}

func void tv_46(string ai_name)
{
  if (dreamw eq 0)
  {
    dprint tv_46
  ai2_spawn l_s24
  ai2_spawn l_t23 
  chr_set_health l_t23 300
  trigvolume_enable tv_47t 1
  ai2_dopath l_t01 l_t01_06
  ai2_setjobstate l_t01
  chr_wait_health l_s24 10
  ai2_spawn sh_s12
  #chr_giveweapon sh_s12 w3_phr
  #chr_givepowerup sh_s12 cell 3
  chr_teleport sh_s12 72
  chr_wait_health sh_s12 10
  ai2_spawn l_s24 force
  fallow me AttackCivil02
  }

}

func void tv_47(string ai_name)
{
  dprint tv_47
  ai2_spawn l_s27

}

func void tv_48(string ai_name)
{
  if (dreamw eq 0)
  {
    dprint tv_48
    ai2_spawn l2_s46
    chr_givepowerup l2_s46 invis
    chr_givepowerup l2_s46 shield 1
    #chr_wait_health l2_s46 10
  }
  if (dreamw eq 2)
  {
    ai2_spawn flOUTSIDE_E_sniper_1
    chr_changeteam flOUTSIDE_E_sniper_1 Syndicate
    #chr_givepowerup flOUTSIDE_E_sniper_1 invis 20
    chr_teleport flOUTSIDE_E_sniper_1 329
    #chr_wait_health flOUTSIDE_E_sniper_1 10
  }

}

func void tv_49(string ai_name)
{
  dprint tv_49
  #ai2_spawn l2_s47

}

func void tv_50(string ai_name)
{
  dprint tv_50
  #ai2_spawn l_s99
  music_stop

}

func void tv_51(string ai_name)
{
  if (dreamw eq 0)
  {
    dprint tv_51
  ai2_spawn l4_red1 force
  #chr_givepowerup l4_red1 shield
  ai2_spawn l4_t1
  ai2_spawn l4_s1
  ai2_spawn l4_s2
  chr_givepowerup l4_s2 shield
  chr_teleport l4_s2 7013
  sleep 140
  ai2_spawn l4_s67
  chr_givepowerup l4_s67 shield
  chr_teleport l4_s67 7013
  sleep 140
  ai2_spawn l4_t2
  chr_set_health l4_t2 200
  chr_teleport l4_t2 7013
  ai2_spawn l4_c66
  chr_changeteam l4_c66 TCTF
  chr_teleport l4_c66 7013
  chr_givepowerup l4_c66 cell 6
  ai2_spawn l4_s3
  ai2_spawn l4_f1
  ai2_spawn l4_f2
  chr_changeteam l4_f2 TCTF
  ai2_spawn l4_f3
  ai2_kill l4_f1
  #ai2_kill l4_f2
  ai2_kill l4_f3
  #ai2_kill l4_c66
  chr_wait_health l4_red1 0
  ai2_spawn l4_t1 force
  ai2_spawn l4_s1
  sleep 440
  ai2_spawn l4_s1 force
  #chr_wait_health l4_s2 0
  #ai2_spawn l4_s1 force
  music_stop
  }
  if (dreamw eq 2)
  {
    dprint tv_51
  ai2_spawn l4_red1
  chr_changeteam l4_red1 TCTF
  chr_teleport Griffin 7013
  ai2_spawn l4_t1
  chr_changeteam l4_t1 Syndicate
  ai2_spawn l4_s1
  chr_changeteam l4_s1 TCTF
  chr_wait_health Griffin 0
  chr_teleport 0 7023
  #dmsg "[b. konoko:] Stop"
  sound_dialog_play c13_65_36konoko
  sound_dialog_play_block pause
  sleep 50
  sound_dialog_play c11_40_04konoko
  sound_dialog_play_block pause
  #lgl_fog_start=.975
  #gl_fog_blue=.15
  #gl_fog_red=.15
  #gl_fog_green=.15
  gl_fog_end=2
  }

}

func void tv_52(string ai_name)
{
  if (dreamw eq 0)
  {
  dprint tv_52
  particle smoke stop
  ai2_spawn a_t03
  chr_giveweapon a_t03 w3_phr
  chr_givepowerup a_t03 shield 10
  chr_set_health a_t03 400
  #ai2_spawn a_t03 force
  ai2_passive a_t03 1
  playback a_t03 atrium_run
  sleep 7
  ai2_spawn a_t06
  sleep 7
  ai2_spawn a_s02
  sleep 7
  ai2_spawn a_s03
  sleep 7
  ai2_spawn a_red1
  chr_giveweapon a_red1 w3_phr
  chr_givepowerup a_red1 cell 1
  #ai2_spawn a_red1 force
  ai2_passive a_t03 0
  chr_set_health a_t05 900
  chr_set_health a_t06 900
  chr_set_health a_s02 900
  chr_set_health a_s03 900
  #chr_wait_health Ls_60 10
  ai2_spawn L2s_01
  chr_teleport L2s_01 337
  sleep 40
  ai2_spawn L2s_02
  chr_teleport L2s_02 332
  sleep 40
  ai2_spawn garage_striker_02
  chr_teleport garage_striker_02 1113
  #chr_wait_health garage_striker_02 10
  ai2_spawn AttackCivil01
  chr_set_health AttackCivil01 400
  chr_teleport AttackCivil01 1905
  }
  if (dreamw eq 6)
  {
  dprint tv_52
  particle smoke stop
  spcs305
  }
}

func void new_atrium(string ai_name)
{
  if (dreamw eq 0)
  {
  ai2_spawn a_s07
  ai2_spawn a_s05
  ai2_spawn a_v3
  ai2_spawn a_s06
  chr_teleport a_s06 338
  }
  if (dreamw eq 6)
  {
  spcs307
  }
}

func void ta_53(string ai_name)
{
  if (dreamw eq 0)
  {
  dprint ta_53
  ai2_spawn a_t05
  ai2_dopath a_s03 patrol_7043
  ai2_setjobstate a_s03
  ai2_dopath a_s02 patrol_7030
  ai2_setjobstate a_s02
  ai2_dopath a_t06 patrol_7034
  ai2_setjobstate a_t06
  ai2_dopath a_t05 patrol_7042
  ai2_setjobstate a_t05
  chr_set_health a_t05 40
  chr_set_health a_t06 30
  chr_set_health a_s02 80
  chr_set_health a_s03 80
  ai2_spawn a_t04
  chr_teleport a_t04 56
  ai2_spawn garage_striker_07
  chr_teleport garage_striker_07 334
  ai2_spawn L2tctf_01
  chr_teleport L2tctf_01 334
  chr_set_health L2tctf_01 200
  ai2_spawn L3s_40
  chr_teleport L3s_40 7024
  ai2_spawn L3s_42
  chr_teleport L3s_42 7024
  ai2_spawn Ltctf_55
  chr_teleport Ltctf_55 7024
  chr_set_health Ltctf_55 200
  chr_wait_health L3s_42 0
  ai2_spawn l_s99
  chr_giveweapon l_s99 w8_mbo
  chr_givepowerup l_s99 ammo 6
  chr_teleport l_s99 336
  sleep 2000
  dprint no_more_tctf
  counter = 100
  }
  if (dreamw eq 6)
  {
  dprint ta_53
  sp3Attack
  spcs306
  }
  
}

func void ta_53b(string ai_name)
{
  dprint ta_53b
  chr_set_health a_t05 80
  chr_set_health a_t06 60
  chr_set_health a_s02 70
  chr_set_health a_s03 80
}

func void ta2_54(string ai_name)
{
  if (dreamw eq 0)
  {
  dprint ta2_54
  ai2_spawn a2_t1
  ai2_spawn a2_red1
  ai2_spawn Train_TD_3
  chr_changeteam Train_TD_3 TCTF
  chr_teleport Train_TD_3 55
  ai2_noncombatant Train_TD_3 1
  chr_set_health Train_TD_3 200
  ai2_spawn LSI 
  chr_teleport LSI 7023
  chr_invincible LSI 1
  chr_changeteam LSI Syndicate
  ai2_spawn IntroStriker02
  chr_giveweapon IntroStriker02 w8_mbo
  chr_givepowerup IntroStriker02 ammo 6
  chr_teleport IntroStriker02 334
  ai2_spawn IntroStriker01
  chr_giveweapon IntroStriker01 w8_mbo
  chr_givepowerup IntroStriker01 ammo 6
  chr_teleport IntroStriker01 7023
  ai2_spawn Ls_44
  chr_giveweapon Ls_44 w3_phr
  chr_givepowerup Ls_44 ammo 6
  chr_teleport Ls_44 7040
  ai2_spawn Ls_51
  chr_giveweapon Ls_51 w3_phr
  chr_givepowerup Ls_51 ammo 6
  chr_teleport Ls_51 7043
  sleep 240
  music_stop
  sound_music_start mus_space01
  chr_wait_health IntroStriker01 0
  chr_changeteam LSI TCTF
  fork sp2
  sleep 900
  sound_music_stop mus_space01
  }
  if (dreamw eq 6)
  {
  spcs308
  }
}

func void tsh_55(string ai_name)
{
  ###SP3###
  spcs301
}

func void t62(string ai_name)
{
  dprint t62
  spcs302
}

func void femcop_holster(string ai_name)
{
  dprint holstergun
  chr_forceholster Lc_43 1
}

func void t72(string ai_name)
{
  if (sp3trap eq 0)
  {
    dprint t72
    spcs303
  }
  if (sp3trap eq 8)
  {
    dprint t72
    spcs502
  }
  if (sp3trap eq 10)
  {
    dprint t72
    spcs510
  }
}

func void tv57(string ai_name)
{
  if (dreamw eq 0)
  {
    dprint tv57
    Attack
    target_set(59,30.0)
  }

}

func void goAttack(string ai_name)
{
  if (dreamw eq 0)
  {
    music_intro_stop

  dprint goAttack
  trigvolume_enable tv_57t 1
  input 0
  fade_out 0 0 0 30
  chr_delete l_c01
  chr_delete lobby_striker_01
  chr_delete lobby_striker_02
  chr_delete garage_striker_01
  #chr_delete garage_striker_02
  chr_delete garage_striker_03
  chr_delete garage_striker_04
  chr_delete garage_striker_05
  chr_delete garage_striker_06
  chr_delete garage_striker_07
  #chr_delete garage_striker_08
  chr_delete garage_striker_09
  chr_delete garage_striker_10
  chr_delete l_s98
  chr_delete l_s99  
  ai2_spawn sh_s3
  chr_facetoflag sh_s3 0
  chr_givepowerup sh_s3 shield 1
  chr_teleport sh_s3 1111
  ai2_spawn mbo_target
  chr_facetoflag mbo_target 0
  chr_set_health mbo_target 20
  chr_giveweapon mbo_target w1_tap
  chr_teleport mbo_target 79
  cm_interpolate stair_lock 0
  sound_music_stop mus_ot
  sound_music_stop mus_space01
  fade_in 30
  sleep 60
  particle stair_lock_locklight01 do start
  door_unlock 73
  particle locklight01 do start
  door_unlock 16
  sleep 90
  fade_out 0 0 0 30
  cm_reset
  fade_in 30
  input 1
  set_objective_2
  fork stairattrack_1
  }
  if (dreamw eq 1)
  {
    music_intro_stop

  dprint goAttack
  trigvolume_enable tv_57t 1
  input 0
  fade_out 0 0 0 30
  #ai2_spawn sh_s3
  #chr_facetoflag sh_s3 0
  #chr_givepowerup sh_s3 shield 1
  #chr_teleport sh_s3 1111
  ai2_spawn C_C46
  chr_changeteam C_C46 Syndicate
  chr_facetoflag C_C46 0
  #chr_set_health mbo_target 20
  #chr_giveweapon mbo_target w1_tap
  chr_teleport C_C46 79
  chr_set_health C_C46 150
  chr_givepowerup C_C46 ammo 6
  cm_interpolate stair_lock 0
  sound_music_stop mus_ot
  sound_music_stop mus_space01
  fade_in 30
  sleep 60
  #particle stair_lock_locklight01 do start
  door_unlock 73
  particle locklight01 do start
  door_unlock 16
  sleep 90
  fade_out 0 0 0 30
  cm_reset
  fade_in 30
  input 1
  #set_objective_2
  fork stairattrack_2
  }
  
}

func void tsh_60(string ai_name)
{
  if (balive eq 1)
  {
    dprint tsh_60
    ai2_spawn sh_s12
    ai2_spawn sh_s12b
    helicopter
  }
}

func void ta_62(string ai_name)
{
  dprint ta_62
  if (chr_has_lsi(0))
  {
    trigvolume_enable trigger_volume_81 0
    particle obj1 kill
    ai2_kill
    elev_count = 1;
    sleep 10
    Elevator
    ai2_reset
  }
}

func void tv_58(string ai_name)
{
  dprint tv_58
  door_lock 41
  #door_lock 42
  particle security_locklight01 do stop
  #ai2_kill
  #Kidnap
  set_objective_3
  s2
  sleep 40
  #door_unlock 42
  fork npcreset
}

func void tv_68(string ai_name)
{
  dprint tv_68
  ai2_spawn b_victim
}

func void tr_64(string ai_name)
{
  if (balive eq 1)
  {
  dprint tr_64
  target_set(58,0.0)
  HeliOutroRight
  trigvolume_enable tr_65t 0
  trigvolume_enable tr_66t 0
  trigvolume_enable tr_67t 0
  }

}

func void tr_65(string ai_name)
{
  if (balive eq 1)
  {
  dprint tr_65
  target_set(58,0.0)
  HeliOutroLeft
  trigvolume_enable tr_64t 0
  trigvolume_enable tr_66t 0
  trigvolume_enable tr_67t 0
  }

}

func void tr_66(string ai_name)
{
  if (balive eq 1)
  {
  dprint tr_66
  target_set(58,0.0)
  HeliOutroMid
  trigvolume_enable tr_65t 0
  trigvolume_enable tr_64t 0
  trigvolume_enable tr_67t 0
  }

}

func void tr_67(string ai_name)
{
  if (balive eq 1)
  {
  dprint tr_67
  target_set(58,0.0)
  HeliOutroMidLt
  trigvolume_enable tr_65t 0
  trigvolume_enable tr_66t 0
  trigvolume_enable tr_64t 0
  }

}

func void t100(string ai_name)
{
  if (sp3trap eq 6)
  {
    dprint t100
    ai2_spawn roof_tctf1
    ai2_spawn sh_s12c
  }
    if (sp3trap eq 8)
  {
    dprint t100
    ai2_spawn B_Lbo26
    chr_changeteam B_Lbo26 Syndicate
    chr_teleport B_Lbo26 389
    chr_facetoflag B_Lbo26 21
    chr_givepowerup B_Lbo26 cell 3
    ai2_spawn flOUTSIDE_E_sniper_2
    chr_changeteam flOUTSIDE_E_sniper_2 Syndicate
    chr_teleport flOUTSIDE_E_sniper_2 388
    chr_facetoflag flOUTSIDE_E_sniper_2 21
    chr_givepowerup flOUTSIDE_E_sniper_2 cell 3
    ai2_spawn D_S83
    chr_changeteam D_S83 Syndicate
    chr_teleport D_S83 377
    chr_facetoflag D_S83 21
    chr_givepowerup D_S83 cell 6
    ai2_spawn A_S2
    chr_changeteam A_S2 Syndicate
    chr_teleport A_S2 7022
    chr_facetoflag A_S2 12
    ai2_spawn vat_bot_1
    chr_changeteam vat_bot_1 Syndicate
    chr_teleport vat_bot_1 389
    ai2_spawn vat_bot_2
    chr_changeteam vat_bot_2 Syndicate
    chr_teleport vat_bot_2 389
    ai2_spawn vat_bot_3
    chr_changeteam vat_bot_3 Syndicate
    chr_teleport vat_bot_3 389
    ai2_spawn vat_bot_4
    chr_changeteam vat_bot_4 Syndicate
    chr_teleport vat_bot_4 389
    ai2_spawn vat_bot_5
    chr_changeteam vat_bot_5 Syndicate
    chr_teleport vat_bot_5 389
  }
}
#####################
# save scripts  #
#####################

func void s1(string ai_name)
{
  dprint SAVEDGAME
  save_game 1 autosave
}

func void s2(string ai_name)
{
  dprint SAVEDGAME
  save_game 2 autosave
}

func void sv3(string ai_name)
{
  dprint SAVEDGAME
  save_game 3 autosave
}

func void s4(string ai_name)
{
  dprint SAVEDGAME
  save_game 4 autosave
}

func void s5(string ai_name)
{
  dprint SAVEDGAME
  save_game 5 autosave
}

func void s6(string ai_name)
{
  dprint SAVEDGAME
  save_game 6 autosave
}

func void s7(string ai_name)
{
  dprint SAVEDGAME
  save_game 7 autosave
}

func void check_death(string ai_name)
{
  dprint check_death
  counter = counter - 1
  if (trigvolume_count(99) eq 0)
  {
    if(counter eq 0)
    {
      if (dreamw eq 0)
      {
        sleep 210
        ai2_spawn a_t99
      }
      if (dreamw eq 6)
      {
        sleep 210
        ai2_spawn a_t99
        chr_changeteam a_t99 Syndicate
      }
      
    }
  }
}

func void spawn(string ai_name)
{
  dprint spawn
  counter = counter + 1
}