###########################################
# airport_cutscene.bsl#####################
##edited by Fbio Bento##faob2@hotmail.com#
###########################################

func
airport_cs_intro
{

	begin_cutscene

	chr_teleport 0 7020
	chr_giveweapon 0 w5_sbg
	ai2_spawn BoothMuro01
	ai2_followme BoothMuro01
	chr_changeteam BoothMuro01 Konoko
	chr_teleport BoothMuro01 7020
	ai2_spawn BoothStriker01
	ai2_spawn BoothStriker02
	ai2_spawn Terminal_Striker_1
	chr_teleport BoothStriker01 7032
	chr_teleport BoothStriker02 7032
	chr_teleport Terminal_Striker_1 7032
	chr_giveweapon BoothStriker01 w8_mbo
	chr_giveweapon BoothStriker02 w8_mbo
	chr_giveweapon Terminal_Striker_1 w8_mbo
	chr_givepowerup BoothStriker01 ammo
	chr_givepowerup BoothStriker01 ammo
	chr_givepowerup BoothStriker02 ammo
	chr_givepowerup BoothStriker02 ammo
	chr_givepowerup Terminal_Striker_1 ammo
	chr_givepowerup Terminal_Striker_1 ammo
	chr_givepowerup Tarmac_Striker_1 ammo
	chr_givepowerup Tarmac_Striker_1 ammo
	
	#Spawn items
	powerup_spawn ammo 7022
	powerup_spawn shield 7011
	powerup_spawn cell 7005
	powerup_spawn cell 7005
	powerup_spawn hypo 7013
	powerup_spawn hypo 7014
	powerup_spawn invis 7015
	weapon_spawn w2_sap 7012
	weapon_spawn w1_tap 7002

	#Spawn some strikers
	ai2_spawn Tarmac_Striker_1
	ai2_spawn Tarmac_Striker_2
	ai2_spawn Tarmac_Striker_3
	ai2_spawn finalam_striker_1   
	ai2_spawn finalam_striker_2
	chr_giveweapon Tarmac_Striker_1 w8_mbo
	chr_giveweapon Tarmac_Striker_2 w8_mbo
	chr_giveweapon Tarmac_Striker_3 w8_mbo
	chr_teleport Tarmac_Striker_1 7010
	chr_teleport Tarmac_Striker_2 7010
	chr_teleport Tarmac_Striker_3 7010
	chr_givepowerup Tarmac_Striker_1 ammo 20
	chr_givepowerup Tarmac_Striker_2 ammo 20
	chr_givepowerup Tarmac_Striker_3 ammo 20
	ai2_attack Tarmac_Striker_1 0
	ai2_attack Tarmac_Striker_2 0
	ai2_attack Tarmac_Striker_3 0
	chr_set_health Tarmac_Striker_1 1
	chr_set_health Tarmac_Striker_2 1
	chr_set_health Tarmac_Striker_3 1
	ai2_attack Intro_Striker_4 0
	ai2_attack Intro_Striker_3 0
	ai2_attack Tarmac_Striker_4 0

	cm_jello 0
	#fade_out 0 0 0 0
	
	music_script_start();

	chr_nocollision 0 1
	ai2_spawn IntroStriker01
	ai2_spawn IntroStriker02	

	chr_forceholster IntroStriker02 1
	
	sound_music_start atm_gr06 1

	chr_set_health 0 1

	sleep 60
	playback IntroStriker01 IntroComguy02
	playback IntroStriker02 IntroStriker02
	sleep 60

	chr_nocollision 0 0
	obj_kill 10 12
	env_show 10 1
	env_show 11 1
	env_show 12 1
	
	chr_forceholster IntroStriker02 0

	end_cutscene

	save_point_1

	group1

	set_objective_1
	set_target_1

	#Show the my message

	dmsg "AIRPORT ASSAULT ||2|| by Fabio Bento -> faob2@hotmail.com"
	sleep 200

}

func void group1(void)
{	
	ai2_spawn Intro_Striker_4
	ai2_spawn Intro_Striker_3
	chr_boss_shield Intro_Striker_4 
	chr_boss_shield Intro_Striker_3 
	chr_set_health Intro_Striker_4 800
	chr_set_health Intro_Striker_3 600
	ai2_attack Intro_Striker_4 0
	ai2_attack Intro_Striker_3 0
	ai2_attack Tarmac_Striker_4 0
	chr_givepowerup BoothMuro01 invis 500
	chr_boss_shield BoothMuro01
	chr_set_health BoothMuro01 600
	chr_givepowerup BoothMuro01 cell
	chr_givepowerup BoothMuro01 cell
	chr_givepowerup BoothMuro01 ammo
	chr_givepowerup BoothMuro01 ammo
	chr_givepowerup BoothMuro01 ammo
	chr_givepowerup BoothMuro01 ammo
	chr_teleport Intro_Striker_4 7022
	chr_teleport Intro_Striker_3 7022
	ai2_dopath BoothMuro01 patrol_7022
	chr_giveweapon Intro_Striker_4 w8_mbo
	chr_giveweapon Intro_Striker_3 w8_mbo
	
	timer_start 30 group2

}
 
func void group2(void)
{

	ai2_spawn LoadingBay_Striker_2
	ai2_spawn LoadingBay_Thug_1
	ai2_spawn LoadingBay_Thug_2
	chr_set_health LoadingBay_Striker_2 600
	chr_teleport LoadingBay_Striker_2 7022
	chr_teleport Tarmac_Striker_4 7022
	chr_givepowerup IntroStriker01 cell
	chr_givepowerup IntroStriker01 cell
	chr_givepowerup IntroStriker01 ammo
	chr_givepowerup IntroStriker01 ammo
	chr_givepowerup IntroStriker02 cell
	chr_givepowerup IntroStriker02 cell
	chr_givepowerup IntroStriker02 ammo
	chr_givepowerup IntroStriker02 ammo
	
	timer_stop

}

func
camcontrol
{
	cm_anim both Camout01
	sleep f80
	sound_ambient_start c03_44_03truckby
	cm_anim_block both Camout02
	sound_ambient_start c03_49_16_truck
	cm_anim_block both Camout03
	sound_ambient_start c03_49_16_motorcycle
	cm_anim_block both Camout04
	cm_wait
	sleep 2
	cm_interpolate Camout05 0
	sleep 1
	cm_interpolate Camout06 120
	sleep 300
	cm_reset
	cm_jello 1
	letterbox 0
	end_cutscene
}


func
Booth(string wazzzup)
{
	begin_cutscene weapon
	#make Konoko run to a flag
	ai2_takecontrol 1
	ai2_movetoflag 0 1091
	#Konoko looks to see Strikers
	ai2_takecontrol 0
	cm_interpolate BoothCamKonokoLook 0
	playback 0 BoothKonokoLook
	ai2_spawn BoothStriker01
	ai2_spawn BoothStriker02
	chr_giveweapon BoothStriker01 w8_mbo
	chr_givepowerup BoothStriker01 cell 15
	chr_givepowerup BoothStriker01 ammo 20
	chr_givepowerup BoothStriker02 cell 15
	chr_givepowerup BoothStriker02 ammo 20
	ai2_dopath BoothStriker01
	ai2_setjobstate BoothStriker01
	sleep 30
	playback BoothStriker01 BoothStriker01
	playback BoothStriker02 BoothStriker02
	sleep 50
	#Strikers rush in
	cm_interpolate BoothCamStrike01 0
	cm_interpolate_block BoothCamStrike02 180
	sleep 140

	sound_music_start mus_asian 0.8
	music_script_start
	trigvolume_enable stop_booth_music_tv 1

	cinematic_stop (MUROtalking, 15, 20)
	sleep 120
	cm_reset
	fork FixDoors
	
	particle door2_locklight01 do stop
	particle door7_locklight01 do stop
	door_lock 7
	set_target_blank

	chr_delete TerminalTwo_Striker_1
	chr_delete TerminalTwo_Striker_2
	chr_delete Tarmac_Striker_2
	chr_delete Tarmac_Striker_4

	end_cutscene

	dprint save_point_3_active
	save_game 3 autosave
}

func void stop_booth_music(string who)
{
	sound_music_stop mus_asian
}


func
outro(string wazzup)
{
	begin_cutscene
	#cm_interpolate OutroCam01 0
	#playback 0 OutroKonoko
	#sleep 400
	fade_out 0 0 0 60
	sleep f120
	win
}



