#
# dreamlab_cutscene.bsl
#

func void stop_xtr2_in_15(void)
{
	sleep 720
}


func void
intro(
	void)
{
	fade_out 0 0 0 0
	obj_create 131 132
	cm_interpolate IntroCamOpen 0
	sleep f14
	begin_cutscene
	env_show 231 0
	env_show 232 0
	sleep f90
	chr_envanim 0 IntroKonBox01 norotation
	chr_animate 0 KONOKOlev13_Sit 8000
	cm_interpolate IntroCamOpen 0
	fade_in 120
	sleep f180
	#Konoko opens up laptop
	cm_anim both IntroCamOpen
	

	sleep f285
	chr_envanim 0 IntroKonBox01 norotation
	chr_animate 0 KONOKOlev13_Open
	env_anim 131 132
	
	#camera pans to see wall missing and Konoko looks up
	env_show 200 0
	env_show 227 0
	env_show 201 0
	env_show 999 0
	chr_envanim 0 IntroKonBox01 norotation
	chr_animate 0 KONOKOlev13_Sit 8000
	cm_interpolate IntroCamLowLeft 0
	obj_kill 106 106
	obj_kill 107 107
	gl_fog_end=1
	gl_fog_start=.975
	cm_interpolate_block IntroCamLook 800

	particle fog_floor1 do start

	ai2_spawn IntroMuro
	chr_lock_active IntroMuro
	playback IntroMuro IntroMuroEnter
	chr_nocollision IntroMuro 1
	sound_dialog_play_block pause
	cinematic_start (MUROevilgrin, 180, 180, 15, 1, 20, false)
			
	sound_dialog_play c12_44_02muro
	chr_animate 0 KONOKOlev13_Look
	sleep f75
	#Konoko gets up
	chr_envanim 0 IntroKonBox02 norotation
	chr_animate 0 KONOKOlev13_Getup
	cm_anim both IntroCamGetup
	sound_dialog_play_block pause
	sleep f60
	sound_dialog_play c12_44_03konoko
	cinematic_start (KONlistening, 180, 180, 20, 9, 20, true)
	cm_wait
	#Camera pans to show Konoko from behind
	chr_animate evilkonoko KONOKOpowerup 0
	chr_set_health evilkonoko 700
	env_show 231 1
	env_show 232 1
	obj_kill 131 132
	playback 0 IntroKonokoSet
	cm_interpolate IntroCamDoor01 0
	cm_interpolate_block IntroCamDoor02 180
	sound_dialog_play_block pause
	sound_dialog_play c12_44_04muro
	sleep f240
	chr_animate IntroMuro KONOKOpowerup 0
	chr_set_health IntroMuro 800
	cinematic_stop (KONlistening, 20, 20)
	cinematic_stop (MUROevilgrin, 15, 20)
	#gameplay resumes
	cm_reset
	end_cutscene
	ai2_passive IntroMuro 1
	chr_nocollision IntroMuro 0

	save_point_1
}



func void
murodeath(
	void)
{
	dprint WE_KILLED_MURO

	env_show 999 0
	env_show 1010 0

	# ensure that muro doesn't get knocked out of his "death" anim

	chr_animate IntroMuro COMCOMlev13_death 120
	gl_fog_start_changeto .995 30
	sleep f24

	begin_cutscene
	chr_animate 0 KONOKOendpowerup
	chr_set_health 0 600
	sleep f300
	end_cutscene


	objective_set(1)

	sleep 60
	
}

func void
griffindeath(
	void)
{
	# ensure that griffin doesn't get knocked out of his "death" anim

	chr_animate griffin COMCOMlev13_death 120
	sleep f170

	ai2_spawn IntroMuro
	dprint mini_strike
	ai2_spawn mini_strike_1
	ai2_spawn mini_strike_2
	ai2_spawn mini_strike_3
	ai2_spawn mini_strike_4
	ai2_spawn mini_strike_5
	ai2_spawn mini_strike_6
	ai2_spawn mini_strike_7
	ai2_spawn mini_strike_8
	door_unlock 3
	begin_cutscene
	chr_animate 0 KONOKOendpowerup
	chr_set_health 0 800
	sleep f400
	end_cutscene

	
}


func void
murofog(
	void)
{
	ai2_passive IntroMuro 0
	env_show 201 1
	env_show 999 1
	env_show 250 0
	env_show 252 0
	sleep f12
	gs_farclipplane_set 75
}	





func void
Griffin01(
	void)
{
	sound_music_start mus_om01
	begin_cutscene
	door_unlock 2
	chr_lock_active griffin
	playback griffin GrifGriffinSet
	cm_interpolate GrifCamGriffin 200
	#griffin talks
	sleep f120
	sound_dialog_play c12_45_01griffin
	cinematic_start (GRIFtalkangry, 180, 180, 16, 3, 20, true)
	playback 0 GrifKonokoSet
	sound_dialog_play_block pause
	cm_interpolate GrifCamKonoko01 0
	cm_interpolate_block GrifCamKonoko02 800
	sound_dialog_play c12_45_02konoko
	cinematic_start (KONintense, 180, 180, 19, 7, 20, true)
	sound_dialog_play_block pause
	sound_dialog_play c12_45_03griffin
	sound_dialog_play_block pause
	cm_interpolate GrifCamBoth01 0
	cm_interpolate_block GrifCamBoth02 800
	sound_dialog_play c12_45_04konoko
	sound_dialog_play_block pause
	sound_dialog_play c12_45_05griffin
	sound_dialog_play_block pause
	cinematic_stop (KONintense, 20, 20)
	cinematic_stop (GRIFtalkangry, 15, 20)
	cm_reset
	end_cutscene
	save_point_2
}

func void
Konoko01(
	void)
{
	begin_cutscene weapon
	chr_lock_active evilkonoko
	playback evilkonoko KonKonoko01Set
	chr_lock_active evilkonoko
	playback evilkonoko KonKonoko01Set
	cm_interpolate KonCamKon01 200
	#griffin talks
	sleep f120
	sound_dialog_play c12_46_01badasskon
	cinematic_start (KONevil, 180, 180, 15, 1, 20, true)
	playback 0 KonKonokoSet
	sound_dialog_play_block pause
	cm_interpolate KonCamBoth01 0
	cm_interpolate_block KonCamBoth02 1000
	sound_dialog_play c12_46_02konoko
	cinematic_start (KONintense, 180, 180, 20, 9, 20, true)
	sound_dialog_play_block pause
	sound_dialog_play c12_46_03badasskon
	sound_dialog_play_block pause
	sound_dialog_play c12_46_04konoko
	sound_dialog_play_block pause
	sound_dialog_play c12_46_05badasskon
	sound_dialog_play_block pause
	sound_dialog_play c12_46_06konoko
	sound_dialog_play_block pause
	sound_dialog_play c12_46_07badasskon
	cinematic_stop (KONintense, 20, 20)
	sound_dialog_play_block pause
	cinematic_stop (KONevil, 15, 20)
	cm_reset
	chr_animate evilkonoko KONOKOpowerup 0
	chr_set_health evilkonoko 600
	sleep f245
	end_cutscene
	env_show 250 1
	env_show 252 1
}


func void
Konoko02(
	void)
{
	begin_cutscene
	chr_lock_active evilkonoko
	playback evilkonoko Kon2Konoko02Set
	chr_lock_active evilkonoko
	playback IntroMuro Kon2Konoko02Set
	chr_lock_active IntroMuro
	playback griffin Kon2Konoko02Set
	chr_lock_active griffin
	cm_interpolate Kon2CamKon201 140
	cm_interpolate GrifCamMuroFace01 0
	sleep f220
	cm_interpolate GrifCamevilkonokoFace01 0
	sleep f220
	cm_interpolate GrifCamgriffinFace01 0
	sleep f220
	cm_interpolate Kon2CamKon202 180
	#griffin talks
	sleep f120
	sound_dialog_play c12_45_01griffin
	cinematic_start (GRIFtalkangry, 180, 180, 16, 3, 20, true)	
	sleep f200
	sound_dialog_play c12_44_02muro
	chr_animate 0 KONOKOlev13_Look
	sleep f200
	sound_dialog_play c12_46_01badasskon
	cinematic_start (KONevil, 180, 180, 15, 1, 20, true)
	playback 0 Kon2KonokoSet
	sound_dialog_play_block pause
	cm_interpolate Kon2Both01 0
	cm_interpolate_block Kon2Both02 1000
	cinematic_stop (KONintense, 20, 20)
	sound_dialog_play_block pause
	cinematic_stop (KONevil, 15, 20)
	cm_reset
	sound_music_start mus_ot
	chr_animate evilkonoko KONOKOpowerup 0
	chr_set_health IntroMuro 800
	chr_set_health griffin 600
	chr_set_health evilkonoko 700
	sleep f245
	chr_boss_shield evilkonoko
	end_cutscene
}


func void
Griffin02(
	void)
{
	begin_cutscene
	chr_lock_active griffin_2
	playback griffin_2 Grif2GrifSet
	cm_interpolate Kon2CamKon201 140
	sleep f120
	cm_interpolate Kon2CamKon202 180
	#griffin talks
	sleep f120
	sound_dialog_play c12_45_01griffin
	cinematic_start (GRIFtalkangry, 180, 180, 15, 1, 20, true)
	playback 0 Kon2KonokoSet
	sound_dialog_play_block pause
	cm_interpolate Kon2Both01 0
	cm_interpolate_block Kon2Both02 1000
	sound_dialog_play c12_45_02konoko
	cinematic_start (KONintense, 180, 180, 20, 9, 20, true)
	sound_dialog_play_block pause
	sound_dialog_play c12_45_03griffin
	sound_dialog_play_block pause
	sound_dialog_play c12_45_04konoko
	sound_dialog_play_block pause
	sound_dialog_play c12_45_05griffin
	sound_dialog_play_block pause
	cinematic_stop (KONintense, 20, 20)
	cinematic_stop (GRIFtalkangry, 15, 20)
	cm_reset
	end_cutscene
}
	

func void
outro(
	void)
{
	begin_cutscene
	#slowmo
	#weird particle effect
	sleep f120
	chr_animate 0 KONOKOendpowerup
	sleep f120
	cm_interpolate EndCam 600
	sound_ambient_volume mc_dish_loop 1.0 4.0
	sleep f500
	fade_out 0 0 0 120
	sleep f120
	win
}

