#
# lab_cutscene.bsl
#

func void shin_intro_dialogue(void)
{
	sound_dialog_play c00_01_99shinatama
	cinematic_start (SHINtalking, 180, 180, 15, 1, 20, false)
	sound_dialog_play_block pause
	cinematic_stop (SHINtalking, 15, 20)
}

func void intro(void)
{
	ai2_spawn Barabus
	fade_out 0 0 0 0
	cm_interpolate Camout01 0
	sleep 13
	begin_cutscene		
	#hide motorcycle gunk
	env_show 8 0
	env_show 9 0
	env_show 10 0
	chr_nocollision Barabus 1
	chr_forceholster Barabus 1
	sleep 60
	fade_in 120
	#fork camcontrol
	cm_anim both Camout01
	obj_create 8 10
	env_anim 8 10
	chr_envanim Barabus KonBipedBox01
	chr_animate Barabus KONOKOcycle_ride 880
	sleep 15
	cutscene_sync mark
	sound_ambient_start c02_02_01_motorcyclea
	cm_wait
	cm_anim both Camout02
	cutscene_sync mark

	fork shin_intro_dialogue

	sound_ambient_start c02_02_01_motorcycleb 0.7

	cm_wait
	cm_anim both Camout03
	cutscene_sync mark

	sound_ambient_start c02_02_01_motorcyclec 0.7

	ai2_setmovementmode 0 walk
	playback 0 IntroSubboss01
	cm_wait
	cm_anim both Camout04
	sleep 20
	cutscene_sync mark

	sound_ambient_start c02_14_27_jump_land_skid

	sleep 40
	chr_animate 0 STRIKElev3_startle
	cm_wait
	cm_anim both Camout05
	chr_animate Barabus KONOKOlev3_intro_stop
	env_setanim 8 hubs_stop
	env_setanim 9 hubs_rear_stop
	env_setanim 10 motorcycle02_stop
	chr_envanim Barabus KonBipedBox02 norotation
	cm_wait
	cm_interpolate Camout06 0
	#chr_create 1000 start
	#chr_neutral 1000 1
	cinematic_start (BOSS1talking, 180, 180, 20, 8, 20, false)
	sleep 20
	sound_dialog_play c03_10_01barabas
	sound_dialog_play_block pause
	sleep 20
	cinematic_stop (BOSS1talking, 19, 20)
	#hide motorcycle object
	obj_kill 8 10
	#unhide motorcycle gunk
	env_show 10 1
	env_show 9 1
	env_show 8 1
	#setup Konoko for scene
	playback Barabus IntroKonoko01
	sleep 10
	cm_reset
	chr_nocollision 0 0
	end_cutscene
	set_objective_1
	trigvolume_enable save_1_trig 1
	ai2_attack Barabus konoko

	sound_music_start mus_main01_hd

	fork The_Best_Ofter
}

func void camcontrol(void)
{
	cm_anim both Camout01
	cm_anim both Camout02
	cm_anim both Camout03
	cm_anim both Camout04
	cm_anim both Camout05
	cm_wait
	letterbox 0
	cm_jello 1
	cm_reset
	chr_nocollision 0 0
	input 1
}

func void rocket(void)
{

	begin_cutscene jello
	chr_animate Barabus NINCOMpunch_heavy
	sleep 60
	ai2_takecontrol 1
	ai2_lookatchar 0 Barabus
	chr_animate Barabus NINCOMpunch_heavy 1000
	sound_dialog_play c03_10_02barabas
	cinematic_start (BOSS1talking, 180, 180, 16, 1, 20, false)	
	sleep 280
	chr_nocollision Barabus 1
	chr_animate Barabus NINCOMpunch_heavy 250
	chr_animate 0 BARABrocket 250
	sleep 130
	cutscene_sync mark
	sound_ambient_start c01_00_02barjet
	#Barabas flies into the sky
	chr_animate_block Barabus BARABlev3_rocket
	chr_envanim Barabus RocketBox01
	cm_anim both RocketCam01
	sleep 30
	cinematic_stop (BOSS1talking, 15, 20)
	cinematic_stop (MUROtalking, 16, 20)
	sleep 10
	cm_reset
	end_cutscene
	ai2_takecontrol 0
	chr_delete Barabus
	set_objective_2
	chr_givepowerup 0 hypo
	chr_set_health 0 400
	ai2_spawn Barabus
	chr_nocollision Barabus 1
	chr_forceholster Barabus 1
	chr_wait_health Barabus 0
	begin_cutscene jello
	chr_animate Barabus NINCOMpunch_heavy
	sleep 60
	ai2_takecontrol 1
	ai2_lookatchar 0 Barabus
	chr_animate Barabus BARABrocket 250
	sleep 130
	cutscene_sync mark
	sound_ambient_start c01_00_02barjet
	cm_reset
	end_cutscene
	ai2_takecontrol 0

	target_set(143, 30.0)

	sleep 180
	chr_givepowerup 0 hypo
	chr_set_health 0 400
	
}


func void bomber(void)
{
	sleep 500
	chr_invincible Tower_MB_1 0
	ai2_kill Tower_MB_1
	dmsg "[g. Good Job! This Territory is safe now, but have one that is in Terror!!]"
	sleep 200
	dmsg "[g. You go now is teleported...]"
	finaly
	
}


func void fallinthevat(string char)
{
  var bool eggman;

  eggman = chr_is_player(char);

  if (eggman eq 0)
  {
    chr_animate(char, KONCOMsuper_kick);
    sleep 10
    chr_set_health(char, 500);
  }

  if (eggman eq 1)
  {
    cm_detach

    chr_animate(char, KONCOMsuper_kick);
    sleep 10
    chr_set_health(char, 500);
	sleep 200
	cm_reset
	sleep 1000
	chr_teleport 0 256
  }
}

func void outro(void)
{
	
}