######################
# ONI TEAM ARENA 1.1 #
######################
# arena_teams.bsl for Rooftops
######################
func void ArenaSetupTeams(void) {
	arena_players= 1;
	chr_unkillable(char_0, 1); chr_changeteam(char_0, Konoko);
	fork RespawnPlayer(Konoko, char_0, "[y.KONOKO]");
	sleep 100; fork AddEnemyTeam();
	sleep 50; fork AddNeutralTeam();
	sleep 50; fork AddFriendTeam();
}
func void AddFriendTeam(void) {
	AddPlayer(Konoko, A_C5, "[y.HOLDEN]"); sleep 150;
	AddPlayer(Konoko, D_C60, "[o.GAFF]"); sleep 150;
	AddPlayer(Konoko, E_C62, "[o.BRYANT]"); sleep 150;
	AddPlayer(Konoko, D_R21, "[g.RACHAEL]"); sleep 150;
	AddPlayer(Konoko, B_R11, "[r.ZHORA]"); sleep 150;
	AddPlayer(Konoko, C_T16, "[b.PRIS]"); sleep 150;
	dmsg("[y.BLADE RUNNER] team complete");
}
func void AddEnemyTeam(void) {
	AddPlayer(Syndicate, NinjaZip, "[b.DA BOSS]"); sleep 150;
	AddPlayer(Syndicate, IntroNinja, "[o.NINJA]"); sleep 150;
	AddPlayer(Syndicate, D_T28, "[g.TANK JR]"); sleep 150;
	AddPlayer(Syndicate, E_Sr64, "[g.ECCO]"); sleep 150;
	AddPlayer(Syndicate, A_N7, "[b.LINK]"); sleep 150;
	AddPlayer(Syndicate, B_T13, "[b.TANK]"); sleep 150;
	AddPlayer(Syndicate, E_Sr30, "[b.LEON]"); sleep 150;
	AddPlayer(Syndicate, A_N1, "[y.NACK]"); sleep 150;
	AddPlayer(Syndicate, A_T4, "[r.HUMMER]"); sleep 150;
	AddPlayer(Syndicate, E_Sr33, "[r.ROY]"); sleep 150;
	dmsg("[b.REPLICANT] team complete");
}
func void AddNeutralTeam(void) {
	AddPlayer(Neutral, A_Sr9, "[r.Citizen Smith]"); sleep 150;
	AddPlayer(Neutral, D_C19, "[y.Citizen Jones]"); sleep 150;
	AddPlayer(Neutral, E_Sb31, "[b.Citizen Jack]"); sleep 150;
	dmsg("[g.CITIZEN] team complete");
}
################################# CALLED AT EVERY FRAG
func ArenaAwareness {
	ai2_makeaware(A_C5, NinjaZip)
	ai2_makeaware(D_C60, NinjaZip)
	ai2_makeaware(E_C62, NinjaZip)
	ai2_makeaware(D_R21, NinjaZip)
	ai2_makeaware(B_R11, NinjaZip)
	ai2_makeaware(C_T16, NinjaZip)

	ai2_makeaware(NinjaZip, char_0)
	ai2_makeaware(IntroNinja, char_0)
	ai2_makeaware(D_T28, char_0)
	ai2_makeaware(E_Sr64, char_0)
	ai2_makeaware(A_N7, char_0)
	ai2_makeaware(B_T13, char_0)
	ai2_makeaware(E_Sr30, char_0)
	ai2_makeaware(A_N1, char_0)
	ai2_makeaware(A_T4, char_0)
	ai2_makeaware(E_Sr33, char_0)

	ai2_makeaware(A_Sr9, NinjaZip)
	ai2_makeaware(D_C19, NinjaZip)
	ai2_makeaware(E_Sb31, NinjaZip)
	ai2_makeaware(A_Sr9, char_0)
	ai2_makeaware(D_C19, char_0)
	ai2_makeaware(E_Sb31, char_0)
}
################################### USED FOR BOT SHAPESHIFTING
################ PLAYERS APPEAR IN THE ORDER THEY WERE SPAWNED
func void ArenaMenuName(void) {
	if(arena_spawn_id eq  0)
		{arena_menu_name= char_0; arena_menu_nick= "[y.KONOKO]";}
	if(arena_spawn_id eq  1)
		{arena_menu_name= IntroNinja; arena_menu_nick= "[o.NINJA]";}
	if(arena_spawn_id eq  2)
		{arena_menu_name= A_N1; arena_menu_nick= "[y.NACK]";}
	if(arena_spawn_id eq  3)
		{arena_menu_name= A_Sr9; arena_menu_nick= "[r.Citizen Smith]";}
	if(arena_spawn_id eq  4)
		{arena_menu_name= NinjaZip; arena_menu_nick= "[b.DA BOSS]";}
	if(arena_spawn_id eq  5)
		{arena_menu_name= A_C5; arena_menu_nick= "[y.HOLDEN]";}
	if(arena_spawn_id eq  6)
		{arena_menu_name= D_C19; arena_menu_nick= "[y.Citizen Jones]";}
	if(arena_spawn_id eq  7)
		{arena_menu_name= D_C60; arena_menu_nick= "[o.GAFF]";}
	if(arena_spawn_id eq  8)
		{arena_menu_name= D_T28; arena_menu_nick= "[g.TANK JR]";}
	if(arena_spawn_id eq  9)
		{arena_menu_name= E_Sb31; arena_menu_nick= "[b.Citizen Jack]";}
	if(arena_spawn_id eq 10)
		{arena_menu_name= E_C62; arena_menu_nick= "[o.BRYANT]";}
	if(arena_spawn_id eq 11)
		{arena_menu_name= E_Sr64; arena_menu_nick= "[g.ECCO]";}
	if(arena_spawn_id eq 12)
		{arena_menu_name= D_R21; arena_menu_nick= "[g.RACHAEL]";}
	if(arena_spawn_id eq 13)
		{arena_menu_name= A_N7; arena_menu_nick= "[b.LINK]";}
	if(arena_spawn_id eq 14)
		{arena_menu_name= B_R11; arena_menu_nick= "[r.ZHORA]";}
	if(arena_spawn_id eq 15)
		{arena_menu_name= B_T13; arena_menu_nick= "[b.TANK]";}
	if(arena_spawn_id eq 16)
		{arena_menu_name= C_T16; arena_menu_nick= "[b.PRIS]";}
	if(arena_spawn_id eq 17)
		{arena_menu_name= E_Sr30; arena_menu_nick= "[b.LEON]";}
	if(arena_spawn_id eq 18)
		{arena_menu_name= A_T4; arena_menu_nick= "[r.HUMMER]";}
	if(arena_spawn_id eq 19)
		{arena_menu_name= E_Sr33; arena_menu_nick= "[r.ROY]";}
}
