######################
# ONI TEAM ARENA 1.0 #
######################
# arena_teams.bsl for tctf_ii
######################
func void ArenaSetupTeams(void) {
	arena_players= 1;
	chr_unkillable(konoko, 1); chr_changeteam(konoko, Konoko);
	fork RespawnPlayer(Konoko, konoko, "[y.KONOKO]");
	sleep 100; fork AddEnemyTeam();
	sleep 50; fork AddNeutralTeam();
	sleep 50; fork AddFriendTeam();
}
func void AddFriendTeam(void) {
	AddPlayer(Konoko, griffin_b1, "[y.Crevantes]"); sleep 150;
	AddPlayer(Konoko, griffin_b2, "[g.LEO D.C.]"); sleep 150;
	AddPlayer(Konoko, ghost_1, "Black Sheep"); sleep 150;
	AddPlayer(Konoko, ghost_2, "[b.Dark One]"); sleep 150;
	AddPlayer(Konoko, griffin, "[y.Grif]"); sleep 150;
	AddPlayer(Konoko, outro_konoko, "[o.KONOKO]"); sleep 150;
	dmsg("[y.KONOKO and KONOKO's] team complete");
}
func void AddEnemyTeam(void) {
	AddPlayer(Syndicate, IntroMuro, "[r.Red Chief]"); sleep 150;
	AddPlayer(Syndicate, ambush_red_1, "[r.Bodyguard 1]"); sleep 150;
	AddPlayer(Syndicate, ambush_red_2, "[r.Bodyguard 2]"); sleep 150;
	AddPlayer(Syndicate, laser_ops_1, "[o.Cs_Scan_Ops]"); sleep 150;
	AddPlayer(Syndicate, ambush_tanker_1a, "[o.Ghost]"); sleep 150;
	AddPlayer(Syndicate, ambush_tanker_1b, "[b.Wraith]"); sleep 150;
	AddPlayer(Syndicate, shin_striker_1, "[o.Minime Sam]"); sleep 150;
	AddPlayer(Syndicate, shin_striker_2, "[g.Minime Ron]"); sleep 150;
	AddPlayer(Syndicate, shin_striker_3, "[r.Minime Bob]"); sleep 150;
	AddPlayer(Syndicate, shin_striker_4, "[g.Minime Joe]"); sleep 150;
	dmsg("[r.MURO's] team complete");
}
func void AddNeutralTeam(void) {
	AddPlayer(Neutral, shinatama_1a, "[r.Shinatama Smith]"); sleep 150;
	AddPlayer(Neutral, shinatama_2, "[y.Shinatama Jones]"); sleep 150;
	AddPlayer(Neutral, shinatama_3, "[b.Shinatama Jane]"); sleep 150;
	dmsg("[r.SHINATAMAS] team complete");
}
################################# CALLED AT EVERY FRAG
func ArenaAwareness {
	ai2_makeaware(griffin_b1, IntroMuro)
	ai2_makeaware(griffin_b2, IntroMuro)
	ai2_makeaware(ghost_1, IntroMuro)
	ai2_makeaware(ghost_2, IntroMuro)
	ai2_makeaware(griffin, IntroMuro)
	ai2_makeaware(outro_konoko, IntroMuro)

	ai2_makeaware(IntroMuro, konoko)
	ai2_makeaware(ambush_red_1, konoko)
	ai2_makeaware(ambush_red_2, konoko)
	ai2_makeaware(laser_ops_1, konoko)
	ai2_makeaware(ambush_tanker_1a, konoko)
	ai2_makeaware(ambush_tanker_1b, konoko)
	ai2_makeaware(shin_striker_1, konoko)
	ai2_makeaware(shin_striker_2, konoko)
	ai2_makeaware(shin_striker_3, konoko)
	ai2_makeaware(shin_striker_4, konoko)

	ai2_makeaware(shinatama_1a, IntroMuro)
	ai2_makeaware(shinatama_2, IntroMuro)
	ai2_makeaware(shinatama_3, IntroMuro)
	ai2_makeaware(shinatama_1a, konoko)
	ai2_makeaware(shinatama_2, konoko)
	ai2_makeaware(shinatama_3, konoko)
}
################################### USED FOR BOT SHAPESHIFTING
################ PLAYERS APPEAR IN THE ORDER THEY WERE SPAWNED
func void ArenaMenuName(void) {
	if(arena_spawn_id eq  0)
		{arena_menu_name= konoko; arena_menu_nick= "[y.KONOKO]";}
	if(arena_spawn_id eq  1)
		{arena_menu_name= IntroMuro; arena_menu_nick= "[r.Red Chief]";}
	if(arena_spawn_id eq  2)
		{arena_menu_name= shinatama_1a; arena_menu_nick= "[r.Shinatama Smith]";}
	if(arena_spawn_id eq  3)
		{arena_menu_name= griffin_b1; arena_menu_nick= "[y.Crevantes]";}
	if(arena_spawn_id eq  4)
		{arena_menu_name= ambush_red_1; arena_menu_nick= "[r.Bodyguard 1]";}
	if(arena_spawn_id eq  5)
		{arena_menu_name= shinatama_2; arena_menu_nick= "[y.Shinatama Jones]";}
	if(arena_spawn_id eq  6)
		{arena_menu_name= griffin_b2; arena_menu_nick= "[g.LEO D.C.]";}
	if(arena_spawn_id eq  7)
		{arena_menu_name= ambush_red_2; arena_menu_nick= "[r.Bodyguard 2]";}
	if(arena_spawn_id eq  8)
		{arena_menu_name= shinatama_3; arena_menu_nick= "[b.Shinatama Jane]";}
	if(arena_spawn_id eq  9)
		{arena_menu_name= ghost_1; arena_menu_nick= "Black Sheep";}
	if(arena_spawn_id eq 10)
		{arena_menu_name= laser_ops_1; arena_menu_nick= "[o.Cs_Scan_Ops]";}
	if(arena_spawn_id eq 11)
		{arena_menu_name= ghost_2; arena_menu_nick= "[b.Dark One]";}
	if(arena_spawn_id eq 12)
		{arena_menu_name= ambush_tanker_1a; arena_menu_nick= "[o.Ghost]";}
	if(arena_spawn_id eq 13)
		{arena_menu_name= griffin; arena_menu_nick= "[y.Grif]";}
	if(arena_spawn_id eq 14)
		{arena_menu_name= ambush_tanker_1b; arena_menu_nick= "[b.Wraith]";}
	if(arena_spawn_id eq 15)
		{arena_menu_name= outro_konoko; arena_menu_nick= "[o.KONOKO]";}
	if(arena_spawn_id eq 16)
		{arena_menu_name= shin_striker_1; arena_menu_nick= "[o.Minime Sam]";}
	if(arena_spawn_id eq 17)
		{arena_menu_name= shin_striker_2; arena_menu_nick= "[o.Minime Ron]";}
	if(arena_spawn_id eq 18)
		{arena_menu_name= shin_striker_3; arena_menu_nick= "[o.Minime Bob]";}
	if(arena_spawn_id eq 19)
		{arena_menu_name= shin_striker_4; arena_menu_nick= "[o.Minime Joe]";}
}