######################
# ONI TEAM ARENA 1.1 #
######################
# arena_teams.bsl for Rooftops
######################
func void ArenaSetupTeams(void) {
	arena_players= 1;
	chr_unkillable(char_0, 1); chr_changeteam(char_0, Konoko);
	fork RespawnPlayer(Konoko, char_0, "[y.KONOKO]");
	sleep 50; fork AddNeutralTeam();
	sleep 50; fork AddFriendTeam();
	sleep 100; fork AddEnemyTeam();
}
func void AddFriendTeam(void) {
	AddPlayer(Konoko, a_t05, "[b.Cindy]"); sleep 150;
	AddPlayer(Konoko, a_t01, "[o.Frank]"); sleep 150;
	AddPlayer(Konoko, l4_t1, "[y.Arnold]"); sleep 150;
	AddPlayer(Konoko, s2_t05, "[g.George]"); sleep 150;
	AddPlayer(Konoko, a_t02, "[b.Charlie]"); sleep 150;
	AddPlayer(Konoko, AttackCivil01, "[b.Dory]"); sleep 150;
	dmsg("[b.TCTF] team complete");
}
func void AddEnemyTeam(void) {
	AddPlayer(Syndicate, barabus, "[o.Barabus]"); sleep 150;
	AddPlayer(Syndicate, mbo_target, "[g.Shark]"); sleep 150;
	AddPlayer(Syndicate, IntroStriker02, "[b.Bruce]"); sleep 150;
	AddPlayer(Syndicate, garage_striker_01, "[r.Orca]"); sleep 150;
	AddPlayer(Syndicate, l2_s44, "[g.Willy]"); sleep 150;
	AddPlayer(Syndicate, l_s24, "[b.Barracuda]"); sleep 150;
	AddPlayer(Syndicate, a_tank1, "[r.Truck]"); sleep 150;
	AddPlayer(Syndicate, sh_s4, "[g.Tanker]"); sleep 150;
	AddPlayer(Syndicate, sh_red1, "[r.Blaster]"); sleep 150;
	AddPlayer(Syndicate, l_c01, "[o.Stricker]"); sleep 150;
	dmsg("[b.SYNDICATE] team complete");
}
func void AddNeutralTeam(void) {
	AddPlayer(Neutral, lobby_victim, "[o.Citizen Snips]"); sleep 150;
	AddPlayer(Neutral, a_v4, "[y.Citizen Jones]"); sleep 150;
	AddPlayer(Neutral, a_v1, "[b.Citizen Jane]"); sleep 150;
	dmsg("[r.SHINATAMA'S] team complete");
}
################################# CALLED AT EVERY FRAG
func ArenaAwareness {
	ai2_makeaware(a_t05, barabus)
	ai2_makeaware(a_t01, barabus)
	ai2_makeaware(l4_t1, barabus)
	ai2_makeaware(s2_t05, barabus)
	ai2_makeaware(a_t02, barabus)
	ai2_makeaware(AttackCivil01, barabus)

	ai2_makeaware(barabus, char_0)
	ai2_makeaware(mbo_target, char_0)
	ai2_makeaware(IntroStriker02, char_0)
	ai2_makeaware(garage_striker_01, char_0)
	ai2_makeaware(l2_s44, char_0)
	ai2_makeaware(l_s24, char_0)
	ai2_makeaware(a_tank1, char_0)
	ai2_makeaware(sh_s4, char_0)
	ai2_makeaware(sh_red1, char_0)
	ai2_makeaware(l_c01, char_0)

	ai2_makeaware(new_1, barabus)
	ai2_makeaware(C_N74, barabus)
	ai2_makeaware(C_N55, barabus)
	ai2_makeaware(ShinShin, char_0)
	ai2_makeaware(B2_n10, char_0)
	ai2_makeaware(A4_n07, char_0)
}
################################### USED FOR BOT SHAPESHIFTING
################ PLAYERS APPEAR IN THE ORDER THEY WERE SPAWNED
func void ArenaMenuName(void) {
	if(arena_spawn_id eq  0)
		{arena_menu_name= char_0; arena_menu_nick= "[y.KONOKO]";}
	if(arena_spawn_id eq  1)
		{arena_menu_name= lobby_victim; arena_menu_nick= "[o.Citizen Snips]";}
	if(arena_spawn_id eq  2)
		{arena_menu_name= barabus; arena_menu_nick= "[o.Barabas]";}
	if(arena_spawn_id eq  3)
		{arena_menu_name= a_t05; arena_menu_nick= "[b.Cindy]";}
	if(arena_spawn_id eq  4)
		{arena_menu_name= mbo_target; arena_menu_nick= "[g.Shark]";}
	if(arena_spawn_id eq  5)
		{arena_menu_name= a_v4; arena_menu_nick= "[y.Citizen Jones]";}
	if(arena_spawn_id eq  6)
		{arena_menu_name= a_t01; arena_menu_nick= "[o.Frank]";}
	if(arena_spawn_id eq  7)
		{arena_menu_name= IntroStriker02; arena_menu_nick= "[b.Bruce]";}
	if(arena_spawn_id eq  8)
		{arena_menu_name= a_v1; arena_menu_nick= "[b.Citizen Jane]";}
	if(arena_spawn_id eq  9)
		{arena_menu_name= l4_t1; arena_menu_nick= "[y.Arnold]";}
	if(arena_spawn_id eq 10)
		{arena_menu_name= garage_striker_01; arena_menu_nick= "[r.Orca]";}
	if(arena_spawn_id eq 11)
		{arena_menu_name= s2_t05; arena_menu_nick= "[g.George]";}
	if(arena_spawn_id eq 12)
		{arena_menu_name= l2_s44; arena_menu_nick= "[g.Willy]";}
	if(arena_spawn_id eq 13)
		{arena_menu_name= a_t02; arena_menu_nick= "[b.Charlie]";}
	if(arena_spawn_id eq 14)
		{arena_menu_name= l_s24; arena_menu_nick= "[b.Barracuda]";}
	if(arena_spawn_id eq 15)
		{arena_menu_name= AttackCivil01; arena_menu_nick= "[b.Dory]";}
	if(arena_spawn_id eq 16)
		{arena_menu_name= a_tank1; arena_menu_nick= "[r.Meru]";}
	if(arena_spawn_id eq 17)
		{arena_menu_name= sh_s4; arena_menu_nick= "[g.Anchor]";}
	if(arena_spawn_id eq 18)
		{arena_menu_name= sh_red1; arena_menu_nick= "[r.Murena]";}
	if(arena_spawn_id eq 19)
		{arena_menu_name= l_c01; arena_menu_nick= "[o.Chum]";}
}
