#############################
#     ONI TEAM ARENA 1.1    #
#   SYNDICATE MTN. COMPOUND #
#############################
# The menu provides advanced functionality like :
# -restarting the current area (F3 while in the menu)
# -shapeshifting bots
# -changing the gun mode
# -changing the frag/time limit
# -changing the "air quality"
# -enabling "today's specials"
# F3 while out of the menu moves to the next arena
# F2 and F3 are only active when Oni is recording a movie (F5)
############
var int arena_menu= 0;
var string arena_menu_name; var string arena_menu_nick;
############ 
func void ArenaAdvanced(void) {
	arena_menu= 0; arena_spawn_id= 0; ArenaMenuName();
	sc_bind_f2= KONOKOwatch_start; bind fkey2 to cutscene1
	sc_bind_f3= KONOKOwatch_idle; bind fkey3 to cutscene2
	sleep 30; fork ArenaF2(); fork ArenaF3(); fork ArenaCycler();
}
######## AREA CYCLER (CORE)
func void ArenaF3(void) {
	chr_wait_animation(0, KONOKOwatch_idle);
	if(!arena_menu) fork ArenaReset(1);
	else            fork ArenaReset(0);
	sleep 60; fork ArenaF3();
}
######## BOT SHAPESHIFTER (CORE)
func void ArenaF2(void) {
	chr_wait_animation(0, KONOKOwatch_start);
	ai2_allpassive(1); p3_removedangerous();
	arena_scoring= 0; chr_draw_all_characters= 1; arena_menu= 1;
	arena_spawn_id= 0; ArenaMenuName();
		dmsg(" "); PrintPlayer(arena_spawn_id); dmsg(arena_menu_nick);
		dmsg("CREEP BACK = next player"); dmsg("F2 = next menu | F3 = restart");
	sleep 61; chr_wait_animation(0, KONOKOwatch_start);
	arena_menu= 2; chr_draw_all_characters= 0;
		dmsg(" "); dmsg("[r.TOOLS OF DEATH]"); ArenaGunsInfo();
		dmsg("CREEP BACK = next toolkit"); dmsg("F2 = next menu | F3 = restart");
	sleep 61; chr_wait_animation(0, KONOKOwatch_start);
	arena_menu= 3;
		dmsg(" "); dmsg("[b.TIME/FRAG LIMIT]"); ArenaScoreInfo();
		dmsg("CREEP BACK = next mode"); dmsg("F2 = next menu | F3 = restart");
	sleep 61; chr_wait_animation(0, KONOKOwatch_start);
	arena_menu= 4;
		dmsg(" "); dmsg("[y.AIR QUALITY]"); ArenaAirQualityInfo();
		dmsg("CREEP BACK = next quality"); dmsg("F2 = next menu | F3 = restart");
	sleep 61; chr_wait_animation(0, KONOKOwatch_start);
	arena_menu= 5;
		dmsg(" "); dmsg("[o.TODAY'S SPECIALS]"); ArenaMiscInfo();
		dmsg("CREEP BACK = next special"); dmsg("F2 = resume | F3 = restart");
	sleep 61; chr_wait_animation(0, KONOKOwatch_start);
	arena_menu= 0; ai2_allpassive(0); arena_scoring= 1; fork ArenaAreaInfo();
	sleep 61; fork ArenaF2();
}
######## CYCLER (CORE)
func void ArenaCycler(void) {
	chr_wait_animtype(arena_menu_name, crouch_run_backwards);
	if(arena_menu eq 1) {
		ai2_takecontrol(1); chr_neutral(arena_menu_name, 0);
		arena_spawn_id= arena_spawn_id + 1;
		if(arena_spawn_id >= arena_players) arena_spawn_id= 0; 
		ArenaMenuName();
		dmsg(" "); PrintPlayer(arena_spawn_id); dmsg(arena_menu_nick);
		dmsg("CREEP BACK = next player");
		if(arena_spawn_id) dmsg("[y.DO] USE [b.CHEAT CODES]!!!");
		else dmsg("F2 = next menu | F3 = restart");
		chr_focus(arena_spawn_id);
		chr_neutral(arena_menu_name, 1); ai2_takecontrol(0);
#		chr_dontaim(arena_menu_name, 0);
		chr_debug_target= arena_spawn_id;
	}
	if(arena_menu eq 2) {
		dmsg(" "); dmsg("[r.TOOLS OF DEATH]");
		ArenaGunsNextMode(); ArenaGunsInfo();
		dmsg("CREEP BACK = next toolkit");
		dmsg("F2 = next menu | F3 = restart");
	}
	if(arena_menu eq 3) {
		dmsg(" "); dmsg("[b.TIME/FRAG LIMIT]");
		ArenaScoreNextMode(); ArenaScoreInfo();
		dmsg("CREEP BACK = next mode");
		dmsg("F2 = next menu | F3 = restart");
	}
	if(arena_menu eq 4) {
		dmsg(" "); dmsg("[y.AIR QUALITY]");
		ArenaAirQualityNext(); ArenaAirQualityInfo();
		dmsg("CREEP BACK = next quality");
		dmsg("F2 = next menu | F3 = restart");
	}
	if(arena_menu eq 5) {
		dmsg(" "); dmsg("[o.TODAY'S SPECIALS]");
		ArenaMiscNext(); ArenaMiscInfo();
		dmsg("CREEP BACK = next special");
		dmsg("F2 = resume | F3 = restart");
	}
	sleep 30; fork ArenaCycler();
}
######## PRINTS PLAYER INDEX (FOR BOT SHAPESHIFTING)
func void PrintPlayer(int player_id) {
	if(player_id eq 0) dmsg("PLAYER 0:");
	if(player_id eq 1) dmsg("PLAYER 1:");
	if(player_id eq 2) dmsg("PLAYER 2:");
	if(player_id eq 3) dmsg("PLAYER 3:");
	if(player_id eq 4) dmsg("PLAYER 4:");
	if(player_id eq 5) dmsg("PLAYER 5:");
	if(player_id eq 6) dmsg("PLAYER 6:");
	if(player_id eq 7) dmsg("PLAYER 7:");
	if(player_id eq 8) dmsg("PLAYER 8:");
	if(player_id eq 9) dmsg("PLAYER 9:");
	if(player_id eq 10) dmsg("PLAYER 10:");
	if(player_id eq 11) dmsg("PLAYER 11:");
	if(player_id eq 12) dmsg("PLAYER 12:");
	if(player_id eq 13) dmsg("PLAYER 13:");
	if(player_id eq 14) dmsg("PLAYER 14:");
	if(player_id eq 15) dmsg("PLAYER 15:");
	if(player_id eq 16) dmsg("PLAYER 16:");
	if(player_id eq 17) dmsg("PLAYER 17:");
	if(player_id eq 18) dmsg("PLAYER 18:");
	if(player_id eq 19) dmsg("PLAYER 19:");
	if(player_id eq 20) dmsg("PLAYER 20:");
	if(player_id eq 21) dmsg("PLAYER 21:");
}
