########################
#  ONI TEAM ARENA 1.1  #
# AIRPORT BATTERY PACK #
########################
var int arena_misc= 1;
var int arena_bomber= 1;
var string arena_bomber_name= Tower_MB_1;
######################
func void ArenaSetupTeams(void) {
	arena_players= 1; arena_misc= 0;
	chr_unkillable(konoko, 1); chr_changeteam(konoko, Konoko);
	fork RespawnPlayer(0, Konoko, konoko, "[y.KONOKO]");
	if(arena_misc) chr_super(konoko, 1);
	sleep 100; fork AddEnemyTeam();
	sleep 50; fork AddNeutralTeam();
	sleep 50; if(!arena_tag) fork AddFriendTeam();
}
func void AddFriendTeam(void) {
	AddPlayer(Konoko, Lobby_TCL_1, "[r.Salmon]"); sleep 150;
	AddPlayer(Konoko, Lobby_TCL_2, "Tuna"); sleep 150;
	AddPlayer(Konoko, Lobby_TCS_1, "[b.Minnow]"); sleep 150;
	AddPlayer(Konoko, BombTCTF1, "[r.Lingcod]"); sleep 150;
	AddPlayer(Konoko, BombTCTF2, "[o.Cod]"); sleep 150;
#	AddPlayer(Konoko, BombComguy, "[b.Halibut]"); sleep 150;
	dmsg("[b.FISH] team complete");
}
func void AddEnemyTeam(void) {
if(!arena_tag){
	AddPlayer(Syndicate, Barabus, "[o.SEA DRAGON]"); sleep 150;
	if(arena_misc) chr_super(Barabus, 1); chr_boss_shield Barabus
}
if(arena_tag) sleep 150
	AddPlayer(Syndicate, Floor1_Striker_1, "[b.Shark]"); sleep 150;
	AddPlayer(Syndicate, Roof_Striker_1, "[b.Kingfisher]"); sleep 150;
	AddPlayer(Syndicate, Floor1_Striker_12, "[r.Seagull]"); sleep 150;
	AddPlayer(Syndicate, Lobby_Striker_2, "[y.Golden Eagle]"); sleep 150;
	AddPlayer(Syndicate, Lobby_Striker_1, "[b.Whale]"); sleep 150;
	AddPlayer(Syndicate, Floor2_Striker_2, "[b.Eel]"); sleep 150;
	AddPlayer(Syndicate, Tower_MB_1, "[g.Pufferfish]");
#	arena_players= arena_players - 1;
sleep 150;
#	AddPlayer(Syndicate, opposite_striker_2, "[y.Stingray]"); sleep 150;
#	AddPlayer(Syndicate, Ambush_Striker_1, "[b.Gavial]"); sleep 150;
	dmsg("[r.FISH EATERS] team complete");
	ArenaTeamsComplete();
}
func void AddNeutralTeam(void) {
	AddPlayer(Neutral, Floor1_Sci_2, "[r.Citizen Smith]"); sleep 150;
	AddPlayer(Neutral, Floor2_Sci_2, "[y.Citizen Jones]"); sleep 150;
#	AddPlayer(Neutral, Floor2_Sci_4, "[b.Citizen Jane]"); sleep 150;
	dmsg("[g.CITIZEN] team complete");
}
################################# MARS & VENUS
func ArenaMiscNext {
	arena_misc= arena_misc + 1; if(arena_misc > 1) arena_misc= 0;
	if(arena_misc) {
		chr_inv_reset(konoko); chr_inv_reset(Barabus);
		chr_givepowerup(konoko, invis, -1);
		chr_givepowerup(Barabus, invis, -1);
		chr_super(konoko, 1); chr_super(Barabus, 1);
	}
	if(!arena_misc) {
		chr_inv_reset(konoko); chr_inv_reset(Barabus);
		chr_super(konoko, 0); chr_super(Barabus, 0);
	}
}
func ArenaMiscInfo {
	if(!arena_misc) dmsg "NOTHING SPECIAL"
	else dmsg "[r.MARS] & [b.VENUS]"
}
################################# CALLED AT EVERY FRAG
func ArenaAwareness {
	if(arena_misc) {
		chr_inv_reset(konoko); chr_inv_reset(Barabus);
		sleep 1; chr_givepowerup(konoko, invis, -1);
		chr_givepowerup(Barabus, invis, -1);
	}
	if(arena_tag) {
		ai2_attack(Lobby_TCL_1, player_name)
		ai2_attack(Lobby_TCL_2, player_name)
		ai2_attack(Lobby_TCS_1, player_name)
		ai2_attack(BombTCTF1, player_name)
		ai2_attack(BombTCTF2, player_name)
		ai2_attack(BombComguy, player_name)
		ai2_attack(Barabus, player_name)
		ai2_attack(Floor1_Striker_1, player_name)
		ai2_attack(Roof_Striker_1, player_name)
		ai2_attack(Floor1_Striker_12, player_name)
		ai2_attack(Lobby_Striker_2, player_name)
		ai2_attack(Lobby_Striker_1, player_name)
		ai2_attack(Floor2_Striker_2, player_name)
		ai2_attack(Tower_MB_1, player_name)
		ai2_attack(Floor1_Sci_2, player_name)
		ai2_attack(Floor2_Sci_2, player_name)
	}
	else {
		ai2_makeaware(Lobby_TCL_1, Barabus)
		ai2_makeaware(Lobby_TCL_2, Barabus)
		ai2_makeaware(Lobby_TCS_1, Barabus)
		ai2_makeaware(BombTCTF1, Barabus)
		ai2_makeaware(BombTCTF2, Barabus)
#		ai2_makeaware(BombComguy, Barabus)

		ai2_makeaware(Barabus, konoko)
		ai2_makeaware(Floor1_Striker_1, konoko)
		ai2_makeaware(Roof_Striker_1, konoko)
		ai2_makeaware(Floor1_Striker_12, konoko)
		ai2_makeaware(Lobby_Striker_2, konoko)
		ai2_makeaware(Lobby_Striker_1, konoko)
		ai2_makeaware(Floor2_Striker_2, konoko)
		ai2_makeaware(Tower_MB_1, konoko)
#		ai2_makeaware(opposite_striker_2, konoko)
#		ai2_makeaware(Ambush_Striker_1, konoko)

		ai2_makeaware(Floor1_Sci_2, Barabus)
		ai2_makeaware(Floor2_Sci_2, Barabus)
#		ai2_makeaware(Floor2_Sci_4, Barabus)
		ai2_makeaware(Floor1_Sci_2, konoko)
		ai2_makeaware(Floor2_Sci_2, konoko)
#		ai2_makeaware(Floor2_Sci_4, konoko)
	}
}
func ArenaForgetPlayer {
#	ai2_forget(Lobby_TCL_1, player_name)
#	ai2_forget(Lobby_TCL_2, player_name)
#	ai2_forget(Lobby_TCS_1, player_name)
#	ai2_forget(BombTCTF1, player_name)
#	ai2_forget(BombTCTF2, player_name)
#	ai2_forget(BombComguy, player_name)
#	ai2_forget(Barabus, player_name)
	ai2_forget(Floor1_Striker_1, player_name)
	ai2_forget(Roof_Striker_1, player_name)
	ai2_forget(Floor1_Striker_12, player_name)
	ai2_forget(Lobby_Striker_2, player_name)
	ai2_forget(Lobby_Striker_1, player_name)
	ai2_forget(Floor2_Striker_2, player_name)
	ai2_forget(Tower_MB_1, player_name)
	ai2_forget(Floor1_Sci_2, player_name)
	ai2_forget(Floor2_Sci_2, player_name)
}
################################### USED FOR BOT SHAPESHIFTING
################ PLAYERS APPEAR IN THE ORDER THEY WERE SPAWNED
func void ArenaMenuName(void) {
	if(!arena_tag) {
		if(player_id eq  0)
			{arena_menu_name= konoko; arena_menu_nick= "[y.KONOKO]";}
		if(player_id eq  1)
			{arena_menu_name= Barabus; arena_menu_nick= "[o.SEA DRAGON]";}
		if(player_id eq  2)
			{arena_menu_name= Floor1_Sci_2; arena_menu_nick= "[r.Citizen Smith]";}
		if(player_id eq  3)
			{arena_menu_name= Lobby_TCL_1; arena_menu_nick= "[r.Salmon]";}
		if(player_id eq  4)
			{arena_menu_name= Floor1_Striker_1; arena_menu_nick= "[b.Shark]";}
		if(player_id eq  5)
			{arena_menu_name= Floor2_Sci_2; arena_menu_nick= "[y.Citizen Jones]";}
		if(player_id eq  6)
			{arena_menu_name= Lobby_TCL_2; arena_menu_nick= "Tuna";}
		if(player_id eq  7)
			{arena_menu_name= Roof_Striker_1; arena_menu_nick= "[b.Kingfisher]";}
#		if(player_id eq  8)
#			{arena_menu_name= Floor2_Sci_4; arena_menu_nick= "[b.Citizen Jane]";}
		if(player_id eq  8)
			{arena_menu_name= Lobby_TCS_1; arena_menu_nick= "[b.Minnow]";}
		if(player_id eq  9)
			{arena_menu_name= Floor1_Striker_12; arena_menu_nick= "[r.Seagull]";}
		if(player_id eq 10)
			{arena_menu_name= BombTCTF1; arena_menu_nick= "[r.Lingcod]";}
		if(player_id eq 11)
			{arena_menu_name= Lobby_Striker_2; arena_menu_nick= "[y.Golden Eagle]";}
		if(player_id eq 12)
			{arena_menu_name= BombTCTF2; arena_menu_nick= "[o.Cod]";}
		if(player_id eq 13)
			{arena_menu_name= Lobby_Striker_1; arena_menu_nick= "[b.Whale]";}
#		if(player_id eq 15)
#			{arena_menu_name= BombComguy; arena_menu_nick= "[b.Halibut]";}
#		if(player_id eq 16)
#			{arena_menu_name= opposite_striker_2; arena_menu_nick= "[y.Stingray]";}
		if(player_id eq 14)
			{arena_menu_name= Floor2_Striker_2; arena_menu_nick= "[b.Eel]";}
		if(player_id eq 15)
			{arena_menu_name= Tower_MB_1; arena_menu_nick= "[g.Pufferfish]";}
#		if(player_id eq 19)
#			{arena_menu_name= Ambush_Striker_1; arena_menu_nick= "[b.Gavial]";}
	}
	if(arena_tag) {
		if(player_id eq  0)
			{arena_menu_name= konoko; arena_menu_nick= "[y.KONOKO]";}
#		if(player_id eq  1)
#			{arena_menu_name= Barabus; arena_menu_nick= "[o.SEA DRAGON]";}
		if(player_id eq  1)
			{arena_menu_name= Floor1_Sci_2; arena_menu_nick= "[r.Citizen Smith]";}
		if(player_id eq  2)
			{arena_menu_name= Floor1_Striker_1; arena_menu_nick= "[b.Shark]";}
		if(player_id eq  3)
			{arena_menu_name= Floor2_Sci_2; arena_menu_nick= "[y.Citizen Jones]";}
		if(player_id eq  4)
			{arena_menu_name= Roof_Striker_1; arena_menu_nick= "[b.Kingfisher]";}
#		if(player_id eq  8)
#			{arena_menu_name= Floor2_Sci_4; arena_menu_nick= "[b.Citizen Jane]";}
		if(player_id eq  5)
			{arena_menu_name= Floor1_Striker_12; arena_menu_nick= "[r.Seagull]";}
		if(player_id eq  6)
			{arena_menu_name= Lobby_Striker_2; arena_menu_nick= "[y.Golden Eagle]";}
		if(player_id eq  7)
			{arena_menu_name= Lobby_Striker_1; arena_menu_nick= "[b.Whale]";}
#		if(player_id eq 15)
#			{arena_menu_name= BombComguy; arena_menu_nick= "[b.Halibut]";}
#		if(player_id eq 16)
#			{arena_menu_name= opposite_striker_2; arena_menu_nick= "[y.Stingray]";}
		if(player_id eq  8)
			{arena_menu_name= Floor2_Striker_2; arena_menu_nick= "[b.Eel]";}
		if(player_id eq  9)
			{arena_menu_name= Tower_MB_1; arena_menu_nick= "[g.Pufferfish]";}
#		if(player_id eq 19)
#			{arena_menu_name= Ambush_Striker_1; arena_menu_nick= "[b.Gavial]";}
	}
}
