### AIRPORT 1 LEVEL LOGIC ###

### START, SAVE & OBJECTIVES ###

func void func_start(string ai_name)
{
	dprint start_active

	trigvolume_enable hidden1 1
	trigvolume_enable hidden1 1

	if (save_point eq 0)
		{
		my_save_point=0;
		particle auto1 start
		particle auto1fire start
		particle auto1spark start
		particle door1spark start
		particle tctf1 start
		}

	if (save_point eq 1)
		{
		my_save_point=1;
		env_show 10 1
		env_show 11 1
		env_show 12 1
		dprint restore1_active
		particle auto1 start
		particle auto1fire start
		particle auto1spark start
		particle door1spark start
		particle tctf1 start
		sound_music_start mus_xtr1 0.5
		music_script_start();
	ai2_spawn IntroStriker02
	ai2_doalarm IntroStriker02 1

		fork mytimer
		restore_game
		sleep 30
		set_target_1
		set_objective_1
		}

	if (save_point eq 2)
		{
		my_save_point=2;
		dprint restore_2
		particle fx3 do start
		particle exhaust create
		Tarmac1
		trigvolume_enable tarmac 0
		trigvolume_enable trigger_volume_03 0
		trigvolume_enable bomberboom 0
		trigvolume_enable madbomberbait 0
		door_lock 3
		obj_kill 991 992
		restore_game
		sleep 30
		set_target_3
		set_objective_2
		}	
	
	if (save_point eq 3)
		{
		my_save_point=3;	
		dprint restore3_active
		door_lock 3
		door_unlock 6
		particle lock1_locklight01 do stop
		particle lock2_locklight01 do start
		console_deactivate 5
		particle door7_locklight01 do start
		particle door2_locklight01 do start
		console_deactivate 6
		trigvolume_enable trigger_volume_02 0
		trigvolume_enable trigger_volume_03 0
		trigvolume_enable trigger_volume_04 0
		trigvolume_enable trigger_volume_08 0
		trigvolume_enable trigger_volume_10 0
		trigvolume_enable trigger_volume_11 0
		trigvolume_enable save_game 0
		trigvolume_enable secondcoming 0
		TerminalTwo1
		particle auto1 stop
		particle auto1fire stop
		particle auto1spark stop
		particle door1spark stop
		particle tctf1 stop
		ai2_spawn TerminalTwo_Striker_1
		particle fx4 do start	
		particle fx5 do start
		particle fx6 do start
		particle fx1 do stop
		particle fx2 do stop
		particle fx3 do stop
		music_script_start();
		restore_game
		sleep 30
		set_objective_3
		set_target_5
		}
}

func void you_lose(string ai_name)
{
	all_music_counters
	sleep 240
	fade_out 0 0 0 180 
	sleep 240
	lose
}

func void you_win(int char_index)
{
	all_music_counters
	win
}

func void save_point_1(string player_name)
{
	dprint save_point_1_active
	save_game 1 autosave
}

func void save_point_2(string player_name)
{
	dprint save_point_2_active
	save_game 2 autosave
}

func void save_point_3(string player_name)
{
	dprint save_point_3_active
	save_game 3 autosave
	ai2_spawn TerminalTwo_Striker_1
	ai2_spawn TerminalTwo_Striker_2
	particle fx5 do start
	particle fx6 do start
	particle fx3 do stop
	door_unlock 6
	particle door7_locklight01 do start 
	particle lock2_locklight01 do start 
	particle door2_locklight01 do start
}


func void set_objective_1(string chr_index)
{
	dprint objective_1
	objective_set(1)
	sound_dialog_play c00_01_22shinatama
}
func void set_objective_2(string chr_index)
{
	dprint objective_2
	objective_set(2)
	sound_dialog_play c00_01_19shinatama
}

func void set_objective_3(string chr_index)
{
	dprint objective_3
	objective_set(3)
	console_deactivate 2
	sound_dialog_play c00_01_18shinatama
}

func void set_objective_4(string chr_index)
{
	dprint objective_4
	objective_set(4)
	sound_dialog_play c00_01_20shinatama
}

func void set_target_1(string chr_index)
{
	dprint set_target1
	target_set(1095, 30.0)
	sound_dialog_play c00_01_28shinatama
}

func void set_target_2(string chr_index)
{
	dprint set_target2
	target_set(1132, 30.0)
	sound_dialog_play c00_01_27shinatama
}

func void set_target_3(string chr_index)
{
	dprint set_target3
	target_set(1109, 30.0)
	sound_dialog_play c00_01_26shinatama
}

func void set_target_4(string chr_index)
{
	dprint set_target4
	target_set(1112, 30.0)
	sound_dialog_play c00_01_25shinatama
}

func void set_target_5(string chr_index)
{
	dprint set_target5
	target_set(1115, 30.0)
	sound_dialog_play c00_01_24shinatama
}

func void set_target_6(string chr_index)
{
	dprint set_target6
	target_set(1139, 30.0)
	sound_dialog_play c00_01_28shinatama
}

func void set_target_blank(string chr_index)
{
	dprint set_targetblank
	target_set(0, 0.0)
}

func void mytimer(void)
{
	dmsg "Syndicate Idiotic Trainning Script v. idiotic by Oni Master"
	ai2_passive IntroStriker02 1
	sleep 300
	
	cinematic_start(MUROevilgrin, 180, 180, 15, 1, 15, false)
	cinematic_start(KONevil, 180, 180, 15, 3, 10, false)
	cm_interpolate door1 400
	sleep 250
	dmsg "Muro: Konie, sister, see this door?"
	sleep 100
	dmsg "Konoko: What is so thrilling about it?"
	sleep 100
	dmsg "Muro: Behind this door, there is poisonous gas, get it?"
	sleep 100
	dmsg "Konoko: You mean, I have to keep the safety latch shut."
	sleep 100
	dmsg "Muro: Indeed."
	sleep 100
	dmsg "Konoko: Yes, boss."
	cm_reset
	sleep 200
	ai2_passive IntroStriker02 0
	ai2_doalarm IntroStriker02 1
	
timer_start 30 timerone
}

func void timerone(void)
{
timer_stop

#sound_dialog_play c04_14_03muro
sleep 100 

begin_cutscene
ai2_spawn BoothMuro01

cm_interpolate BoothCamLeave01 200
playback BoothMuro01 BoothMuroLeave
dmsg "Muro went away!" 350
dmsg "Too bad!" 150

sleep 400	
cinematic_stop (MUROtalking, 15, 20)

particle door7_locklight01 do start
door_lock 7

cm_reset 200
sleep 75

end_cutscene


		sleep100

ai2_spawn Intro_Striker_4
chr_teleport Intro_Striker_4 7013
ai2_attack Intro_Striker_4 char_0
ai2_doalarm Intro_Striker_4 1

ai2_spawn Intro_Comguy_1
chr_teleport Intro_Comguy_1 7015
ai2_attack Intro_Comguy_1 char_0
ai2_doalarm Intro_Comguy_1 1

ai2_spawn Terminal_Striker_1
chr_teleport Terminal_Striker_1 7013
ai2_attack Terminal_Striker_1 char_0
ai2_doalarm Terminal_Striker_1 1

ai2_spawn Terminal_Striker_2
chr_teleport Terminal_Striker_2 7015
ai2_attack Terminal_Striker_2 char_0
ai2_doalarm Terminal_Striker_2 1

powerup_spawn hypo 7013

timer_start 60 timertwo
}

func void timertwo(void)
{

timer_stop

ai2_spawn Intro_Striker_3
chr_teleport Intro_Striker_3 7013
ai2_attack Intro_Striker_3 char_0
ai2_doalarm Intro_Striker_3 1

ai2_spawn BayTwo_Striker_1
chr_teleport BayTwo_Striker_1 7013
ai2_attack BayTwo_Striker_1 char_0
ai2_doalarm BayTwo_Striker_1 1

ai2_spawn Tarmac_Striker_3
chr_teleport Tarmac_Striker_3 7013
ai2_attack Tarmac_Striker_3 char_0
ai2_doalarm Tarmac_Striker_3 1

timer_start 45 timerthree
}

func void timerthree(void)
{
timer_stop

ai2_spawn LoadingBay_Thug_1
chr_giveweapon LoadingBay_Thug_1 w2_sap
chr_changeteam LoadingBay_Thug_1 Syndicate
chr_teleport LoadingBay_Thug_1 7013
ai2_doalarm LoadingBay_Thug_1 1

ai2_spawn LoadingBay_Thug_2
chr_changeteam LoadingBay_Thug_2 Syndicate
chr_teleport LoadingBay_Thug_2 7013
ai2_doalarm LoadingBay_Thug_2 1

ai2_spawn LoadingBay_Striker_2
chr_giveweapon LoadingBay_Striker_2 w3_phr
chr_changeteam LoadingBay_Striker_2 Syndicate
chr_teleport LoadingBay_Striker_2 7015
ai2_doalarm LoadingBay_Striker_2 1

ai2_spawn LoadingBay_Comguy_1
chr_changeteam LoadingBay_Comguy_1 Syndicate
chr_teleport LoadingBay_Comguy_1 7015
ai2_doalarm LoadingBay_Comguy_1 1

timer_start 60 timerfour
}

func void timerfour(void)
{
timer_stop

powerup_spawn hypo 7013

dmsg "More on the way!!!

timer_start 10 timerfive
}

func void timerfive(void)
{
timer_stop

ai2_spawn Tarmac_Striker_1
chr_teleport Tarmac_Striker_1 7015
ai2_attack Tarmac_Striker_1 char_0
ai2_doalarm Tarmac_Striker_1 1

ai2_spawn Tarmac_Striker_2
chr_teleport Tarmac_Striker_2 7015
ai2_attack Tarmac_Striker_2 char_0
ai2_doalarm Tarmac_Striker_2 1

ai2_spawn LoadingBay_Striker_1
chr_teleport LoadingBay_Striker_1 7013
ai2_attack LoadingBay_Striker_1 char_0
ai2_doalarm LoadingBay_Striker_1 1

begin_cutscene weapon
playback Tarmac_Striker_1 BoothStriker01
playback Tarmac_Striker_2 BoothStriker02
end_cutscene

#ai2_spawn alamo_thug_1	

timer_start 45 timersix
}

func void timersix(void)
{
#Life = 267
timer_stop
cinematic_start(KONbeatuppissed, 180, 180, 15, 3, 10, false)
sleep 60
cinematic_stop (KONbeatuppissed, 16, 20)

dmsg "Ready Konoko, relax for 30 sec and restore your health."
chr_set_health char_0 267
chr_animate char_0 KONOKOlev4_undress
timer_start 30 timerseven



}

func void timerseven(void)
{
#Muro
timer_stop

chr_set_health char_0 267
chr_teleport BoothMuro01 7013
chr_set_health BoothMuro01 750
chr_boss_shield BoothMuro01
ai2_attack BoothMuro01 char_0
chr_animate BoothMuro01 KONOKOacid
sound_dialog_play c04_14_02konoko

begin_cutscene

cinematic_start(MUROevilgrin, 180, 180, 15, 1, 15, false)
cinematic_start(KONscared, 180, 180, 15, 3, 10, false)


dmsg "Now, you must defeat Muro, the great Syndicate leader!"

sleep 200

cinematic_stop (MUROevilgrin, 15, 30)
cinematic_stop (KONscared, 16, 20)

end_cutscene

timer_start 110 timereight
}


func void timereight(void)
{
# Final Guard, you kill him, you win!
dmsg "You thought you were done? Well one more guy has to be won!"

ai2_spawn IntroStriker01

chr_teleport IntroStriker01 7015
ai2_attack IntroStriker01 char_0
}

### MUSIC ###

var int music_counter;

func void music_force_stop(void)
{
	sleep 4500
	if (0 ne music_counter) 
		{
		dprint music_force_stop
		music_counter = 0
		all_music_counters
		}
}

func void music_script_start(void)
{
	music_counter = 2
}

func void striker_lullaby_1(string ai_name)
{
dmsg "Congratulations on passing the Syndicate Battle Stadium!"
dmsg "Thanks to Oni Master, ;-)"
sleep 120

}

func void striker_lullaby_2(string ai_name)
{
	dprint striker_lullaby2
}

func void all_music_counters(void)
{
	dprint STOP_THE_MUSIC
	sound_music_stop mus_fitec_hd
	sound_music_stop mus_fitec
	sound_music_stop mus_fiteb
	sound_music_stop mus_asian
	sound_music_stop atm_gr06
}

### TEXT CONSOLES ###

func void level_4a(void)
{
	dprint set_text_4a
	text_console level_4a
	console_reset 7
}

func void level_4b(void)
{
	dprint set_text_4b
	text_console level_4b
	console_reset 7
}

func void level_4c(void)
{
	dprint set_text_4c
	text_console level_4c
	console_reset 8
}

### GAMEPLAY PROGRESSION ###

func void FixDoors(string char_index)
{
	dprint Fix_Doors
	particle door2_locklight01 do stop
	door_lock 10
}

func void hidden_civilian1(string ai_name)
{
}

func void panic1a(string char_index)
{
}

func void panic1b(string char_index)
{
}

func void hide_1(string char_index)
{
	dprint hide1
}

func void horror_1(string char_index)
{
	dprint horror1
	particle fx1 do start
	particle fx2 do start
}
	
func void ambush_striker_1(string char_index)
{
	dprint ambush_1
	obj_create 991 992
}

func void civ_victim_20s_flee(string char_index)
{
	dprint civ_victim_20s
}

func void LoadingBay1(string char_index)
{
particle fx3 do start
}

func void bomber_boom(string char_index)
{
}
	
func void mad_bomber_bait(string char_index)
{
}

func void patrolscript0200(string char_index)
{
}

func void Tarmac1(string char_index)
{
}

func void back9a(string ai_name)
{
}

func void back9b(string ai_name)
{
}

func void bay1_particles(void)
{
	dprint bay1_fires_on
	particle fx3 do start
	particle fx4 do stop
}

func void fire_damage(string ai_name)
{	
	dprint fire_hurt_konoko
	chr_poison (ai_name, 5, 30, 30);
}

func void bay2_particles(void)
{
	dprint bay2_fires_on
	particle fx3 do stop
	particle fx4 do start
}

# COME TO ME
func void come_to_me(string ai_name)
{
	dprint go_to_konoko
		ai2_dopath mad_bomber_2 come_to_me 1
}

# COME TO ME REDUX
func void second_coming(string ai_name)
{
	dprint go_to_konoko_again
}

# PROGRESS CHECK

var int progress_counter=2;

func void progress_check_1(string ai_name)
{
	dprint progress_check1
	progress_counter = progress_counter - 1
	if (progress_counter eq 0)
		{
		pass_go_collect_whupass();
		}
}

func void progress_check_2(string ai_name)
{
	dprint progress_check2
	progress_counter = progress_counter - 1
	if (progress_counter eq 0)
		{
		pass_go_collect_whupass();
		}
}

func void progress_check_3(string ai_name)
{
	dprint progress_check3
	progress_counter = progress_counter - 1
	if (progress_counter eq 0)
		{
		pass_go_collect_whupass();
		}
}

func void progress_check_4(string ai_name)
{
	dprint progress_check4
	progress_counter = progress_counter - 1
	if (progress_counter eq 0)
		{
		pass_go_collect_whupass();
		}
}

func void exhaust_on(string ai_name)
{
	dprint start_exhaust
	particle exhaust create
}

func void exhaust_off(string ai_name)
{
	dprint stop_exhaust
	particle exhaust kill
}

func void pass_go_collect_whupass(string ai_name)
{
	dprint let_the_whupping_continue
	trigvolume_enable save_game_2 1
	trigvolume_enable secondcoming 0
}

func void patrolscript000(string ai_name)
{
	dprint do_my_bidding
	particle lock2_locklight01 do start
	door_unlock 6
}
	
func void BayTwo1(string char_index)
{
	dprint spawn_guards
	sound_music_stop atm_gr06
}

func void Repair1(string char_index)
{
}

func void Repair2(string char_index)
{
}

func void console_2_activate(string char_index)
{
	dprint console2_activate
	console_activate 2
}

func void final_ambush(string char_index)
{

}

func void i_uh_heheheh(string char_index)
{
	dprint iuh_heheheh
} 
	
### DOOR LOCK LIGHTS ###

func void change_terminaldoor_light(void)
{
	dprint door1
	input 0
	cm_interpolate door1 0
	sleep 60
	particle door1_locklight01 do start
	dmsg "Konoko Die Console has been pushed. You die. Sorry, very sorry."
	sleep 150
	lose
	cm_reset
	input 1
}

func void change_door2_light(void)
{
}

func void change_enddoor_light(void)
{
}

### Level scripted by Joseph ###