###########################################
# Airport_cutscene.bsl#####################
##edited by Fbio Bento##faob2@hotmail.com#
###########################################

func
airport_cs_intro
{

	begin_cutscene

	chr_teleport 0 7042
	chr_giveweapon 0 w1_tap
	ai2_spawn BoothMuro01
	chr_teleport BoothMuro01 7042
	ai2_followme BoothMuro01
	chr_changeteam BoothMuro01 Konoko
	ai2_spawn BoothStriker01
	ai2_spawn BoothStriker02
	ai2_spawn Terminal_Striker_1
	chr_teleport BoothStriker01 7032
	chr_teleport BoothStriker02 7032
	chr_teleport Terminal_Striker_1 7032
	chr_giveweapon BoothStriker01 w7_scc
	chr_givepowerup BoothStriker01 cell 2
	chr_givepowerup BoothStriker02 cell 2
	chr_givepowerup Terminal_Striker_1 invis
	chr_givepowerup Tarmac_Striker_1 invis

	#Spawn items
	powerup_spawn ammo 7022
	powerup_spawn w1_tap 7011
	powerup_spawn shield 7039
	powerup_spawn hypo 7033
	powerup_spawn invis 7033
	powerup_spawn shield 7033
	weapon_spawn w3_phr 7012
	ai2_spawn finalam_striker_1  
	chr_giveweapon finalam_striker_1 w4_psm 
	chr_teleport finalam_striker_1 7002
	chr_set_health finalam_striker_1 900
	chr_givepowerup finalam_striker_1 shield 100
	chr_unstoppable finalam_striker_1 1
	console_deactivate 1
	#Spawn some strikers
	ai2_spawn Tarmac_Striker_1
	ai2_spawn Tarmac_Striker_2
	ai2_spawn Tarmac_Striker_3
	chr_giveweapon Tarmac_Striker_1 w6_vdg
	chr_giveweapon Tarmac_Striker_2 w6_vdg
	chr_giveweapon Tarmac_Striker_3 w6_vdg
	chr_teleport Tarmac_Striker_1 7035
	chr_teleport Tarmac_Striker_2 7045
	chr_teleport Tarmac_Striker_3 7038
	chr_givepowerup Tarmac_Striker_1 ammo 2
	chr_givepowerup Tarmac_Striker_2 ammo 2
	chr_givepowerup Tarmac_Striker_3 ammo 2
	ai2_attack Tarmac_Striker_1 0
	chr_set_health Tarmac_Striker_1 500
	chr_set_health Tarmac_Striker_2 500
	chr_set_health Tarmac_Striker_3 500
	ai2_attack Tarmac_Striker_4 0

	cm_jello 0
	#fade_out 0 0 0 0
	
	music_script_start();

	chr_nocollision 0 1	

	chr_forceholster IntroStriker02 1
	
	sound_music_start mus_fitec_hd 1

	chr_set_health 0 400

	sleep 60

	chr_nocollision 0 0
	obj_kill 10 12
	env_show 10 1
	env_show 11 1
	env_show 12 1

	end_cutscene

	save_point_1

	group1

	set_objective_1
	set_target_1

	#Show the my message

	dmsg " [o. AIRPORT ASSAULT ||2||] [g. v2.1] [o. by Fabio Bento -> faob2@hotmail.com]"
	sleep 200
	
	chr_wait_health BoothMuro01 0
	dmsg " [r. Muro died and you failed your mission..]"
	you_lose
}

func void group1(void)
{	
	ai2_spawn Intro_Striker_4
	ai2_spawn Intro_Striker_3
	chr_boss_shield Intro_Striker_4 
	chr_boss_shield Intro_Striker_3 
	chr_set_health Intro_Striker_4 800
	chr_set_health Intro_Striker_3 600
	ai2_attack Intro_Striker_4 0
	ai2_attack Intro_Striker_3 0
	ai2_attack Tarmac_Striker_4 0
	chr_givepowerup BoothMuro01 invis 500
	chr_boss_shield BoothMuro01
	chr_set_health BoothMuro01 600
	chr_givepowerup BoothMuro01 cell
	chr_givepowerup BoothMuro01 cell
	chr_givepowerup BoothMuro01 ammo
	chr_givepowerup BoothMuro01 ammo
	chr_givepowerup BoothMuro01 ammo
	chr_givepowerup BoothMuro01 ammo
	chr_teleport Intro_Striker_4 7022
	chr_teleport Intro_Striker_3 7022
	ai2_dopath BoothMuro01 patrol_7022
	chr_giveweapon Intro_Striker_4 w6_vdg
	chr_giveweapon Intro_Striker_3 w9_scr
	
	sleep 500
	
	ai2_spawn LoadingBay_Striker_2
	ai2_spawn LoadingBay_Thug_1
	ai2_spawn LoadingBay_Thug_2
	chr_set_health LoadingBay_Striker_2 600
	chr_teleport LoadingBay_Striker_2 7022
	chr_teleport Tarmac_Striker_4 7022
	chr_givepowerup IntroStriker01 cell 2
	chr_givepowerup IntroStriker01 ammo 2
	chr_givepowerup IntroStriker02 cell 2
	chr_givepowerup IntroStriker02 ammo 2
	

}

func
airport_cs_intro2
{

	ai2_spawn BoothMuro01
	chr_teleport BoothMuro01 7042
	ai2_followme BoothMuro01
	chr_changeteam BoothMuro01 Konoko
	ai2_spawn BoothStriker01
	ai2_spawn BoothStriker02
	ai2_spawn Terminal_Striker_1
	chr_teleport BoothStriker01 7032
	chr_teleport BoothStriker02 7032
	chr_teleport Terminal_Striker_1 7032
	chr_giveweapon BoothStriker01 w7_scc
	chr_givepowerup BoothStriker01 cell 2
	chr_givepowerup BoothStriker02 cell 2
	chr_givepowerup Terminal_Striker_1 invis
	chr_givepowerup Tarmac_Striker_1 invis

	#Spawn items
	powerup_spawn ammo 7022
	powerup_spawn w1_tap 7011
	powerup_spawn shield 7039
	powerup_spawn hypo 7033
	powerup_spawn invis 7033
	powerup_spawn shield 7033
	weapon_spawn w3_phr 7012
	ai2_spawn finalam_striker_1  
	chr_giveweapon finalam_striker_1 w4_psm 
	chr_teleport finalam_striker_1 7002
	chr_set_health finalam_striker_1 900
	chr_givepowerup finalam_striker_1 shield 100
	chr_unstoppable finalam_striker_1 1
	console_deactivate 1
	#Spawn some strikers
	ai2_spawn Tarmac_Striker_1
	ai2_spawn Tarmac_Striker_2
	ai2_spawn Tarmac_Striker_3
	chr_giveweapon Tarmac_Striker_1 w6_vdg
	chr_giveweapon Tarmac_Striker_2 w6_vdg
	chr_giveweapon Tarmac_Striker_3 w6_vdg
	chr_teleport Tarmac_Striker_1 7035
	chr_teleport Tarmac_Striker_2 7039
	chr_teleport Tarmac_Striker_3 7035
	chr_givepowerup Tarmac_Striker_1 ammo 2
	chr_givepowerup Tarmac_Striker_2 ammo 2
	chr_givepowerup Tarmac_Striker_3 ammo 2
	ai2_attack Tarmac_Striker_1 0
	chr_set_health Tarmac_Striker_1 500
	chr_set_health Tarmac_Striker_2 500
	chr_set_health Tarmac_Striker_3 500
	ai2_attack Tarmac_Striker_4 0

	cm_jello 0
	#fade_out 0 0 0 0
	
	music_script_start();

	chr_nocollision 0 1	
	
	sound_music_start mus_fitec_hd 1

	chr_set_health 0 400

	sleep 60

	chr_nocollision 0 0
	obj_kill 10 12
	env_show 10 1
	env_show 11 1
	env_show 12 1

	group1

	set_objective_1
	set_target_1

	#Show the my message

	dmsg " [o. AIRPORT ASSAULT ||2||] [g. v2.0] [o. by Fabio Bento -> faob2@hotmail.com]"
	sleep 200
	
	chr_wait_health BoothMuro01 0
	dmsg " [r. Muro died and you failed your mission..]"
	you_lose
}
 

func
camcontrol
{
	cm_anim both Camout01
	sleep f80
	sound_ambient_start c03_44_03truckby
	cm_anim_block both Camout02
	sound_ambient_start c03_49_16_truck
	cm_anim_block both Camout03
	sound_ambient_start c03_49_16_motorcycle
	cm_anim_block both Camout04
	cm_wait
	sleep 2
	cm_interpolate Camout05 0
	sleep 1
	cm_interpolate Camout06 120
	sleep 300
	cm_reset
	cm_jello 1
	letterbox 0
	end_cutscene
}


func
Booth(string wazzzup)
{
	begin_cutscene weapon
	#make Konoko run to a flag
	ai2_takecontrol 1
	ai2_movetoflag 0 1091
	#Konoko looks to see Strikers
	ai2_takecontrol 0
	cm_interpolate BoothCamKonokoLook 0
	playback 0 BoothKonokoLook

	sound_music_start mus_asian 0.8
	music_script_start
	trigvolume_enable stop_booth_music_tv 1

	cinematic_stop (MUROtalking, 15, 20)
	sleep 120
	cm_reset
	fork FixDoors
	
	particle door2_locklight01 do stop
	particle door7_locklight01 do stop
	door_lock 7
	set_target_blank


	end_cutscene

	dprint save_point_3_active
	save_game 3 autosave
}

func void stop_booth_music(string who)
{
	sound_music_stop mus_asian
}


func
outro(string wazzup)
{
	begin_cutscene
	#cm_interpolate OutroCam01 0
	#playback 0 OutroKonoko
	#sleep 400
	fade_out 0 0 0 60
	sleep f120
	win
}



