#Thousands Dragons v1.2
##########################
#Scripted by SCRIPT_10000 - faob2@hotmail.com
##############################################

func void jello(void)
{
	fork end
	fork muros1
	fork random_attacks
	chr_teleport MuroMuro 5010
	chr_teleport new_8 7004
	chr_teleport sbg_3 7004
	chr_set_health MuroMuro 1000
	restore_game
	chr_teleport 0 5000
}

func void begin(void)
{
	dmsg "[g. Thousands Dragons] [y. v1.2]"
	sleep 200
	sound_music_start mus_main01
	ai2_spawn A1_intro01
	ai2_spawn A1_intro02
	chr_teleport A1_intro01 1105
	chr_teleport A1_intro02 1105
	ai2_spawn new_4
	ai2_spawn new_6
	chr_teleport new_4 1105
	chr_teleport new_6 1105
	ai2_movetoflag A1_intro01 100
	ai2_movetoflag A1_intro02 100
	chr_wait_health A1_intro01 0
	chr_wait_health A1_intro02 0
	chr_wait_health new_6 0
	dmsg "[g. One More!]"
	chr_wait_health new_4 0
	ai2_spawn new_1
	ai2_spawn new_2
	ai2_spawn new_3
	chr_teleport new_1 1105
	chr_teleport new_2 1105
	chr_teleport new_3 1105
	chr_wait_health new_1 0
	chr_wait_health new_2 0
	chr_wait_health new_3 0
	b2
}

func void b2(void)
{
	ai2_spawn MuroComguy
	chr_teleport MuroComguy 100
	ai2_dopath MuroComguy come_to_me 1
	ai2_spawn B2_s_blue08   
	ai2_spawn A2_s_tank02   
	ai2_spawn D1_blue50 
	chr_wait_health MuroComguy 0
	sleep 500
	chr_teleport B2_s_blue08 100
	chr_teleport A2_s_tank02 100
	chr_teleport D1_blue50 100
	chr_givepowerup B2_s_blue08 invis
	chr_givepowerup A2_s_tank02 invis
	chr_givepowerup D1_blue50 invis
	chr_givepowerup B2_s_blue08 invis
	chr_givepowerup A2_s_tank02 invis
	chr_givepowerup D1_blue50 invis
	chr_givepowerup B2_s_blue08 invis
	chr_givepowerup A2_s_tank02 invis
	chr_givepowerup D1_blue50 invis
	ai2_dopath B2_s_blue08 come_to_me 1
	ai2_dopath A2_s_tank02 come_to_me 1
	ai2_dopath D1_blue50 come_to_me 1
	ai2_attack D1_blue50 0
	chr_wait_health B2_s_blue08 0
	chr_wait_health A2_s_tank02 0
	chr_wait_health D1_blue50 0
	sound_music_stop mus_main01
	b3
}

func void b3(void)
{
	sound_music_start mus_sad1 1
	sleep 500
	ai2_spawn B1_s_Red01
	ai2_spawn sbg_1
	chr_teleport B1_s_Red01 100
	chr_teleport sbg_1 100
	chr_givepowerup B1_s_Red01 shield
	chr_givepowerup sbg_1 shield
	sleep 800
	ai2_spawn F_blue1
	ai2_spawn respawn1
   	ai2_spawn respawn2   
	ai2_spawn C1_red21
   	ai2_spawn C1_blue22
	chr_teleport F_blue1 1105
	chr_teleport respawn1 1105
	chr_teleport respawn2 1105
	chr_teleport C1_red21 1105
	chr_teleport C1_blue22 1105
	chr_set_health F_blue1 900
	chr_set_health respawn1 660
	chr_set_health respawn2 450
	chr_set_health C1_red21 900
	chr_set_health C1_blue22 450
	chr_wait_health F_blue1 0
	chr_wait_health respawn1 0
	chr_wait_health respawn2 0
	chr_wait_health C1_red21 0
	chr_wait_health C1_blue22 0
	sleep 200
	dmsg "[b. Objective:] [y. FIND MURO AND KILL HIM]"
	fork bigbattle
	
}

func void
move1(void)
{
chr_wait_animation 0 KONCOMrun_throw_fw
chr_animate 0 STRCOMrun_thw_fw_pl
fork move1
}	

func void
move2(void)
{
chr_wait_animation 0 KONCOMthrow_bk_k
chr_animate 0 TANCOMthrow_bk
fork move2
}	

func void
move3(void)
{
chr_wait_animation 0 KONCOMkick_heavy
chr_animate 0 MURCOMkick_heavy
fork move3
}

func void bigbattle(void)
{
	sound_music_stop mus_sad1
	ai2_spawn MuroMuro
	chr_boss_shield MuroMuro
	chr_set_health MuroMuro 1000
	sound_music_start mus_space01
	ai2_spawn new_8
	ai2_spawn sbg_3
	fork bigbattle2
	fork end
	fork muros1
	fork random_attacks
	chr_teleport MuroMuro 5010
	chr_teleport new_8 7000
	chr_teleport sbg_3 7000
	sleep 200
}

func void bigbattle2(void)
{
chr_wait_health MuroMuro 900
dmsg "[r. Muro Has NEW powers!!]"
sleep 200
dmsg "[y. Oops!! Muro is teleporting all people for other place.] [o. Caution!]"
sleep 200
fork bigbattle2_
}

func void bigbattle2_(void)
{
chr_teleport new_8 7004
chr_teleport sbg_3 7004
chr_set_health MuroMuro 1000	
chr_givepowerup 0 hypo 2
dmsg "[o. Script 10k gave you 2 hypos. =D]"
sleep 500
chr_teleport 0 5000
save_game 2 autosave
}

func void random_attacks(void)
{
fork power_attacks_1
fork power_attacks_2
fork power_attacks_3
fork power_attacks_4
fork power_attacks_5
}

func void muros1(void)
{
	chr_wait_animation MuroMuro MURCOMkick_low
	sleep 40
	chr_animate MuroMuro MUTCOMpunch_heavy
	fork muros1
}

func void you_lose(string ai_name)
{
	sleep 240
	fade_out 0 0 0 180 
	sleep 240
	lose
}

func void end(void)
{
	chr_wait_health MuroMuro 0
	dmsg "[y. Well done! :D You win this time.]"
	sleep 200
	dmsg "[g. A new version can be coming.]"
	sleep 440
	fade_out 0 0 0 180 
	sleep 240
}

func void no_nobies_cheating(void)
{
	unbind fkey1
}	

func void no_guns_bug(void)
{
	unbind leftbracket
	unbind e
}

func void power_attacks_1(void)
{
	chr_wait_animation 0 KONCOMcomb_p
	sleep 30
	chr_animate MuroMuro MURCOMkick_heavy
	sleep 50
	chr_animate MuroMuro  MURCOMcomb_k
	sleep 20
	chr_animate MuroMuro  MURCOMcomb_k_k
	sleep 30
	chr_animate MuroMuro  MURCOMcomb_k_k_k
	sleep 20
	chr_animate MuroMuro MURCOMpunch_low
	sleep 30
	chr_animate MuroMuro MURCOMkick_heavy
	sleep 20
	chr_animate MuroMuro MURCOMpunch_low
	fork power_attacks_1
}

func void power_attacks_2(void)
{
	chr_wait_animation 0 KONCOMcomb_k
	sleep 30
	chr_animate MuroMuro MURCOMpunch_heavy
	sleep 50
	chr_animate MuroMuro  MURCOMcomb_p
	sleep 20
	chr_animate MuroMuro  MURCOMcomb_p_p
	sleep 20
	chr_animate MuroMuro  MURCOMcomb_p_p_p
	sleep 20
	chr_animate MuroMuro  MURCOMcomb_p_p_p_p
	sleep 30
	chr_animate MuroMuro MURCOMpunch_heavy
	sleep 20
	chr_animate MuroMuro MURCOMpunch_low
	fork power_attacks_2
}

func void power_attacks_3(void)
{
	chr_wait_animation 0 MURCOMkick_heavy
	sleep 30
	chr_animate MuroMuro MURCOMpunch_heavy
	sleep 50
	chr_animate MuroMuro MURCOMpunch_low
	sleep 20
	chr_animate MuroMuro  MURCOMcomb_p
	sleep 20
	chr_animate MuroMuro  MURCOMcomb_p_p
	sleep 20
	chr_animate MuroMuro  MURCOMcomb_p_p_p
	sleep 20
	chr_animate MuroMuro  MURCOMcomb_p_p_p_p
	sleep 30
	chr_animate MuroMuro MURCOMpunch_heavy
	sleep 20
	chr_animate MuroMuro MURCOMpunch_low
	fork power_attacks_3
}

func void power_attacks_4(void)
{
	chr_wait_animation 0 KONOKOjump_idle
	sleep 30
	chr_animate MuroMuro MURCOMkick_heavy
	sleep 50
	chr_animate MuroMuro  MURCOMcomb_k
	sleep 20
	chr_animate MuroMuro  MURCOMcomb_k_k
	sleep 30
	chr_animate MuroMuro  MURCOMcomb_k_k_k
	sleep 20
	chr_animate MuroMuro MURCOMpunch_low
	sleep 30
	chr_animate MuroMuro MURCOMkick_heavy
	sleep 20
	chr_animate MuroMuro MURCOMpunch_low
	fork power_attacks_4
}

func void power_attacks_5(void)
{
	chr_wait_animation 0 KONOKOjump_fw_crouch
	sleep 30
	chr_animate MuroMuro MURCOMkick_heavy
	sleep 50
	chr_animate MuroMuro  MURCOMcomb_k
	sleep 20
	chr_animate MuroMuro  MURCOMcomb_k_k
	sleep 30
	chr_animate MuroMuro  MURCOMcomb_k_k_k
	sleep 20
	chr_animate MuroMuro MURCOMpunch_low
	sleep 30
	chr_animate MuroMuro MURCOMkick_heavy
	sleep 20
	chr_animate MuroMuro MURCOMpunch_low
	fork power_attacks_5
}