#Take Me Down 1.1
#Original by geyser, modified by EdT 10/12/08


var int good_score= 0;
var int evil_score= 0;
var int score_limit= 10;

func void main(void) {
	ui_suppress_prompt= 1
	gl_fog_red= 0; gl_fog_green= 0;
	gl_fog_blue= 0; gl_fog_start=.99;
	gs_farclipplane_set 3000	
	lock_keys
	lock_keys keys_crouch
	lock_keys keys_movement
	lock_keys keys_attack
	lock_keys keys_pause
	ai2_spawn MuroShinatama
	chr_unkillable MuroShinatama 1
	chr_set_class 0 SH_generic
	chr_unkillable 0 1
	ai2_attack MuroShinatama 0
	chr_givepowerup 0 ammo -1
	chr_givepowerup 0 cell -1
	fork GoodDown
	fork EvilDown
	fork ResetPositions
	fork ResetGuns
	SetUpScore
}
func void ResetGuns(void) {
	weapon_reset
	chr_giveweapon 0 w5_sbg
	chr_giveweapon MuroShinatama w5_sbg
	sleep 100; fork ResetGuns
}
func void EvilDown(void) {
	EvilRespawn
	sleep 60;
	chr_invincible MuroShinatama 0
	chr_wait_health MuroShinatama 1	
	chr_invincible MuroShinatama 1
	fork PointFor(Konoko)
	fork EvilDown
}
func void GoodDown(void) {
	GoodRespawn
	sleep 60;
	chr_invincible 0 0
	chr_wait_health 0 1
	chr_invincible 0 1
	fork PointFor(Syndicate)
	fork GoodDown
}
func void ResetPositions(void) {
	chr_wait_animtype 0 Crouch_Run_Backwards
	GoodRespawn
	EvilRespawn
	sleep 30; fork ResetPositions
}
func void GoodRespawn(void) {
	chr_set_health 0 9999
	if(save_point eq 0 or save_point eq 3)
		chr_location 0 -75 1540 -900 
	if(save_point eq 1 or save_point eq 4)
		chr_location 0 100 1540 -900 
	if(save_point eq 2 or save_point eq 5)
		chr_location 0 1130 900 160
		
	if(save_point eq 0 or save_point eq 3)
		chr_facetoflag 0 121
	if(save_point eq 1 or save_point eq 4)
		chr_facetoflag 0 0
	if(save_point eq 2 or save_point eq 5)
		chr_facetoflag 0 102
}
func void EvilRespawn(void) {
	chr_set_health MuroShinatama 9999
	if(save_point eq 0 or save_point eq 3)
		chr_location 2 100 1540 -900
	if(save_point eq 1 or save_point eq 4)
		chr_location 2 100 1540 -540
	if(save_point eq 2 or save_point eq 5)
		chr_location 2 1130 900 -160
}
########################### SCORE STUFF
func void SetUpScore(void) { 
	good_score= 0; evil_score= 0;
	dmsg "BLAST YOUR OPPONENT OFF AND DOWN"
	
	if(save_point < 3) {
		score_limit= 10; dmsg "10 FRAGS TO WIN"
	}
	if(save_point > 2) {
		score_limit= 20; dmsg "20 FRAGS TO WIN"
	}
	dmsg "CREEP BACK TO RESET POSITIONS"
	ai2_takecontrol 1
	ai2_allpassive 1
	sleep 60
	dmsg "FIGHT!"
	ai2_takecontrol 0
	ai2_allpassive 0
}
func void PointFor(string team) {
	if(team eq Konoko) good_score= good_score + 1;
	if(team eq Syndicate) evil_score= evil_score + 1;
	PrintScore
	if(evil_score eq score_limit - 1)
		ui_flash_element ballistic 1
	if(good_score eq score_limit - 1)
		ui_flash_element energy 1
	if(evil_score eq score_limit)
		GameOver(Konoko)
	if(good_score eq score_limit)
		GameOver(Syndicate)
}
func void GameOver(string team) {
	ai2_allpassive 1
	ai2_takecontrol 1
	sleep 50
	if(team eq Konoko) dmsg "YOU LOSE"
	if(team eq Syndicate) dmsg "YOU WIN"
	sleep 240
	fade_out 0 0 0 180 
	sleep 240
	lose
}
func void PrintScore(void) {
	dmsg " "
	dmsg "[b.GOOD]"
	PrintNumber(good_score)
	dmsg "[r.EVIL]"
	PrintNumber(evil_score)
}
func void PrintNumber(int n) {
	if(n eq  0) dmsg "0"
	if(n eq  1) dmsg "1"
	if(n eq  2) dmsg "2"
	if(n eq  3) dmsg "3"
	if(n eq  4) dmsg "4"
	if(n eq  5) dmsg "5"
	if(n eq  6) dmsg "6"
	if(n eq  7) dmsg "7"
	if(n eq  8) dmsg "8"
	if(n eq  9) dmsg "9"
	if(n eq 10) dmsg "10"
	if(n eq 11) dmsg "11"
	if(n eq 12) dmsg "12"
	if(n eq 13) dmsg "13"
	if(n eq 14) dmsg "14"
	if(n eq 15) dmsg "15"
	if(n eq 16) dmsg "16"
	if(n eq 17) dmsg "17"
	if(n eq 18) dmsg "18"
	if(n eq 19) dmsg "19"
	if(n eq 20) dmsg "20"
}

#Changes
#chr_health to chr_set_health
#chr_main_class to chr_set_class
#chr_weapon to chr_giveweapon
#Added chr_facetoflag (so you will face the opponent at spawn)